<?php
/**
* 2022 Addify
*
* NOTICE OF LICENSE
*
* This source file is subject to the Academic Free License (AFL 3.0)
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://opensource.org/licenses/afl-3.0.php
* If you did not receive a copy of the license and are unable to
* obtain it through the world-wide-web, please send an email
* to license@prestashop.com so we can send you a copy immediately.
*
* DISCLAIMER
*
* Do not edit or add to this file if you wish to upgrade PrestaShop to newer
* versions in the future. If you wish to customize PrestaShop for your
* needs please refer to http://www.prestashop.com for more information.
*
*  @author    Addify
*  @copyright 2022 Addify
*  @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
*  International Registered Trademark & Property of PrestaShop SA
*/

if (!defined('_PS_VERSION_')) {

    exit;

}



include(_PS_MODULE_DIR_).'addifyb2bregistrationformbuilder/classes/Addifyb2bCustomerClass.php';

include(_PS_MODULE_DIR_).'addifyb2bregistrationformbuilder/classes/Addifyb2bregistrationformcustomdataClass.php';

include(_PS_MODULE_DIR_).'addifyb2bregistrationformbuilder/classes/Addifyb2bregistrationformbuilderClass.php';

include(_PS_MODULE_DIR_).'addifyb2bregistrationformbuilder/classes/Addifyb2bregistrationformfieldsbuilderClass.php';



class Addifyb2bregistrationformbuilder extends Module

{

    protected $config_form = false;



    public function __construct()

    {

        $this->name = 'addifyb2bregistrationformbuilder';

        $this->tab = 'front_office_features';

        $this->version = '1.4.0';

        $this->author = 'Addify';

        $this->need_instance = 1;

        $this->bootstrap = true;

        $this->module_key = '03f88f5f43581dedf25257509cbf4e70';     

        parent::__construct();

        $this->displayName = $this->l('Addify B2B Registration Form Builder');

        $this->description = $this->l('Enables users to register for B2B customer groups.');

        $this->confirmUninstall = $this->l('Are you sure you want to uninstall the module?');

        $this->ps_versions_compliancy = array('min' => '1.7', 'max' => _PS_VERSION_);

    }

    public function install()

    {

         Configuration::updateValue('ADDIFYB2B_DEFAULT_FORM_POSITIONS', trim('ADDIFYB2B_SOCIAL_TITLE, ADDIFYB2B_FIRST_NAME, ADDIFYB2B_LAST_NAME, ADDIFYB2B_EMAIL, ADDIFYB2B_PASSWORD, ADDIFYB2B_DOB, ADDIFYB2B_ROF_PARTNERS, ADDIFYB2B_SIGNUP_NEWSLETTER'));
         Configuration::updateValue('ADDIFYB2B_B2B_FORM_POSITIONS', trim('ADDIFYB2B_MIDDLE_NAME, ADDIFYB2B_COMPANY, ADDIFYB2B_SIRET, ADDIFYB2B_WEBSITE_URL, ADDIFYB2B_ADDRESS_ALIAS, ADDIFYB2B_ADDRESS, ADDIFYB2B_CITY, ADDIFYB2B_VAT_NUMBER'));
        
        include(dirname(__FILE__).'/sql/install.php');

        return parent::install() &&

            $this->registerHook('header') &&

            $this->registerHook('displayBackOfficeHeader') &&

            $this->registerHook('displayNav2') &&

            $this->registerHook('displayCustomerAccount') &&

            $this->registerHook('registerGDPRConsent') && 

            $this->registerHook('actionDeleteGDPRCustomer') && 

            $this->registerHook('actionExportGDPRData') &&

            $this->registerHook('displayGDPRConsent') &&

            $this->registerHook('moduleRoutes') &&

            $this->registerHook('displayCustomerLoginFormAfter') &&

            $this->registerHook('displayOverrideTemplate') &&

            $this->registerHook('actionObjectCustomerUpdateAfter') &&

            $this->registerHook('actionObjectCustomerDeleteAfter') &&

            $this->installTab();

    }



    public function uninstall()

    {
        include(dirname(__FILE__).'/sql/uninstall.php');

        return parent::uninstall() && $this->unregisterHook('header') && $this->unregisterHook('displayBackOfficeHeader') && $this->unregisterHook('displayNav2') && $this->unregisterHook('displayCustomerLoginFormAfter') && $this->unregisterHook('moduleRoutes') && $this->unregisterHook('displayCustomerAccount') && $this->unregisterHook('displayOverrideTemplate')  && $this->unregisterHook('registerGDPRConsent') && $this->unregisterHook('actionDeleteGDPRCustomer') && $this->unregisterHook('actionExportGDPRData') && $this->unregisterHook('actionObjectCustomerUpdateAfter') && $this->unregisterHook('actionObjectCustomerDeleteAfter') && $this->uninstallTab() && $this->unregisterHook('displayGDPRConsent');



    }

    public function installTab()

    {

        $tab = new Tab();

        $tab->active = 1;

        if (true === Tools::version_compare(_PS_VERSION_, '1.7.0.0', '>=')) {

            $tab->id_parent = 0;

        } else {

            $tab->id_parent = 0;

        }

        $tab->class_name = 'AdminParentAddifyb2bformsbuilder';

        $tab->name = array();

        foreach (Language::getLanguages(true) as $lang) {

            $tab->name[$lang['id_lang']] = $this->l('Addify B2B Form Builder');

        }

        $tab->add();



        $tab = new Tab();

        $tab->active = 1;

        $tab->id_parent = (int)Tab::getIdFromClassName('AdminParentAddifyb2bformsbuilder');

        ;

        $tab->class_name = 'AdminAddifyb2bregistrationformbuildersetting';

        $tab->name = array();

        foreach (Language::getLanguages(true) as $lang) {

            $tab->name[$lang['id_lang']] = $this->l('Configure Form Builder');

        }

        $tab->module = $this->name;

        $tab->add();


        $tab = new Tab();
        $tab->active = 1;
        $tab->class_name = 'AdminAddifyb2bregistrationformbuilder';
        $tab->visible = false;
        $tab->name = array();
        foreach (Language::getLanguages(true) as $lang) {
            $tab->name[$lang['id_lang']] = $this->l('Manage Customers');
        }
        $tab->id_parent = -1;
        $tab->module = $this->name;
        return $tab->add();

    }



    public function uninstallTab()

    {

        $id_tab = (int)Tab::getIdFromClassName('AdminParentAddifyb2bformsbuilder');

        if ($id_tab) {

            $tab = new Tab($id_tab);

            $tab->delete();

        }

        $id_tab = (int)Tab::getIdFromClassName('AdminAddifyb2bregistrationformbuildersetting');

        if ($id_tab) {

            $tab = new Tab($id_tab);

             $tab->delete();

        }

        $id_tab = (int)Tab::getIdFromClassName('AdminAddifyb2bregistrationformbuilder');

        if ($id_tab) {

            $tab = new Tab($id_tab);

            return $tab->delete();

        }

        return false;

    }



    public function getContent()

    {
        if (!$this->active) {

            $this->context->controller->errors[] = $this->l('Access Denied...Module is disabled.');

        } else {


            $notification = (int)Tools::getValue('notification');

           if($notification == 1){

                $this->context->controller->errors[] = $this->l('Object not found.');

            } elseif($notification == 2){

                $this->context->controller->errors[] = $this->l('B2B Customer cannot be deleted.');

            } elseif($notification == 3){

                $this->context->controller->confirmations[] = $this->l('B2B Customer deleted successfully.');

            } elseif($notification == 4){

                $this->context->controller->errors;

            } elseif($notification == 5){

                $deleted = (int)Tools::getValue('del');

                $this->context->controller->confirmations[] = sprintf($this->l('%s B2B Customers deleted successfully.'), $deleted);

            } elseif ($notification == 6){

                $this->context->controller->errors[] = $this->l('Status update failed.');

            } elseif ($notification == 7){

                $this->context->controller->confirmations[] = $this->l('Status updated successfully.');

            } elseif ($notification == 8){

                $this->context->controller->confirmations[] = $this->l('B2B Customer Activated successfully.');

            } elseif ($notification == 9){

                $this->context->controller->errors[] = $this->l('Something went wrong while Updating B2b Customer Information.');

            } elseif ($notification == 10){

                $this->context->controller->confirmations[] = $this->l('B2B Customer Information Updated successfully.');

            } elseif ($notification == 11){

                $this->context->controller->errors[] = $this->l('Invalid File Format!');

            } elseif ($notification == 12){

               $this->context->controller->errors[] = $this->l('Rule cannot be deleted.');

            } elseif ($notification == 13){

                $this->context->controller->confirmations[] = $this->l('Rule deleted successfully.');

            } elseif ($notification == 14){

                $this->context->controller->errors[] = $this->l('Object not found.');

            } elseif ($notification == 15){

                $deleted = (int)Tools::getValue('del');

                $this->context->controller->confirmations[] = sprintf($this->l('%s Rules deleted successfully.'), $deleted);

            } elseif ($notification == 16){

                $deleted = (int)Tools::getValue('del');

                $this->context->controller->confirmations[] = sprintf($this->l('%s Rule deleted successfully.'), $deleted);

            }
      

            $this->postProcess();



            // if (Tools::isSubmit('add'.$this->name.'rules') || Tools::isSubmit('update'.$this->name.'rules')) {

                

            //     return $this->renderForm();

            // }

            // if (Tools::isSubmit('addfield'.$this->name) || Tools::isSubmit('update'.$this->name.'fields')) {

            //     return $this->renderFormBuilder();

            // }

            $languages = $this->context->controller->getLanguages();

            $langs = Language::getLanguages();

            $baselink = $this->context->shop->getBaseURL(true);

            $formlink = $this->context->shop->getBaseURL(true);

            $configUrl =$this->context->link->getAdminLink('AdminModules', true). '&configure=' . $this->name;

            $adminCustomerUrl =$this->context->link->getAdminLink('AdminAddifyb2bregistrationformbuilder', true). '&configure=' . $this->name;

            $formurl =$this->context->link->getAdminLink('AdminModules', true) . '&configure=' . $this->name . '&tab_module=' . $this->tab . '&module_name=' . $this->name;

            $pdfurl = $baselink.'modules/addifyb2bregistrationformbuilder/doc/API_SIRENE_V3.pdf';

            $form_group = Addifyb2bregistrationformbuilderClass::getRulesidandtitle();
           
            $Groups = Group::getGroups(Context::getContext()->language->id);

            $CMSPages = CMS::getCMSPages(Context::getContext()->language->id);

            $adminToken = Tools::getAdminTokenLite('AdminModules');

            $fieldCount =  count(Addifyb2bregistrationformfieldsbuilderClass::getnewfields());

            $config_lang_values = [];

            foreach ($langs as $key => $language) {
                $config_lang_values[$key]['ADDIFYB2B_DEFAULT_FORM_TITLE'] = Configuration::get('ADDIFYB2B_DEFAULT_FORM_TITLE_'.$language['id_lang']);
                $config_lang_values[$key]['ADDIFYB2B_FORM_TITLE_BB'] = Configuration::get('ADDIFYB2B_FORM_TITLE_BB_'.$language['id_lang']);
                $config_lang_values[$key]['ADDIFYB2B_CUSTOM_FIELDS_TITLE'] = Configuration::get('ADDIFYB2B_CUSTOM_FIELDS_TITLE_'.$language['id_lang']);
                $config_lang_values[$key]['ADDIFYB2B_PENDING_ACC_MSG'] = Configuration::get('ADDIFYB2B_PENDING_ACC_MSG_'.$language['id_lang']);
            } 

            $this->context->smarty->assign(array(

                'baselink'  => $baselink.'module/addifyb2bregistrationformbuilder/form',

                'formurl' => $formurl,

                'pdfurl' => $pdfurl,

                'configUrl' => $configUrl,

                'form_groups' => $form_group,

                'languages' => $languages,

                'CMSPages' => $CMSPages,

                'Groups' => $Groups,

                'rulesCount' => $fieldCount,

                'adminToken' => $adminToken,

                'baselink' => $baselink,

                'siren_pdf_url' => $pdfurl,

                'adminCustomerUrl' => $adminCustomerUrl,

                'formlink'  => $formlink.'module/addifyb2bregistrationformbuilder/form',

                'config_lang_values' => $config_lang_values,

                'ADDIFYB2B_ENABLE' => Configuration::get('ADDIFYB2B_ENABLE', true),

                'ADDIFYB2B_APPROVED' => Configuration::get('ADDIFYB2B_APPROVED', true),

                'ADDIFYB2BVIES_ENABLE' => Configuration::get('ADDIFYB2BVIES_ENABLE', true),

                'ADDIFYB2B_DISABLE_DEFAULT_FORM' => Configuration::get('ADDIFYB2B_DISABLE_DEFAULT_FORM', true),

                'ADDIFYB2B_SIRET_VERIFICATION' => Configuration::get('ADDIFYB2B_SIRET_VERIFICATION', true),

                'ADDIFYB2B_ADMIN_EMAIL_NOTIFICATION' => Configuration::get('ADDIFYB2B_ADMIN_EMAIL_NOTIFICATION', true),

                'ADDIFYB2B_CUSTOMER_EMAIL_NOTIFICATION' => Configuration::get('ADDIFYB2B_CUSTOMER_EMAIL_NOTIFICATION', true),

                'ADDIFYB2B_CUSTOM_EMAIL_ADDRESS' => Configuration::get('ADDIFYB2B_CUSTOM_EMAIL_ADDRESS', true),

                'ADDIFYB2B_RECAPTCHA' => Configuration::get('ADDIFYB2B_RECAPTCHA', true),

                'ADDIFYB2B_SITE_KEY' => Configuration::get('ADDIFYB2B_SITE_KEY', true),

                'ADDIFYB2B_SIRET_KEY' => Configuration::get('ADDIFYB2B_SIRET_KEY', true),

                'ADDIFYB2B_FORM_SHOW_NAV' => Configuration::get('ADDIFYB2B_FORM_SHOW_NAV', true),

                'ADDIFYB2B_FORM_SHOW_LOGIN_PAGE' => Configuration::get('ADDIFYB2B_FORM_SHOW_LOGIN_PAGE', true),

                'ADDIFYB2B_FORM_GROUPS' => explode(",",Configuration::get('ADDIFYB2B_FORM_GROUPS')),

                'ADDIFYB2B_BUTTON_COLOR' => Configuration::get('ADDIFYB2B_BUTTON_COLOR', true),

                'ADDIFYB2B_BUTTON_TEXT_COLOR' => Configuration::get('ADDIFYB2B_BUTTON_TEXT_COLOR', true),

                'ADDIFYB2B_BUTTON_TEXT_SIZE' => Configuration::get('ADDIFYB2B_BUTTON_TEXT_SIZE', true),


                'ADDIFYB2B_DEFAULT_FORM' => Configuration::get('ADDIFYB2B_DEFAULT_FORM', true),
                'ADDIFYB2B_AUTO_APPROVE_USER' => Configuration::get('ADDIFYB2B_AUTO_APPROVE_USER', true),
                'ADDIFYB2B_GROUP_ASSIGN' => Configuration::get('ADDIFYB2B_GROUP_ASSIGN', true),
                'ADDIFYB2B_SEPERATE_CMS_PAGES' => Configuration::get('ADDIFYB2B_SEPERATE_CMS_PAGES', true),
                'ADDIFYB2B_FIRST_NAME_DEFAULT' => Configuration::get('ADDIFYB2B_FIRST_NAME_DEFAULT', true),
                'ADDIFYB2B_LAST_NAME_DEFAULT' => Configuration::get('ADDIFYB2B_LAST_NAME_DEFAULT', true),
                'ADDIFYB2B_EMAIL_DEFAULT' => Configuration::get('ADDIFYB2B_EMAIL_DEFAULT', true),
                'ADDIFYB2B_PASSWORD_DEFAULT' => Configuration::get('ADDIFYB2B_PASSWORD_DEFAULT', true),
                'ADDIFYB2B_CMS_PAGES' => Configuration::get('ADDIFYB2B_CMS_PAGES', true),
                'ADDIFYB2B_ENABLE_FORM' => Configuration::get('ADDIFYB2B_ENABLE_FORM', true),
                'ADDIFYB2B_SHOW_RECAPTCHA_RF' => Configuration::get('ADDIFYB2B_SHOW_RECAPTCHA_RF', true),
                'ADDIFYB2B_DEFAULT_FORM_POSITIONS' => Configuration::get('ADDIFYB2B_DEFAULT_FORM_POSITIONS', true),
                'ADDIFYB2B_DEFAULT_FORM_POSITIONS_LIST' => explode(",",Configuration::get('ADDIFYB2B_DEFAULT_FORM_POSITIONS_LIST', true)),
                'ADDIFYB2B_SOCIAL_TITLE' => Configuration::get('ADDIFYB2B_SOCIAL_TITLE', true),
                'REQ_ADDIFYB2B_SOCIAL_TITLE' => Configuration::get('REQ_ADDIFYB2B_SOCIAL_TITLE', true),
                'ADDIFYB2B_DOB' => Configuration::get('ADDIFYB2B_DOB', true),
                'REQ_ADDIFYB2B_DOB' => Configuration::get('REQ_ADDIFYB2B_DOB', true),
                'ADDIFYB2B_ROF_PARTNERS' => Configuration::get('ADDIFYB2B_ROF_PARTNERS', true),
                'REQ_ADDIFYB2B_ROF_PARTNERS' => Configuration::get('REQ_ADDIFYB2B_ROF_PARTNERS', true),
                'ADDIFYB2B_SIGNUP_NEWSLETTER' => Configuration::get('ADDIFYB2B_SIGNUP_NEWSLETTER', true),
                'REQ_ADDIFYB2B_SIGNUP_NEWSLETTER' => Configuration::get('REQ_ADDIFYB2B_SIGNUP_NEWSLETTER', true),
                'ADDIFYB2B_BB_FORM' => Configuration::get('ADDIFYB2B_BB_FORM', true),
                'ADDIFYB2B_B2B_FORM_POSITIONS' => Configuration::get('ADDIFYB2B_B2B_FORM_POSITIONS', true),
                'ADDIFYB2B_B2B_FORM_POSITIONS_LIST' => explode(",",Configuration::get('ADDIFYB2B_B2B_FORM_POSITIONS_LIST', true)),
                'ADDIFYB2B_MIDDLE_NAME' => Configuration::get('ADDIFYB2B_MIDDLE_NAME', true),
                'REQ_ADDIFYB2B_MIDDLE_NAME' => Configuration::get('REQ_ADDIFYB2B_MIDDLE_NAME', true),
                'ADDIFYB2B_COMPANY' => Configuration::get('ADDIFYB2B_COMPANY', true),
                'REQ_ADDIFYB2B_COMPANY' => Configuration::get('REQ_ADDIFYB2B_COMPANY', true),
                'ADDIFYB2B_SIRET' => Configuration::get('ADDIFYB2B_SIRET', true),
                'REQ_ADDIFYB2B_SIRET' => Configuration::get('REQ_ADDIFYB2B_SIRET', true),
                'ADDIFYB2B_WEBSITE_URL' => Configuration::get('ADDIFYB2B_WEBSITE_URL', true),
                'REQ_ADDIFYB2B_WEBSITE_URL' => Configuration::get('REQ_ADDIFYB2B_WEBSITE_URL', true),
                'ADDIFYB2B_ADDRESS_ALIAS' => Configuration::get('ADDIFYB2B_ADDRESS_ALIAS', true),
                'REQ_ADDIFYB2B_ADDRESS_ALIAS' => Configuration::get('REQ_ADDIFYB2B_ADDRESS_ALIAS', true),
                'ADDIFYB2B_ADDRESS' => Configuration::get('ADDIFYB2B_ADDRESS', true),
                'REQ_ADDIFYB2B_ADDRESS' => Configuration::get('REQ_ADDIFYB2B_ADDRESS', true),
                'ADDIFYB2B_CITY' => Configuration::get('ADDIFYB2B_CITY', true),
                'REQ_ADDIFYB2B_CITY' => Configuration::get('REQ_ADDIFYB2B_CITY', true),
                'ADDIFYB2B_VAT_NUMBER' => Configuration::get('ADDIFYB2B_VAT_NUMBER', true),
                'REQ_ADDIFYB2B_VAT_NUMBER' => Configuration::get('REQ_ADDIFYB2B_VAT_NUMBER', true),
                'ADDIFYB2B_CUSTOM_FIELDS' => Configuration::get('ADDIFYB2B_CUSTOM_FIELDS', true),
            ));





            if (Tools::isSubmit('updateaddifyb2bcustomers')) {

                $id_addifycustomer = (int)Tools::getValue('id_addifycustomer');

                $id_customer = Addifyb2bCustomerClass::getAddifyCustomersID($id_addifycustomer);

                $customer_id = $id_customer[0]['id_customer'];

                $customers = Addifyb2bCustomerClass::getCustomerRecordsbyid($customer_id);

                $fieldsbyId = Addifyb2bregistrationformcustomdataClass::getfieldsbycustomerid($customer_id);

                $ruless = Addifyb2bregistrationformbuilderClass::getAllRules();

                $fields = Addifyb2bregistrationformfieldsbuilderClass::getnewfields(); 

                $this->context->smarty->assign(array(

                    'rules' => $ruless,

                    'fields'  => $fields,

                    'customers' => $customers,

                    'fields' => $fieldsbyId,

                    'downlink' => $formlink.'modules/addifyb2bregistrationformbuilder/views/uploads/',

                ));

                $output = $this->display(__FILE__,'views/templates/admin/customer_info.tpl'); 

               

                return $output;

            }

            if (Tools::isSubmit('general'.$this->name)) {

                $allFields = Addifyb2bregistrationformfieldsbuilderClass::getnewfields();

                $fieldCount =  count(Addifyb2bregistrationformfieldsbuilderClass::getnewfields());

                $adminToken = Tools::getAdminTokenLite('AdminModules');

                $ruless = Addifyb2bregistrationformbuilderClass::getAllRules();

                $fields = Addifyb2bregistrationformfieldsbuilderClass::getnewfields(); 


                $this->context->smarty->assign(array(

                    'rules' => $ruless,

                    'fields'  => $fields,

                    'allRules' => $allFields,

                    'adminToken' => $adminToken,

                    'rulesCount' => $fieldCount,
        
                ));


                $output = $this->display(__FILE__,'views/templates/admin/configure.tpl');

                if(empty($ruless[0])){

                    return $output;
                } else{

                    return $output. $this->display(__FILE__,'views/templates/admin/link_table.tpl');
                }

            }

            if (Tools::isSubmit('layout'.$this->name)) {

                $allFields = Addifyb2bregistrationformfieldsbuilderClass::getnewfields();

                $fieldCount =  count(Addifyb2bregistrationformfieldsbuilderClass::getnewfields());

                $adminToken = Tools::getAdminTokenLite('AdminModules');

                $ruless = Addifyb2bregistrationformbuilderClass::getAllRules();

                $fields = Addifyb2bregistrationformfieldsbuilderClass::getnewfields(); 

                $this->context->smarty->assign(array(

                    'rules' => $ruless,

                    'fields'  => $fields,

                    'allRules' => $allFields,

                    'adminToken' => $adminToken,

                    'rulesCount' => $fieldCount,

                ));


                $output = $this->display(__FILE__,'views/templates/admin/layout.tpl');

                if(empty($ruless[0])){

                    return $output;
                } else{

                    return $output. $this->display(__FILE__,'views/templates/admin/link_table.tpl');
                }

            }

            if (Tools::isSubmit('customlisting'.$this->name)) {

                $ruless = Addifyb2bregistrationformbuilderClass::getAllRules();

                $fields = Addifyb2bregistrationformfieldsbuilderClass::getnewfields(); 

                $allFields = Addifyb2bregistrationformfieldsbuilderClass::getnewfields();

                $fieldCount =  count(Addifyb2bregistrationformfieldsbuilderClass::getnewfields());

                $adminToken = Tools::getAdminTokenLite('AdminModules');

                $this->context->smarty->assign(array(

                
                    'rules' => $ruless,

                    'fields'  => $fields,

                    'allRules' => $allFields,

                    'adminToken' => $adminToken,

                    'rulesCount' => $fieldCount,

                ));


                $output = $this->display(__FILE__,'views/templates/admin/custom_listing.tpl');

                if(empty($ruless[0])){

                    return $output;
                } else{

                    return $output. $this->display(__FILE__,'views/templates/admin/link_table.tpl');
                }

            }

            if (Tools::isSubmit('default_form'.$this->name)) {

                $ruless = Addifyb2bregistrationformbuilderClass::getAllRules();

                $fields = Addifyb2bregistrationformfieldsbuilderClass::getnewfields(); 

                $allFields = Addifyb2bregistrationformfieldsbuilderClass::getnewfields();

                $fieldCount =  count(Addifyb2bregistrationformfieldsbuilderClass::getnewfields());

                $adminToken = Tools::getAdminTokenLite('AdminModules');

                $this->context->smarty->assign(array(

                
                    'rules' => $ruless,

                    'fields'  => $fields,

                    'allRules' => $allFields,

                    'adminToken' => $adminToken,

                    'rulesCount' => $fieldCount,

                ));


                $output = $this->display(__FILE__,'views/templates/admin/default_form.tpl');

                if(empty($ruless[0])){

                    return $output;
                } else{

                    return $output. $this->display(__FILE__,'views/templates/admin/link_table.tpl');
                }

            }

            if (Tools::isSubmit('b2bcustomers'.$this->name)) {

                $customerCount =  count(Addifyb2bCustomerClass::getAddifyCustomers());

                $allCustomers = Addifyb2bCustomerClass::getAddifyCustomers();

                $pendingCustomers = Addifyb2bCustomerClass::getAddifyPendingCustomers();

                $adminToken = Tools::getAdminTokenLite('AdminModules');

                $ruless = Addifyb2bregistrationformbuilderClass::getAllRules();

                $fields = Addifyb2bregistrationformfieldsbuilderClass::getnewfields(); 


                $this->context->smarty->assign(array(

                    'rules' => $ruless,

                    'fields'  => $fields,

                    'allCustomers' => $allCustomers,

                    'pendingCustomers' => $pendingCustomers,

                    'adminToken' => $adminToken,

                    'rulesCount' => $customerCount,
                ));


                $output = $this->display(__FILE__,'views/templates/admin/customer_listing.tpl');

                if(empty($ruless[0])){

                    return $output;
                } else{

                    return $output. $this->display(__FILE__,'views/templates/admin/link_table.tpl');
                }

            }

            if (Tools::isSubmit('formbuilderrules'.$this->name)) {

                $rulesCount = count(Addifyb2bregistrationformbuilderClass::getRules());

                $allRules = Addifyb2bregistrationformbuilderClass::getRules();

                $ruless = Addifyb2bregistrationformbuilderClass::getAllRules();

                $fields = Addifyb2bregistrationformfieldsbuilderClass::getnewfields(); 

                $adminToken = Tools::getAdminTokenLite('AdminModules');


                $this->context->smarty->assign(array(

                    'rules' => $ruless,

                    'fields'  => $fields,

                    'allRules' => $allRules,

                    'adminToken' => $adminToken,

                    'rulesCount' => $rulesCount,
                ));


                $output = $this->display(__FILE__,'views/templates/admin/rule_listing.tpl');

                if(empty($ruless[0])){

                    return $output;
                } else{

                    return $output. $this->display(__FILE__,'views/templates/admin/link_table.tpl');
                }

            }

            if (Tools::isSubmit('addfield'.$this->name)) {


                $ruless = Addifyb2bregistrationformbuilderClass::getAllRules();

                $fields = Addifyb2bregistrationformfieldsbuilderClass::getnewfields(); 

                $this->context->smarty->assign(array(

                    'rules' => $ruless,

                    'fields'  => $fields,
                    
                ));


                $output = $this->display(__FILE__,'views/templates/admin/add_field.tpl');

               
                return $output;
                
            }

            if (Tools::isSubmit('update'.$this->name.'fields')) {

                $ruless = Addifyb2bregistrationformbuilderClass::getAllRules();

                $fields = Addifyb2bregistrationformfieldsbuilderClass::getnewfields(); 

                $allLangRules = Addifyb2bregistrationformfieldsbuilderClass::getLangDatabyid((int) Tools::getValue('id_field'));

                $fields_values = array();

                if (Tools::getValue('id_field')) {

                    $Addifyb2bregistrationformfieldsbuilderBlock = new Addifyb2bregistrationformfieldsbuilderClass((int)Tools::getValue('id_field'));

                    $fields_values['id_field'] = $Addifyb2bregistrationformfieldsbuilderBlock->id_field;

                    $fields_values['active_field'] = $Addifyb2bregistrationformfieldsbuilderBlock->active_field;

                    $fields_values['field_label'] = $Addifyb2bregistrationformfieldsbuilderBlock->field_label;

                    $fields_values['field_name'] = $Addifyb2bregistrationformfieldsbuilderBlock->field_name;

                    $fields_values['field_type'] = $Addifyb2bregistrationformfieldsbuilderBlock->field_type;

                    $fields_values['place_holder'] = $Addifyb2bregistrationformfieldsbuilderBlock->place_holder;

                    $fields_values['field_required'] = $Addifyb2bregistrationformfieldsbuilderBlock->field_required;

                    $fields_values['field_options'] = $Addifyb2bregistrationformfieldsbuilderBlock->field_options;

                    $fields_values['id_form_group'] = $Addifyb2bregistrationformfieldsbuilderBlock->id_form_group;

                    $fields_values['sort_order'] = $Addifyb2bregistrationformfieldsbuilderBlock->sort_order;

                }


                $this->context->smarty->assign(array(

                    'rules' => $ruless,

                    'fields'  => $fields,

                    'fields_value' => $fields_values,

                    'allLangRules' => $allLangRules,

                    'languages' => $languages,

                ));


                $output = $this->display(__FILE__,'views/templates/admin/edit_field.tpl');

               
                 return $output;
                
            }

            if (Tools::isSubmit('add'.$this->name.'rules')) {

                $rulesCount = count(Addifyb2bregistrationformfieldsbuilderClass::getnewfields());

                $allRules = Addifyb2bregistrationformfieldsbuilderClass::getnewfields();

                $adminToken = Tools::getAdminTokenLite('AdminModules');

                $ruless = Addifyb2bregistrationformbuilderClass::getAllRules();

                $fields = Addifyb2bregistrationformfieldsbuilderClass::getnewfields(); 


                $this->context->smarty->assign(array(

                    'rules' => $ruless,

                    'fields'  => $fields,
                    
                    'allRules' => $allRules,

                    'adminToken' => $adminToken,

                    'rulesCount' => $rulesCount,
                ));


                $output = $this->display(__FILE__,'views/templates/admin/add_rule.tpl');

              

                return $output;

            }

            if (Tools::isSubmit('update'.$this->name.'rules')) {

                $allRules = Addifyb2bregistrationformbuilderClass::getRules();

                $allLangRules = Addifyb2bregistrationformbuilderClass::getLangDatabyid((int) Tools::getValue('id_addifyformbuilderrules'));

                $rulesCount = count(Addifyb2bregistrationformfieldsbuilderClass::getnewfields());

                $allRules = Addifyb2bregistrationformfieldsbuilderClass::getnewfields();

                $adminToken = Tools::getAdminTokenLite('AdminModules');

                $fields_value = array();

                if (Tools::getValue('id_addifyformbuilderrules')) {

                    $Addifyb2bregistrationformbuilderBlock = new Addifyb2bregistrationformbuilderClass((int)Tools::getValue('id_addifyformbuilderrules'));

                    $fields_value['id_addifyformbuilderrules'] = $Addifyb2bregistrationformbuilderBlock->id_addifyformbuilderrules;

                    $fields_value['active'] = $Addifyb2bregistrationformbuilderBlock->active;

                    $fields_value['priority'] = $Addifyb2bregistrationformbuilderBlock->priority;

                    $fields_value['pending_acc_msg'] = $Addifyb2bregistrationformbuilderBlock->pending_acc_msg;

                    $fields_value['separate_cms_page'] = $Addifyb2bregistrationformbuilderBlock->separate_cms_page;

                    $fields_value['cms_pages'] = $Addifyb2bregistrationformbuilderBlock->cms_pages;

                    $fields_value['edit_url'] = $Addifyb2bregistrationformbuilderBlock->edit_url;

                    $fields_value['show_captcha_rf'] = $Addifyb2bregistrationformbuilderBlock->show_captcha_rf;

                    $fields_value['title'] = $Addifyb2bregistrationformbuilderBlock->title;

                    $fields_value['groupBox'] = explode(',', $Addifyb2bregistrationformbuilderBlock->id_groups);

                    $fields_value['form_title'] = $Addifyb2bregistrationformbuilderBlock->form_title;

                    $fields_value['default_form'] = $Addifyb2bregistrationformbuilderBlock->default_form;

                    $fields_value['group_assigned'] = $Addifyb2bregistrationformbuilderBlock->group_assigned;

                    $fields_value['Social_title_default'] = $Addifyb2bregistrationformbuilderBlock->Social_title_default;

                    $fields_value['First_Name_default'] = $Addifyb2bregistrationformbuilderBlock->First_Name_default;

                    $fields_value['Last_Name_default'] = $Addifyb2bregistrationformbuilderBlock->Last_Name_default;

                    $fields_value['email_default'] = $Addifyb2bregistrationformbuilderBlock->email_default;

                    $fields_value['Password_default'] = $Addifyb2bregistrationformbuilderBlock->Password_default;

                    $fields_value['dob_default'] = $Addifyb2bregistrationformbuilderBlock->dob_default;

                    $fields_value['rof_partners_default'] = $Addifyb2bregistrationformbuilderBlock->rof_partners_default;

                    $fields_value['signup_newsletter_default'] = $Addifyb2bregistrationformbuilderBlock->signup_newsletter_default;

                    $fields_value['privacy_policy_default'] = $Addifyb2bregistrationformbuilderBlock->privacy_policy_default;

                    $fields_value['bb_form'] = $Addifyb2bregistrationformbuilderBlock->bb_form;

                    $fields_value['form_title_bb'] = $Addifyb2bregistrationformbuilderBlock->form_title_bb;

                    $fields_value['m_name_bb'] = $Addifyb2bregistrationformbuilderBlock->m_name_bb;

                    $fields_value['company_bb'] = $Addifyb2bregistrationformbuilderBlock->company_bb;

                    $fields_value['name_suffix_bb'] = $Addifyb2bregistrationformbuilderBlock->name_suffix_bb;

                    $fields_value['siret_bb'] = $Addifyb2bregistrationformbuilderBlock->siret_bb;

                    $fields_value['website_url_bb'] = $Addifyb2bregistrationformbuilderBlock->website_url_bb;

                    $fields_value['address_alias_bb'] = $Addifyb2bregistrationformbuilderBlock->address_alias_bb;

                    $fields_value['address_bb'] = $Addifyb2bregistrationformbuilderBlock->address_bb;

                    $fields_value['city_bb'] = $Addifyb2bregistrationformbuilderBlock->city_bb;

                    $fields_value['vat_number_bb'] = $Addifyb2bregistrationformbuilderBlock->vat_number_bb;

                    $fields_value['custom_fields'] = $Addifyb2bregistrationformbuilderBlock->custom_fields;

                    $fields_value['custom_fields_title'] = $Addifyb2bregistrationformbuilderBlock->custom_fields_title;

                    $fields_value['auto_approve_newuser'] = $Addifyb2bregistrationformbuilderBlock->auto_approve_newuser;

                    $fields_value['Req_Social_title_default'] = $Addifyb2bregistrationformbuilderBlock->Req_Social_title_default;
                    $fields_value['Req_dob_default'] = $Addifyb2bregistrationformbuilderBlock->Req_dob_default;
                    $fields_value['Req_rof_partners_default'] = $Addifyb2bregistrationformbuilderBlock->Req_rof_partners_default;
                    $fields_value['Req_signup_newsletter_default'] = $Addifyb2bregistrationformbuilderBlock->Req_signup_newsletter_default;
                    $fields_value['default_form_positions'] = $Addifyb2bregistrationformbuilderBlock->default_form_positions;

                    $fields_value['Req_m_name_bb'] = $Addifyb2bregistrationformbuilderBlock->Req_m_name_bb;
                    $fields_value['Req_company_bb'] = $Addifyb2bregistrationformbuilderBlock->Req_company_bb;
                    $fields_value['Req_siret_bb'] = $Addifyb2bregistrationformbuilderBlock->Req_siret_bb;
                    $fields_value['Req_website_url_bb'] = $Addifyb2bregistrationformbuilderBlock->Req_website_url_bb;
                    $fields_value['Req_address_alias_bb'] = $Addifyb2bregistrationformbuilderBlock->Req_address_alias_bb;
                    $fields_value['Req_address_bb'] = $Addifyb2bregistrationformbuilderBlock->Req_address_bb;
                    $fields_value['Req_city_bb'] = $Addifyb2bregistrationformbuilderBlock->Req_city_bb;
                    $fields_value['Req_vat_number_bb'] = $Addifyb2bregistrationformbuilderBlock->Req_vat_number_bb;
                    $fields_value['b2b_form_positions'] = $Addifyb2bregistrationformbuilderBlock->b2b_form_positions;

                    if ($Addifyb2bregistrationformbuilderBlock->default_form_positions_list) {
                       $fields_value['default_form_positions_list'] = explode(',', $Addifyb2bregistrationformbuilderBlock->default_form_positions_list);
                    }
                    else{
                        $fields_value['default_form_positions_list'] = $Addifyb2bregistrationformbuilderBlock->default_form_positions_list;
                    }

                    if ($Addifyb2bregistrationformbuilderBlock->b2b_form_positions_list) {
                        $fields_value['b2b_form_positions_list'] = explode(',', $Addifyb2bregistrationformbuilderBlock->b2b_form_positions_list);
                    }else{
                        $fields_value['b2b_form_positions_list'] = $Addifyb2bregistrationformbuilderBlock->b2b_form_positions_list;
                    }
                }

                $ruless = Addifyb2bregistrationformbuilderClass::getAllRules();

                $fields = Addifyb2bregistrationformfieldsbuilderClass::getnewfields(); 

                $this->context->smarty->assign(array(

                    'rules' => $ruless,

                    'fields'  => $fields,

                ));

                $this->context->smarty->assign(array(
                    

                    'fields_value' => $fields_value,

                    'allLangRules' => $allLangRules,

                    'allRules' => $allRules,

                    'allRules' => $allRules,

                    'adminToken' => $adminToken,

                    'rulesCount' => $rulesCount,

                ));


                $output = $this->display(__FILE__,'views/templates/admin/edit_rule.tpl');



                return $output;
            }

            $output = $this->display(__FILE__,'views/templates/admin/configure.tpl');

            if(empty($ruless[0])){

                // return $this->renderSettingForm() . $this->renderList() . $this->renderFieldsList();

                return $output;
            } else{

                // return $this->renderSettingForm() . $this->renderList() . $this->renderFieldsList() . $this->display(__FILE__,'views/templates/admin/link_table.tpl');

                return $output. $this->display(__FILE__,'views/templates/admin/link_table.tpl');
            }

        }

    }




    protected function getConfigFormsettingValues()

    {

        return array(

            'ADDIFYB2B_ENABLE' => Configuration::get('ADDIFYB2B_ENABLE', true),

            'ADDIFYB2B_APPROVED' => Configuration::get('ADDIFYB2B_APPROVED', true),

            'ADDIFYB2BVIES_ENABLE' => Configuration::get('ADDIFYB2BVIES_ENABLE', true),

            'ADDIFYB2B_DISABLE_DEFAULT_FORM' => Configuration::get('ADDIFYB2B_DISABLE_DEFAULT_FORM', true),

            'ADDIFYB2B_SIRET_VERIFICATION' => Configuration::get('ADDIFYB2B_SIRET_VERIFICATION', true),

            'ADDIFYB2B_ADMIN_EMAIL_NOTIFICATION' => Configuration::get('ADDIFYB2B_ADMIN_EMAIL_NOTIFICATION', true),

            'ADDIFYB2B_CUSTOMER_EMAIL_NOTIFICATION' => Configuration::get('ADDIFYB2B_CUSTOMER_EMAIL_NOTIFICATION', true),

            'ADDIFYB2B_CUSTOM_EMAIL_ADDRESS' => Configuration::get('ADDIFYB2B_CUSTOM_EMAIL_ADDRESS', true),

            'ADDIFYB2B_RECAPTCHA' => Configuration::get('ADDIFYB2B_RECAPTCHA', true),

            'ADDIFYB2B_SITE_KEY' => Configuration::get('ADDIFYB2B_SITE_KEY', true),

            'ADDIFYB2B_SIRET_KEY' => Configuration::get('ADDIFYB2B_SIRET_KEY', true),

            'ADDIFYB2B_FORM_SHOW_NAV' => Configuration::get('ADDIFYB2B_FORM_SHOW_NAV', true),

            'ADDIFYB2B_FORM_SHOW_LOGIN_PAGE' => Configuration::get('ADDIFYB2B_FORM_SHOW_LOGIN_PAGE', true),

            'ADDIFYB2B_FORM_GROUPS[]' => explode(",",Configuration::get('ADDIFYB2B_FORM_GROUPS')),

            'ADDIFYB2B_BUTTON_COLOR' => Configuration::get('ADDIFYB2B_BUTTON_COLOR', true),

            'ADDIFYB2B_BUTTON_TEXT_COLOR' => Configuration::get('ADDIFYB2B_BUTTON_TEXT_COLOR', true),

            'ADDIFYB2B_BUTTON_TEXT_SIZE' => Configuration::get('ADDIFYB2B_BUTTON_TEXT_SIZE', true),

            'ADDIFYB2B_ENABLE_FORM' => Configuration::get('ADDIFYB2B_ENABLE_FORM', true),
            'ADDIFYB2B_DEFAULT_FORM' => Configuration::get('ADDIFYB2B_DEFAULT_FORM', true),
            'ADDIFYB2B_AUTO_APPROVE_USER' => Configuration::get('ADDIFYB2B_AUTO_APPROVE_USER', true),
            'ADDIFYB2B_GROUP_ASSIGN' => Configuration::get('ADDIFYB2B_GROUP_ASSIGN', true),
            'ADDIFYB2B_SEPERATE_CMS_PAGES' => Configuration::get('ADDIFYB2B_SEPERATE_CMS_PAGES', true),
            'ADDIFYB2B_FIRST_NAME_DEFAULT' => Configuration::get('ADDIFYB2B_FIRST_NAME_DEFAULT', true),
            'ADDIFYB2B_LAST_NAME_DEFAULT' => Configuration::get('ADDIFYB2B_LAST_NAME_DEFAULT', true),
            'ADDIFYB2B_EMAIL_DEFAULT' => Configuration::get('ADDIFYB2B_EMAIL_DEFAULT', true),
            'ADDIFYB2B_PASSWORD_DEFAULT' => Configuration::get('ADDIFYB2B_PASSWORD_DEFAULT', true),
            'ADDIFYB2B_CMS_PAGES' => Configuration::get('ADDIFYB2B_CMS_PAGES', true),
            'ADDIFYB2B_SHOW_RECAPTCHA_RF' => Configuration::get('ADDIFYB2B_SHOW_RECAPTCHA_RF', true),
            'ADDIFYB2B_DEFAULT_FORM_POSITIONS' => Configuration::get('ADDIFYB2B_DEFAULT_FORM_POSITIONS', true),
            'ADDIFYB2B_DEFAULT_FORM_POSITIONS_LIST' => explode(",",Configuration::get('ADDIFYB2B_DEFAULT_FORM_POSITIONS_LIST', true)),
            'ADDIFYB2B_SOCIAL_TITLE' => Configuration::get('ADDIFYB2B_SOCIAL_TITLE', true),
            'REQ_ADDIFYB2B_SOCIAL_TITLE' => Configuration::get('REQ_ADDIFYB2B_SOCIAL_TITLE', true),
            'ADDIFYB2B_DOB' => Configuration::get('ADDIFYB2B_DOB', true),
            'REQ_ADDIFYB2B_DOB' => Configuration::get('REQ_ADDIFYB2B_DOB', true),
            'ADDIFYB2B_ROF_PARTNERS' => Configuration::get('ADDIFYB2B_ROF_PARTNERS', true),
            'REQ_ADDIFYB2B_ROF_PARTNERS' => Configuration::get('REQ_ADDIFYB2B_ROF_PARTNERS', true),
            'ADDIFYB2B_SIGNUP_NEWSLETTER' => Configuration::get('ADDIFYB2B_SIGNUP_NEWSLETTER', true),
            'REQ_ADDIFYB2B_SIGNUP_NEWSLETTER' => Configuration::get('REQ_ADDIFYB2B_SIGNUP_NEWSLETTER', true),
            'ADDIFYB2B_BB_FORM' => Configuration::get('ADDIFYB2B_BB_FORM', true),
            'ADDIFYB2B_B2B_FORM_POSITIONS' => Configuration::get('ADDIFYB2B_B2B_FORM_POSITIONS', true),
            'ADDIFYB2B_B2B_FORM_POSITIONS_LIST' => explode(",",Configuration::get('ADDIFYB2B_B2B_FORM_POSITIONS_LIST', true)),
            'ADDIFYB2B_MIDDLE_NAME' => Configuration::get('ADDIFYB2B_MIDDLE_NAME', true),
            'REQ_ADDIFYB2B_MIDDLE_NAME' => Configuration::get('REQ_ADDIFYB2B_MIDDLE_NAME', true),
            'ADDIFYB2B_COMPANY' => Configuration::get('ADDIFYB2B_COMPANY', true),
            'REQ_ADDIFYB2B_COMPANY' => Configuration::get('REQ_ADDIFYB2B_COMPANY', true),
            'ADDIFYB2B_SIRET' => Configuration::get('ADDIFYB2B_SIRET', true),
            'REQ_ADDIFYB2B_SIRET' => Configuration::get('REQ_ADDIFYB2B_SIRET', true),
            'ADDIFYB2B_WEBSITE_URL' => Configuration::get('ADDIFYB2B_WEBSITE_URL', true),
            'REQ_ADDIFYB2B_WEBSITE_URL' => Configuration::get('REQ_ADDIFYB2B_WEBSITE_URL', true),
            'ADDIFYB2B_ADDRESS_ALIAS' => Configuration::get('ADDIFYB2B_ADDRESS_ALIAS', true),
            'REQ_ADDIFYB2B_ADDRESS_ALIAS' => Configuration::get('REQ_ADDIFYB2B_ADDRESS_ALIAS', true),
            'ADDIFYB2B_ADDRESS' => Configuration::get('ADDIFYB2B_ADDRESS', true),
            'REQ_ADDIFYB2B_ADDRESS' => Configuration::get('REQ_ADDIFYB2B_ADDRESS', true),
            'ADDIFYB2B_CITY' => Configuration::get('ADDIFYB2B_CITY', true),
            'REQ_ADDIFYB2B_CITY' => Configuration::get('REQ_ADDIFYB2B_CITY', true),
            'ADDIFYB2B_VAT_NUMBER' => Configuration::get('ADDIFYB2B_VAT_NUMBER', true),
            'REQ_ADDIFYB2B_VAT_NUMBER' => Configuration::get('REQ_ADDIFYB2B_VAT_NUMBER', true),
            'ADDIFYB2B_CUSTOM_FIELDS' => Configuration::get('ADDIFYB2B_CUSTOM_FIELDS', true),
            'ADDIFYB2B_DEFAULT_FORM_TITLE' => Configuration::get('ADDIFYB2B_DEFAULT_FORM_TITLE', true),
            'ADDIFYB2B_FORM_TITLE_BB' => Configuration::get('ADDIFYB2B_FORM_TITLE_BB', true),
            'ADDIFYB2B_CUSTOM_FIELDS_TITLE' => Configuration::get('ADDIFYB2B_CUSTOM_FIELDS_TITLE', true),
            'ADDIFYB2B_PENDING_ACC_MSG' => Configuration::get('ADDIFYB2B_PENDING_ACC_MSG', true),
    );

    }

   

    protected function getCustomerFormValues()

    {

        $fields_value = array();

            $fields_value['id_addifycustomer'] = Tools::getValue('id_addifycustomer');

            $fields_value['active'] = Tools::getValue('active');

            $fields_value['id_customer'] = Tools::getValue('id_customer');

            $fields_value['Social_title_default'] = Tools::getValue('Social_title_default');

            $fields_value['First_Name_default'] = Tools::getValue('First_Name_default');

            $fields_value['Last_Name_default'] = Tools::getValue('Last_Name_default');

            $fields_value['email_default'] = Tools::getValue('email_default');

            $fields_value['Password_default'] = Tools::getValue('Password_default');

            $fields_value['dob_default'] = Tools::getValue('dob_default');

            $fields_value['rof_partners_default'] = Tools::getValue('rof_partners_default');

            $fields_value['signup_newsletter_default'] = Tools::getValue('signup_newsletter_default');

            $fields_value['privacy_policy_default'] =1;

            $fields_value['m_name_bb'] = Tools::getValue('m_name_bb');

            $fields_value['company_bb'] = Tools::getValue('company_bb');

            $fields_value['name_suffix_bb'] = Tools::getValue('name_suffix_bb');

            $fields_value['siret_bb'] = Tools::getValue('siret_bb');

            $fields_value['website_url_bb'] = Tools::getValue('website_url_bb');

            $fields_value['address_alias_bb'] =  Tools::getValue('address_alias_bb');

            $fields_value['address_bb'] = Tools::getValue('address_bb');

            $fields_value['city_bb'] = Tools::getValue('city_bb');

            $fields_value['vat_number_bb'] = Tools::getValue('vat_number_bb');

            $fields = Addifyb2bregistrationformcustomdataClass::getfieldsbyid($fields_value['id_customer'] , $fields_value['name_suffix_bb']);

            

            foreach ($fields as $field) {

                $id_field = $field['id_field'];

                $field_name = $field['field_name'];

                $field_type = $field['field_type'];

                if (($field_type == 'checkbox')||($field_type == 'multiselect')||($field_type == 'multicheckbox')||($field_type == 'radiobutton')){

                   $values = Tools::getValue($field_name.$id_field);

                   if ($values == '') {

                        $value = $values;

                    } else {

                        $value = implode(',',$values);

                    }

                } elseif ($field_type == 'fileupload'){

                    if ((isset($_FILES[$field_name.$id_field]) == true) && ($_FILES[$field_name.$id_field]['size'] != 0) && ($_FILES[$field_name.$id_field]['name'] != "") ) {

                        $uploadOk = 1;

                        $fileup = 0;

                        $fields_value['uploaded'] = 0;

                        $target_dir = _PS_MODULE_DIR_.'addifyb2bregistrationformbuilder/views/uploads/';

                        $target_file = $target_dir . basename($_FILES[$field_name.$id_field]["name"]);

                        if($field['field_options'] != ''){

                            $file_type = pathinfo($target_file,PATHINFO_EXTENSION);

                            $temp_options = explode(',',$field['field_options']);

                            foreach ($temp_options as $key) {

                                $option = explode('->',$key);

                                if($option[1] == $file_type){

                                    $fileup = 1;

                                }

                            }

                            if ($fileup == 0) {

                                $notification = 11;

                                Tools::redirectAdmin(Context::getContext()->link->getAdminLink('AdminModules').'&configure='.$this->name.'&notification='.$notification);

                            }

                        }

                        if ((file_exists($target_file)) || ($uploadOk == 1)) {

                            $temp = explode(".", $_FILES[$field_name.$id_field]["name"]);

                            $newfilename = round(microtime(true)) . '.' . end($temp);

                            if (move_uploaded_file($_FILES[$field_name.$id_field]["tmp_name"], $target_dir . $newfilename)) {

                                $value = $newfilename; 

                                $fields_value['uploaded'] = 1;

                                $unlink_file = $target_dir.$field['field_value'];

                                if($field['field_value'] != ''){

                                    if(unlink($unlink_file)){

                                        $fields_value['uploaded'] = 2; 

                                    }

                                }

                            } else {

                                $value = $field['field_value']; 

                            }

                        }

                    } else {

                        $value = $field['field_value']; 

                    }

                } else {

                    $value = Tools::getValue($field_name.$id_field);

                }

                $fields_value[$field_name.$id_field] = $value;

            }

        



        return $fields_value;

    }

    protected function getConfigFieldsValues()

    {

        $fields_values = array();

         if (Tools::getValue('id_field') && (Tools::isSubmit('submitAddifyb2bregistrationformbuilderfields') === false)) {

            $Addifyb2bregistrationformfieldsbuilderBlock = new Addifyb2bregistrationformfieldsbuilderClass((int)Tools::getValue('id_field'));

            $fields_values['id_field'] = $Addifyb2bregistrationformfieldsbuilderBlock->id_field;

            $fields_values['active_field'] = $Addifyb2bregistrationformfieldsbuilderBlock->active_field;

            $fields_values['field_label'] = $Addifyb2bregistrationformfieldsbuilderBlock->field_label;

            $fields_values['field_name'] = $Addifyb2bregistrationformfieldsbuilderBlock->field_name;

            $fields_values['field_type'] = $Addifyb2bregistrationformfieldsbuilderBlock->field_type;

            $fields_values['place_holder'] = $Addifyb2bregistrationformfieldsbuilderBlock->place_holder;

            $fields_values['field_required'] = $Addifyb2bregistrationformfieldsbuilderBlock->field_required;

            $fields_values['field_options'] = $Addifyb2bregistrationformfieldsbuilderBlock->field_options;

            $fields_values['id_form_group'] = $Addifyb2bregistrationformfieldsbuilderBlock->id_form_group;

            $fields_values['sort_order'] = $Addifyb2bregistrationformfieldsbuilderBlock->sort_order;

        } else {

            $fields_values['id_field'] = (int)Tools::getValue('id_field');

            $fields_values['active_field'] = (int)Tools::getValue('active_field');

            $languages = Language::getLanguages(false);
            foreach ($languages as $lang) {
                $field_label  = Tools::getValue('field_label_'.$lang['id_lang']);
                $fields_values['field_label'][(int)$lang['id_lang']] = $field_label;
              
            }

            $fields_values['field_name'] = Tools::getValue('field_name');

            $fields_values['field_type'] = Tools::getValue('field_type');

            foreach ($languages as $lang) {
                $place_holder  = Tools::getValue('place_holder_'.$lang['id_lang']);
                $fields_values['place_holder'][(int)$lang['id_lang']] = $place_holder;
            }

            $fields_values['field_required'] = (int)Tools::getValue('field_required');

            $fields_values['field_options'] = Tools::getValue('field_options');

            $fields_values['id_form_group'] = Tools::getValue('id_form_group');

             $fields_values['sort_order'] = Tools::getValue('sort_order');

        }

        return $fields_values;

    }   

    protected function getConfigFormValues()

    {

        $fields_value = array();

        $accessed_groups_ids = array();

        if (Tools::getValue('id_addifyformbuilderrules') && (Tools::isSubmit('submitAddifyb2bregistrationformbuilderModule') === false)) {

            $Addifyb2bregistrationformbuilderBlock = new Addifyb2bregistrationformbuilderClass((int)Tools::getValue('id_addifyformbuilderrules'));

            $fields_value['id_addifyformbuilderrules'] = $Addifyb2bregistrationformbuilderBlock->id_addifyformbuilderrules;

            $fields_value['active'] = $Addifyb2bregistrationformbuilderBlock->active;

            $fields_value['priority'] = $Addifyb2bregistrationformbuilderBlock->priority;

            $fields_value['pending_acc_msg'] = $Addifyb2bregistrationformbuilderBlock->pending_acc_msg;

            $fields_value['separate_cms_page'] = $Addifyb2bregistrationformbuilderBlock->separate_cms_page;

            $fields_value['cms_pages'] = $Addifyb2bregistrationformbuilderBlock->cms_pages;

            $fields_value['edit_url'] = $Addifyb2bregistrationformbuilderBlock->edit_url;

            $fields_value['show_captcha_rf'] = $Addifyb2bregistrationformbuilderBlock->show_captcha_rf;

            $fields_value['title'] = $Addifyb2bregistrationformbuilderBlock->title;

            $fields_value['groupBox'] = explode(',', $Addifyb2bregistrationformbuilderBlock->id_groups);

            $fields_value['form_title'] = $Addifyb2bregistrationformbuilderBlock->form_title;

            $fields_value['default_form'] = $Addifyb2bregistrationformbuilderBlock->default_form;

            $fields_value['group_assigned'] = $Addifyb2bregistrationformbuilderBlock->group_assigned;

            $fields_value['Social_title_default'] = $Addifyb2bregistrationformbuilderBlock->Social_title_default;

            $fields_value['First_Name_default'] = $Addifyb2bregistrationformbuilderBlock->First_Name_default;

            $fields_value['Last_Name_default'] = $Addifyb2bregistrationformbuilderBlock->Last_Name_default;

            $fields_value['email_default'] = $Addifyb2bregistrationformbuilderBlock->email_default;

            $fields_value['Password_default'] = $Addifyb2bregistrationformbuilderBlock->Password_default;

            $fields_value['dob_default'] = $Addifyb2bregistrationformbuilderBlock->dob_default;

            $fields_value['rof_partners_default'] = $Addifyb2bregistrationformbuilderBlock->rof_partners_default;

            $fields_value['signup_newsletter_default'] = $Addifyb2bregistrationformbuilderBlock->signup_newsletter_default;

            $fields_value['privacy_policy_default'] = $Addifyb2bregistrationformbuilderBlock->privacy_policy_default;

            $fields_value['bb_form'] = $Addifyb2bregistrationformbuilderBlock->bb_form;

            $fields_value['form_title_bb'] = $Addifyb2bregistrationformbuilderBlock->form_title_bb;

            $fields_value['m_name_bb'] = $Addifyb2bregistrationformbuilderBlock->m_name_bb;

            $fields_value['company_bb'] = $Addifyb2bregistrationformbuilderBlock->company_bb;

            $fields_value['name_suffix_bb'] = $Addifyb2bregistrationformbuilderBlock->name_suffix_bb;

            $fields_value['siret_bb'] = $Addifyb2bregistrationformbuilderBlock->siret_bb;

            $fields_value['website_url_bb'] = $Addifyb2bregistrationformbuilderBlock->website_url_bb;

            $fields_value['address_alias_bb'] = $Addifyb2bregistrationformbuilderBlock->address_alias_bb;

            $fields_value['address_bb'] = $Addifyb2bregistrationformbuilderBlock->address_bb;

            $fields_value['city_bb'] = $Addifyb2bregistrationformbuilderBlock->city_bb;

            $fields_value['vat_number_bb'] = $Addifyb2bregistrationformbuilderBlock->vat_number_bb;

            $fields_value['custom_fields'] = $Addifyb2bregistrationformbuilderBlock->custom_fields;

            $fields_value['custom_fields_title'] = $Addifyb2bregistrationformbuilderBlock->custom_fields_title;

            $fields_value['auto_approve_newuser'] = $Addifyb2bregistrationformbuilderBlock->auto_approve_newuser;

            $fields_value['Req_Social_title_default'] = $Addifyb2bregistrationformbuilderBlock->Req_Social_title_default;
            $fields_value['Req_dob_default'] = $Addifyb2bregistrationformbuilderBlock->Req_dob_default;
            $fields_value['Req_rof_partners_default'] = $Addifyb2bregistrationformbuilderBlock->Req_rof_partners_default;
            $fields_value['Req_signup_newsletter_default'] = $Addifyb2bregistrationformbuilderBlock->Req_signup_newsletter_default;
            $fields_value['default_form_positions'] = $Addifyb2bregistrationformbuilderBlock->default_form_positions;

            $fields_value['Req_m_name_bb'] = $Addifyb2bregistrationformbuilderBlock->Req_m_name_bb;
            $fields_value['Req_company_bb'] = $Addifyb2bregistrationformbuilderBlock->Req_company_bb;
            $fields_value['Req_siret_bb'] = $Addifyb2bregistrationformbuilderBlock->Req_siret_bb;
            $fields_value['Req_website_url_bb'] = $Addifyb2bregistrationformbuilderBlock->Req_website_url_bb;
            $fields_value['Req_address_alias_bb'] = $Addifyb2bregistrationformbuilderBlock->Req_address_alias_bb;
            $fields_value['Req_address_bb'] = $Addifyb2bregistrationformbuilderBlock->Req_address_bb;
            $fields_value['Req_city_bb'] = $Addifyb2bregistrationformbuilderBlock->Req_city_bb;
            $fields_value['Req_vat_number_bb'] = $Addifyb2bregistrationformbuilderBlock->Req_vat_number_bb;
            $fields_value['b2b_form_positions'] = $Addifyb2bregistrationformbuilderBlock->b2b_form_positions;
            $fields_value['default_form_positions_list'] = explode(',', $Addifyb2bregistrationformbuilderBlock->default_form_positions_list);
            $fields_value['b2b_form_positions_list'] = explode(',', $Addifyb2bregistrationformbuilderBlock->b2b_form_positions_list);

            $accessed_groups_ids= $fields_value['groupBox'];

        } else {

            $fields_value['id_addifyformbuilderrules'] = (int)Tools::getValue('id_addifyformbuilderrules');
        
            $fields_value['active'] = (int)Tools::getValue('active');

            $fields_value['priority'] = (int)Tools::getValue('priority');

            $fields_value['separate_cms_page'] = (int)Tools::getValue('separate_cms_page');

             $fields_value['show_captcha_rf'] = (int)Tools::getValue('show_captcha_rf');

            $fields_value['cms_pages'] = Tools::getValue('cms_pages');

            $fields_value['edit_url'] = Tools::getValue('edit_url');

            $fields_value['title'] = Tools::getValue('title');

            if (!Tools::getValue('groupBox')) {

                $fields_value['groupBox'] =  Tools::getValue('groupBox');

            } else {

                $fields_value['groupBox'] = implode(',', Tools::getValue('groupBox'));

            }

            $default = 1;

            $languages = Language::getLanguages(false);
            foreach ($languages as $lang) {
                $form_title = Tools::getValue('form_title_'.$lang['id_lang']);
                $fields_value['form_title'][(int)$lang['id_lang']] = $form_title;
            }


            $fields_value['default_form'] = (int)Tools::getValue('default_form');

            $fields_value['Social_title_default'] = (int)Tools::getValue('Social_title_default');

            $fields_value['First_Name_default'] = $default;

            $fields_value['Last_Name_default'] = $default;

            $fields_value['email_default'] = $default;

            $fields_value['Password_default'] = $default;

            $fields_value['dob_default'] = (int)Tools::getValue('dob_default');

            $fields_value['rof_partners_default'] = (int)Tools::getValue('rof_partners_default');

            $fields_value['signup_newsletter_default'] = (int)Tools::getValue('signup_newsletter_default');

            $fields_value['privacy_policy_default'] = $default;

            $fields_value['bb_form'] = (int)Tools::getValue('bb_form');

            foreach ($languages as $lang) {
                $form_title_bb = Tools::getValue('form_title_bb_'.$lang['id_lang']);
                $fields_value['form_title_bb'][(int)$lang['id_lang']] = $form_title_bb;
            }

            foreach ($languages as $lang) {
                $pending_acc_msg = Tools::getValue('pending_acc_msg_'.$lang['id_lang']);
                $fields_value['pending_acc_msg'][(int)$lang['id_lang']] = $pending_acc_msg;
            }

            $fields_value['social_tiltle_bb'] = Tools::getValue('social_tiltle_bb');

            $fields_value['f_name_bb'] = (int)Tools::getValue('f_name_bb');

            $fields_value['m_name_bb'] = (int)Tools::getValue('m_name_bb');

            $fields_value['l_name_bb'] = (int)Tools::getValue('l_name_bb');

            $fields_value['company_bb'] = (int)Tools::getValue('company_bb');

            $fields_value['name_suffix_bb'] = (int)Tools::getValue('name_suffix_bb');

            $fields_value['siret_bb'] = (int)Tools::getValue('siret_bb');

            $fields_value['website_url_bb'] = (int)Tools::getValue('website_url_bb');

            $fields_value['address_alias_bb'] = (int)Tools::getValue('address_alias_bb');

            $fields_value['address_bb'] = (int)Tools::getValue('address_bb');

            $fields_value['city_bb'] = (int)Tools::getValue('city_bb');

            $fields_value['vat_number_bb'] = (int)Tools::getValue('vat_number_bb');

            $fields_value['password_bb'] = (int)Tools::getValue('password_bb');

            $fields_value['DOB_bb'] = (int)Tools::getValue('DOB_bb');

            $fields_value['custom_fields'] = (int)Tools::getValue('custom_fields');

            $fields_value['Req_Social_title_default'] = (int)Tools::getValue('Req_Social_title_default');
            $fields_value['Req_dob_default'] = (int)Tools::getValue('Req_dob_default');
            $fields_value['Req_rof_partners_default'] = (int)Tools::getValue('Req_rof_partners_default');
            $fields_value['Req_signup_newsletter_default'] = (int)Tools::getValue('Req_signup_newsletter_default');
            

            $fields_value['Req_m_name_bb'] = (int)Tools::getValue('Req_m_name_bb');
            $fields_value['Req_company_bb'] = (int)Tools::getValue('Req_company_bb');
            $fields_value['Req_siret_bb'] = (int)Tools::getValue('Req_siret_bb');
            $fields_value['Req_website_url_bb'] = (int)Tools::getValue('Req_website_url_bb');
            $fields_value['Req_address_alias_bb'] = (int)Tools::getValue('Req_address_alias_bb');
            $fields_value['Req_address_bb'] = (int)Tools::getValue('Req_address_bb');
            $fields_value['Req_city_bb'] = (int)Tools::getValue('Req_city_bb');
            $fields_value['Req_vat_number_bb'] = (int)Tools::getValue('Req_vat_number_bb');


            if (!Tools::getValue('default_form_positions')) {
               $fields_value['default_form_positions'] = pSQL(trim('Social_title_default, First_Name_default, Last_Name_default, email_default, Password_default, dob_default, rof_partners_default, signup_newsletter_default'));
            }else{
                $fields_value['default_form_positions'] = pSQL(trim(Tools::getValue('default_form_positions')));
            }

            if (!Tools::getValue('b2b_form_positions')) {
               $fields_value['b2b_form_positions'] = pSQL(trim('m_name_bb, company_bb, siret_bb, website_url_bb, address_alias_bb, address_bb, city_bb, vat_number_bb'));
            }else{
                $fields_value['b2b_form_positions'] = pSQL(trim(Tools::getValue('b2b_form_positions')));
            }


            if (!Tools::getValue('default_form_positions_list')) {

                $fields_value['default_form_positions_list'] =  Tools::getValue('default_form_positions_list');

            } else {

                $fields_value['default_form_positions_list'] = implode(',', Tools::getValue('default_form_positions_list'));

            }

            if (!Tools::getValue('b2b_form_positions_list')) {

                $fields_value['b2b_form_positions_list'] =  Tools::getValue('b2b_form_positions_list');

            } else {

                $fields_value['b2b_form_positions_list'] = implode(',', Tools::getValue('b2b_form_positions_list'));

            }


            foreach ($languages as $lang) {
                $custom_fields_title = Tools::getValue('custom_fields_title_'.$lang['id_lang']);
                $fields_value['custom_fields_title'][(int)$lang['id_lang']] = $custom_fields_title;
                
            }

            $fields_value['auto_approve_newuser'] = (int)Tools::getValue('auto_approve_newuser');

            $accessed_groups_ids=  Tools::getValue('groupBox');

            $group_assigned_as = Tools::getValue('group_assigned');

            $fields_value['group_assigned'] = $group_assigned_as;

        }

        if (!is_array($accessed_groups_ids)) {

            $accessed_groups_ids = array();

        }

        $groups = Group::getGroups($this->context->language->id);

        if (empty($accessed_groups_ids)) {

            $preselected = array(Configuration::get('PS_UNIDENTIFIED_GROUP'), Configuration::get('PS_GUEST_GROUP'), Configuration::get('PS_CUSTOMER_GROUP'));

            $accessed_groups_ids = array_merge($accessed_groups_ids, $preselected);

        }

        foreach ($groups as $group) {

            $fields_value['groupBox_'.$group['id_group']] = (isset($accessed_groups_ids) && $accessed_groups_ids)? Tools::getValue('groupBox_'.$group['id_group'], (in_array($group['id_group'], $accessed_groups_ids))) : true;

        } 





        



        return $fields_value;

    }

    public function sendEmailToCustomer($data)
    {
        $customer = new Customer($data[0]['id_customer']);

        Mail::Send(
            (int)$this->context->language->id,
            'approveuser',
            $this->l(
                'Account Approvel'
            ),
            array('{firstname}' => $customer->firstname,
                '{lastname}' => $customer->lastname,
                '{shop_url}' => Context::getContext()->shop->getBaseURL(true),
                '{shop_name}' => Configuration::get('PS_SHOP_NAME'),
                '{email}' => $customer->email),
            $customer->email,
            null,
            null,
            null,
            null,
            null,
            _PS_MODULE_DIR_.'addifyb2bregistrationformbuilder/mails/',
            false,
            (int)$this->context->shop->id
        );
    }



    protected function postProcess()

    {   
         $languages = Language::getLanguages();

        if (((bool)Tools::isSubmit('submitCustomer')) == true) {

            $this->processSaveCustomers();

        }

        if (Tools::isSubmit('submitAddifyb2bsetting')) {


            $form_values = $this->getConfigFormsettingValues();

            Configuration::updateValue('ADDIFYB2B_ENABLE' , Tools::getValue('ADDIFYB2B_ENABLE', true));

            Configuration::updateValue('ADDIFYB2B_APPROVED' , Tools::getValue('ADDIFYB2B_APPROVED', true));

            Configuration::updateValue('ADDIFYB2BVIES_ENABLE' , Tools::getValue('ADDIFYB2BVIES_ENABLE', true));

            Configuration::updateValue('ADDIFYB2B_DISABLE_DEFAULT_FORM' , Tools::getValue('ADDIFYB2B_DISABLE_DEFAULT_FORM', true));

            Configuration::updateValue('ADDIFYB2B_SIRET_VERIFICATION' , Tools::getValue('ADDIFYB2B_SIRET_VERIFICATION', true));

            Configuration::updateValue('ADDIFYB2B_ADMIN_EMAIL_NOTIFICATION' , Tools::getValue('ADDIFYB2B_ADMIN_EMAIL_NOTIFICATION', true));

            Configuration::updateValue('ADDIFYB2B_CUSTOMER_EMAIL_NOTIFICATION' , Tools::getValue('ADDIFYB2B_CUSTOMER_EMAIL_NOTIFICATION', true));

            Configuration::updateValue('ADDIFYB2B_CUSTOM_EMAIL_ADDRESS' , Tools::getValue('ADDIFYB2B_CUSTOM_EMAIL_ADDRESS', true));

            Configuration::updateValue('ADDIFYB2B_RECAPTCHA' , Tools::getValue('ADDIFYB2B_RECAPTCHA', true));

            Configuration::updateValue('ADDIFYB2B_SITE_KEY' , Tools::getValue('ADDIFYB2B_SITE_KEY', true));

            Configuration::updateValue('ADDIFYB2B_SIRET_KEY' , Tools::getValue('ADDIFYB2B_SIRET_KEY', true));

            Configuration::updateValue('ADDIFYB2B_FORM_SHOW_NAV' , Tools::getValue('ADDIFYB2B_FORM_SHOW_NAV', true));

            Configuration::updateValue('ADDIFYB2B_FORM_SHOW_LOGIN_PAGE' , Tools::getValue('ADDIFYB2B_FORM_SHOW_LOGIN_PAGE', true));

            Configuration::updateValue('ADDIFYB2B_BUTTON_COLOR' , Tools::getValue('ADDIFYB2B_BUTTON_COLOR', true));

            Configuration::updateValue('ADDIFYB2B_BUTTON_TEXT_COLOR' , Tools::getValue('ADDIFYB2B_BUTTON_TEXT_COLOR', true));

            Configuration::updateValue('ADDIFYB2B_BUTTON_TEXT_SIZE' , Tools::getValue('ADDIFYB2B_BUTTON_TEXT_SIZE', true));

            Configuration::updateValue('ADDIFYB2B_ENABLE_FORM' , Tools::getValue('ADDIFYB2B_ENABLE_FORM', true));
            Configuration::updateValue('ADDIFYB2B_DEFAULT_FORM' , Tools::getValue('ADDIFYB2B_DEFAULT_FORM', true));
            Configuration::updateValue('ADDIFYB2B_AUTO_APPROVE_USER' , Tools::getValue('ADDIFYB2B_AUTO_APPROVE_USER', true));
            Configuration::updateValue('ADDIFYB2B_GROUP_ASSIGN' , Tools::getValue('ADDIFYB2B_GROUP_ASSIGN', true));
            Configuration::updateValue('ADDIFYB2B_SEPERATE_CMS_PAGES' , Tools::getValue('ADDIFYB2B_SEPERATE_CMS_PAGES', true));
            Configuration::updateValue('ADDIFYB2B_CMS_PAGES' , Tools::getValue('ADDIFYB2B_CMS_PAGES', true));
            Configuration::updateValue('ADDIFYB2B_SHOW_RECAPTCHA_RF' , Tools::getValue('ADDIFYB2B_SHOW_RECAPTCHA_RF', true));
            Configuration::updateValue('ADDIFYB2B_SOCIAL_TITLE' , Tools::getValue('ADDIFYB2B_SOCIAL_TITLE', true));
            Configuration::updateValue('REQ_ADDIFYB2B_SOCIAL_TITLE' , Tools::getValue('REQ_ADDIFYB2B_SOCIAL_TITLE', true));
            Configuration::updateValue('ADDIFYB2B_DOB' , Tools::getValue('ADDIFYB2B_DOB', true));
            Configuration::updateValue('REQ_ADDIFYB2B_DOB' , Tools::getValue('REQ_ADDIFYB2B_DOB', true));
            Configuration::updateValue('ADDIFYB2B_ROF_PARTNERS' , Tools::getValue('ADDIFYB2B_ROF_PARTNERS', true));
            Configuration::updateValue('REQ_ADDIFYB2B_ROF_PARTNERS' , Tools::getValue('REQ_ADDIFYB2B_ROF_PARTNERS', true));
            Configuration::updateValue('ADDIFYB2B_SIGNUP_NEWSLETTER' , Tools::getValue('ADDIFYB2B_SIGNUP_NEWSLETTER', true));
            Configuration::updateValue('REQ_ADDIFYB2B_SIGNUP_NEWSLETTER' , Tools::getValue('REQ_ADDIFYB2B_SIGNUP_NEWSLETTER', true));
            Configuration::updateValue('ADDIFYB2B_BB_FORM' , Tools::getValue('ADDIFYB2B_BB_FORM', true));
            Configuration::updateValue('ADDIFYB2B_MIDDLE_NAME' , Tools::getValue('ADDIFYB2B_MIDDLE_NAME', true));
            Configuration::updateValue('REQ_ADDIFYB2B_MIDDLE_NAME' , Tools::getValue('REQ_ADDIFYB2B_MIDDLE_NAME', true));
            Configuration::updateValue('ADDIFYB2B_COMPANY' , Tools::getValue('ADDIFYB2B_COMPANY', true));
            Configuration::updateValue('REQ_ADDIFYB2B_COMPANY' , Tools::getValue('REQ_ADDIFYB2B_COMPANY', true));
            Configuration::updateValue('ADDIFYB2B_SIRET' , Tools::getValue('ADDIFYB2B_SIRET', true));
            Configuration::updateValue('REQ_ADDIFYB2B_SIRET' , Tools::getValue('REQ_ADDIFYB2B_SIRET', true));
            Configuration::updateValue('ADDIFYB2B_WEBSITE_URL' , Tools::getValue('ADDIFYB2B_WEBSITE_URL', true));
            Configuration::updateValue('REQ_ADDIFYB2B_WEBSITE_URL' , Tools::getValue('REQ_ADDIFYB2B_WEBSITE_URL', true));
            Configuration::updateValue('ADDIFYB2B_ADDRESS_ALIAS' , Tools::getValue('ADDIFYB2B_ADDRESS_ALIAS', true));
            Configuration::updateValue('REQ_ADDIFYB2B_ADDRESS_ALIAS' , Tools::getValue('REQ_ADDIFYB2B_ADDRESS_ALIAS', true));
            Configuration::updateValue('ADDIFYB2B_ADDRESS' , Tools::getValue('ADDIFYB2B_ADDRESS', true));
            Configuration::updateValue('REQ_ADDIFYB2B_ADDRESS' , Tools::getValue('REQ_ADDIFYB2B_ADDRESS', true));
            Configuration::updateValue('ADDIFYB2B_CITY' , Tools::getValue('ADDIFYB2B_CITY', true));
            Configuration::updateValue('REQ_ADDIFYB2B_CITY' , Tools::getValue('REQ_ADDIFYB2B_CITY', true));
            Configuration::updateValue('ADDIFYB2B_VAT_NUMBER' , Tools::getValue('ADDIFYB2B_VAT_NUMBER', true));
            Configuration::updateValue('REQ_ADDIFYB2B_VAT_NUMBER' , Tools::getValue('REQ_ADDIFYB2B_VAT_NUMBER', true));
            Configuration::updateValue('ADDIFYB2B_CUSTOM_FIELDS' , Tools::getValue('ADDIFYB2B_CUSTOM_FIELDS', true));


            Configuration::updateValue('ADDIFYB2B_FIRST_NAME_DEFAULT', 1);
            Configuration::updateValue('ADDIFYB2B_LAST_NAME_DEFAULT', 1);
            Configuration::updateValue('ADDIFYB2B_EMAIL_DEFAULT', 1);
            Configuration::updateValue('ADDIFYB2B_PASSWORD_DEFAULT', 1);

            
            if(!Tools::getValue('ADDIFYB2B_B2B_FORM_POSITIONS_LIST'))
            {

                Configuration::updateValue('ADDIFYB2B_B2B_FORM_POSITIONS_LIST', Tools::getValue('ADDIFYB2B_B2B_FORM_POSITIONS_LIST[]'));
            }
            else
            {
                Configuration::updateValue('ADDIFYB2B_B2B_FORM_POSITIONS_LIST', implode(",",Tools::getValue('ADDIFYB2B_B2B_FORM_POSITIONS_LIST')));
               
            }
       
            if(!Tools::getValue('ADDIFYB2B_DEFAULT_FORM_POSITIONS_LIST'))
            {

                Configuration::updateValue('ADDIFYB2B_DEFAULT_FORM_POSITIONS_LIST', Tools::getValue('ADDIFYB2B_DEFAULT_FORM_POSITIONS_LIST[]'));
            }
            else
            {
                Configuration::updateValue('ADDIFYB2B_DEFAULT_FORM_POSITIONS_LIST', implode(",",Tools::getValue('ADDIFYB2B_DEFAULT_FORM_POSITIONS_LIST')));
               
            }
      
            if(!Tools::getValue('ADDIFYB2B_FORM_GROUPS'))
            {

                Configuration::updateValue('ADDIFYB2B_FORM_GROUPS', Tools::getValue('ADDIFYB2B_FORM_GROUPS[]'));
            }
            else
            {
                Configuration::updateValue('ADDIFYB2B_FORM_GROUPS', implode(",",Tools::getValue('ADDIFYB2B_FORM_GROUPS')));
               
            }
      
            if(!Tools::getValue('ADDIFYB2B_DEFAULT_FORM_POSITIONS'))
            {

                Configuration::updateValue('ADDIFYB2B_DEFAULT_FORM_POSITIONS', trim('ADDIFYB2B_SOCIAL_TITLE, ADDIFYB2B_FIRST_NAME, ADDIFYB2B_LAST_NAME, ADDIFYB2B_EMAIL, ADDIFYB2B_PASSWORD, ADDIFYB2B_DOB, ADDIFYB2B_ROF_PARTNERS, ADDIFYB2B_SIGNUP_NEWSLETTER'));
 
            }
            else
            {
               Configuration::updateValue('ADDIFYB2B_DEFAULT_FORM_POSITIONS', trim(Tools::getValue('ADDIFYB2B_DEFAULT_FORM_POSITIONS')));
               
            }
        
            if(!Tools::getValue('ADDIFYB2B_B2B_FORM_POSITIONS'))
            {

                Configuration::updateValue('ADDIFYB2B_B2B_FORM_POSITIONS', trim('ADDIFYB2B_MIDDLE_NAME, ADDIFYB2B_COMPANY, ADDIFYB2B_SIRET, ADDIFYB2B_WEBSITE_URL, ADDIFYB2B_ADDRESS_ALIAS, ADDIFYB2B_ADDRESS, ADDIFYB2B_CITY, ADDIFYB2B_VAT_NUMBER'));
            }
            else
            {
               Configuration::updateValue('ADDIFYB2B_B2B_FORM_POSITIONS', trim(Tools::getValue('ADDIFYB2B_B2B_FORM_POSITIONS')));
               
            }

            foreach ($languages as $lang)
            {
                Configuration::updateValue('ADDIFYB2B_DEFAULT_FORM_TITLE_'.$lang['id_lang'], Tools::getValue('ADDIFYB2B_DEFAULT_FORM_TITLE_'.$lang['id_lang']),True);
            }
            foreach ($languages as $lang)
            {
                Configuration::updateValue('ADDIFYB2B_FORM_TITLE_BB_'.$lang['id_lang'], Tools::getValue('ADDIFYB2B_FORM_TITLE_BB_'.$lang['id_lang']),True);
            }
            foreach ($languages as $lang)
            {
                Configuration::updateValue('ADDIFYB2B_CUSTOM_FIELDS_TITLE_'.$lang['id_lang'], Tools::getValue('ADDIFYB2B_CUSTOM_FIELDS_TITLE_'.$lang['id_lang']),True);
            }
            foreach ($languages as $lang)
            {
                Configuration::updateValue('ADDIFYB2B_PENDING_ACC_MSG_'.$lang['id_lang'], Tools::getValue('ADDIFYB2B_PENDING_ACC_MSG_'.$lang['id_lang']),True);
            }

            Tools::redirectAdmin($this->context->link->getAdminLink('AdminModules', true) . '&conf=4&configure=' . $this->name . '&tab_module=' . $this->tab . '&module_name=' . $this->name);

        }

        if (Tools::isSubmit('submitLayoutAddifyb2bsetting')) {


            $form_values = $this->getConfigFormsettingValues();

            Configuration::updateValue('ADDIFYB2B_ENABLE' , Tools::getValue('ADDIFYB2B_ENABLE', true));

            Configuration::updateValue('ADDIFYB2B_APPROVED' , Tools::getValue('ADDIFYB2B_APPROVED', true));

            Configuration::updateValue('ADDIFYB2BVIES_ENABLE' , Tools::getValue('ADDIFYB2BVIES_ENABLE', true));

            Configuration::updateValue('ADDIFYB2B_DISABLE_DEFAULT_FORM' , Tools::getValue('ADDIFYB2B_DISABLE_DEFAULT_FORM', true));

            Configuration::updateValue('ADDIFYB2B_SIRET_VERIFICATION' , Tools::getValue('ADDIFYB2B_SIRET_VERIFICATION', true));

            Configuration::updateValue('ADDIFYB2B_ADMIN_EMAIL_NOTIFICATION' , Tools::getValue('ADDIFYB2B_ADMIN_EMAIL_NOTIFICATION', true));

            Configuration::updateValue('ADDIFYB2B_CUSTOMER_EMAIL_NOTIFICATION' , Tools::getValue('ADDIFYB2B_CUSTOMER_EMAIL_NOTIFICATION', true));

            Configuration::updateValue('ADDIFYB2B_CUSTOM_EMAIL_ADDRESS' , Tools::getValue('ADDIFYB2B_CUSTOM_EMAIL_ADDRESS', true));

            Configuration::updateValue('ADDIFYB2B_RECAPTCHA' , Tools::getValue('ADDIFYB2B_RECAPTCHA', true));

            Configuration::updateValue('ADDIFYB2B_SITE_KEY' , Tools::getValue('ADDIFYB2B_SITE_KEY', true));

            Configuration::updateValue('ADDIFYB2B_SIRET_KEY' , Tools::getValue('ADDIFYB2B_SIRET_KEY', true));

            Configuration::updateValue('ADDIFYB2B_FORM_SHOW_NAV' , Tools::getValue('ADDIFYB2B_FORM_SHOW_NAV', true));

            Configuration::updateValue('ADDIFYB2B_FORM_SHOW_LOGIN_PAGE' , Tools::getValue('ADDIFYB2B_FORM_SHOW_LOGIN_PAGE', true));

            Configuration::updateValue('ADDIFYB2B_BUTTON_COLOR' , Tools::getValue('ADDIFYB2B_BUTTON_COLOR', true));

            Configuration::updateValue('ADDIFYB2B_BUTTON_TEXT_COLOR' , Tools::getValue('ADDIFYB2B_BUTTON_TEXT_COLOR', true));

            Configuration::updateValue('ADDIFYB2B_BUTTON_TEXT_SIZE' , Tools::getValue('ADDIFYB2B_BUTTON_TEXT_SIZE', true));

            Configuration::updateValue('ADDIFYB2B_ENABLE_FORM' , Tools::getValue('ADDIFYB2B_ENABLE_FORM', true));
            Configuration::updateValue('ADDIFYB2B_DEFAULT_FORM' , Tools::getValue('ADDIFYB2B_DEFAULT_FORM', true));
            Configuration::updateValue('ADDIFYB2B_AUTO_APPROVE_USER' , Tools::getValue('ADDIFYB2B_AUTO_APPROVE_USER', true));
            Configuration::updateValue('ADDIFYB2B_GROUP_ASSIGN' , Tools::getValue('ADDIFYB2B_GROUP_ASSIGN', true));
            Configuration::updateValue('ADDIFYB2B_SEPERATE_CMS_PAGES' , Tools::getValue('ADDIFYB2B_SEPERATE_CMS_PAGES', true));
            Configuration::updateValue('ADDIFYB2B_CMS_PAGES' , Tools::getValue('ADDIFYB2B_CMS_PAGES', true));
            Configuration::updateValue('ADDIFYB2B_SHOW_RECAPTCHA_RF' , Tools::getValue('ADDIFYB2B_SHOW_RECAPTCHA_RF', true));
            Configuration::updateValue('ADDIFYB2B_SOCIAL_TITLE' , Tools::getValue('ADDIFYB2B_SOCIAL_TITLE', true));
            Configuration::updateValue('REQ_ADDIFYB2B_SOCIAL_TITLE' , Tools::getValue('REQ_ADDIFYB2B_SOCIAL_TITLE', true));
            Configuration::updateValue('ADDIFYB2B_DOB' , Tools::getValue('ADDIFYB2B_DOB', true));
            Configuration::updateValue('REQ_ADDIFYB2B_DOB' , Tools::getValue('REQ_ADDIFYB2B_DOB', true));
            Configuration::updateValue('ADDIFYB2B_ROF_PARTNERS' , Tools::getValue('ADDIFYB2B_ROF_PARTNERS', true));
            Configuration::updateValue('REQ_ADDIFYB2B_ROF_PARTNERS' , Tools::getValue('REQ_ADDIFYB2B_ROF_PARTNERS', true));
            Configuration::updateValue('ADDIFYB2B_SIGNUP_NEWSLETTER' , Tools::getValue('ADDIFYB2B_SIGNUP_NEWSLETTER', true));
            Configuration::updateValue('REQ_ADDIFYB2B_SIGNUP_NEWSLETTER' , Tools::getValue('REQ_ADDIFYB2B_SIGNUP_NEWSLETTER', true));
            Configuration::updateValue('ADDIFYB2B_BB_FORM' , Tools::getValue('ADDIFYB2B_BB_FORM', true));
            Configuration::updateValue('ADDIFYB2B_MIDDLE_NAME' , Tools::getValue('ADDIFYB2B_MIDDLE_NAME', true));
            Configuration::updateValue('REQ_ADDIFYB2B_MIDDLE_NAME' , Tools::getValue('REQ_ADDIFYB2B_MIDDLE_NAME', true));
            Configuration::updateValue('ADDIFYB2B_COMPANY' , Tools::getValue('ADDIFYB2B_COMPANY', true));
            Configuration::updateValue('REQ_ADDIFYB2B_COMPANY' , Tools::getValue('REQ_ADDIFYB2B_COMPANY', true));
            Configuration::updateValue('ADDIFYB2B_SIRET' , Tools::getValue('ADDIFYB2B_SIRET', true));
            Configuration::updateValue('REQ_ADDIFYB2B_SIRET' , Tools::getValue('REQ_ADDIFYB2B_SIRET', true));
            Configuration::updateValue('ADDIFYB2B_WEBSITE_URL' , Tools::getValue('ADDIFYB2B_WEBSITE_URL', true));
            Configuration::updateValue('REQ_ADDIFYB2B_WEBSITE_URL' , Tools::getValue('REQ_ADDIFYB2B_WEBSITE_URL', true));
            Configuration::updateValue('ADDIFYB2B_ADDRESS_ALIAS' , Tools::getValue('ADDIFYB2B_ADDRESS_ALIAS', true));
            Configuration::updateValue('REQ_ADDIFYB2B_ADDRESS_ALIAS' , Tools::getValue('REQ_ADDIFYB2B_ADDRESS_ALIAS', true));
            Configuration::updateValue('ADDIFYB2B_ADDRESS' , Tools::getValue('ADDIFYB2B_ADDRESS', true));
            Configuration::updateValue('REQ_ADDIFYB2B_ADDRESS' , Tools::getValue('REQ_ADDIFYB2B_ADDRESS', true));
            Configuration::updateValue('ADDIFYB2B_CITY' , Tools::getValue('ADDIFYB2B_CITY', true));
            Configuration::updateValue('REQ_ADDIFYB2B_CITY' , Tools::getValue('REQ_ADDIFYB2B_CITY', true));
            Configuration::updateValue('ADDIFYB2B_VAT_NUMBER' , Tools::getValue('ADDIFYB2B_VAT_NUMBER', true));
            Configuration::updateValue('REQ_ADDIFYB2B_VAT_NUMBER' , Tools::getValue('REQ_ADDIFYB2B_VAT_NUMBER', true));
            Configuration::updateValue('ADDIFYB2B_CUSTOM_FIELDS' , Tools::getValue('ADDIFYB2B_CUSTOM_FIELDS', true));


            Configuration::updateValue('ADDIFYB2B_FIRST_NAME_DEFAULT', 1);
            Configuration::updateValue('ADDIFYB2B_LAST_NAME_DEFAULT', 1);
            Configuration::updateValue('ADDIFYB2B_EMAIL_DEFAULT', 1);
            Configuration::updateValue('ADDIFYB2B_PASSWORD_DEFAULT', 1);

            
            if(!Tools::getValue('ADDIFYB2B_B2B_FORM_POSITIONS_LIST'))
            {

                Configuration::updateValue('ADDIFYB2B_B2B_FORM_POSITIONS_LIST', Tools::getValue('ADDIFYB2B_B2B_FORM_POSITIONS_LIST[]'));
            }
            else
            {
                Configuration::updateValue('ADDIFYB2B_B2B_FORM_POSITIONS_LIST', implode(",",Tools::getValue('ADDIFYB2B_B2B_FORM_POSITIONS_LIST')));
               
            }
       
            if(!Tools::getValue('ADDIFYB2B_DEFAULT_FORM_POSITIONS_LIST'))
            {

                Configuration::updateValue('ADDIFYB2B_DEFAULT_FORM_POSITIONS_LIST', Tools::getValue('ADDIFYB2B_DEFAULT_FORM_POSITIONS_LIST[]'));
            }
            else
            {
                Configuration::updateValue('ADDIFYB2B_DEFAULT_FORM_POSITIONS_LIST', implode(",",Tools::getValue('ADDIFYB2B_DEFAULT_FORM_POSITIONS_LIST')));
               
            }
      
            if(!Tools::getValue('ADDIFYB2B_FORM_GROUPS'))
            {

                Configuration::updateValue('ADDIFYB2B_FORM_GROUPS', Tools::getValue('ADDIFYB2B_FORM_GROUPS[]'));
            }
            else
            {
                Configuration::updateValue('ADDIFYB2B_FORM_GROUPS', implode(",",Tools::getValue('ADDIFYB2B_FORM_GROUPS')));
               
            }
      
            if(!Tools::getValue('ADDIFYB2B_DEFAULT_FORM_POSITIONS'))
            {

                Configuration::updateValue('ADDIFYB2B_DEFAULT_FORM_POSITIONS', trim('ADDIFYB2B_SOCIAL_TITLE, ADDIFYB2B_FIRST_NAME, ADDIFYB2B_LAST_NAME, ADDIFYB2B_EMAIL, ADDIFYB2B_PASSWORD, ADDIFYB2B_DOB, ADDIFYB2B_ROF_PARTNERS, ADDIFYB2B_SIGNUP_NEWSLETTER'));
 
            }
            else
            {
               Configuration::updateValue('ADDIFYB2B_DEFAULT_FORM_POSITIONS', trim(Tools::getValue('ADDIFYB2B_DEFAULT_FORM_POSITIONS')));
               
            }
        
            if(!Tools::getValue('ADDIFYB2B_B2B_FORM_POSITIONS'))
            {

                Configuration::updateValue('ADDIFYB2B_B2B_FORM_POSITIONS', trim('ADDIFYB2B_MIDDLE_NAME, ADDIFYB2B_COMPANY, ADDIFYB2B_SIRET, ADDIFYB2B_WEBSITE_URL, ADDIFYB2B_ADDRESS_ALIAS, ADDIFYB2B_ADDRESS, ADDIFYB2B_CITY, ADDIFYB2B_VAT_NUMBER'));
            }
            else
            {
               Configuration::updateValue('ADDIFYB2B_B2B_FORM_POSITIONS', trim(Tools::getValue('ADDIFYB2B_B2B_FORM_POSITIONS')));
               
            }

            foreach ($languages as $lang)
            {
                Configuration::updateValue('ADDIFYB2B_DEFAULT_FORM_TITLE_'.$lang['id_lang'], Tools::getValue('ADDIFYB2B_DEFAULT_FORM_TITLE_'.$lang['id_lang']),True);
            }
            foreach ($languages as $lang)
            {
                Configuration::updateValue('ADDIFYB2B_FORM_TITLE_BB_'.$lang['id_lang'], Tools::getValue('ADDIFYB2B_FORM_TITLE_BB_'.$lang['id_lang']),True);
            }
            foreach ($languages as $lang)
            {
                Configuration::updateValue('ADDIFYB2B_CUSTOM_FIELDS_TITLE_'.$lang['id_lang'], Tools::getValue('ADDIFYB2B_CUSTOM_FIELDS_TITLE_'.$lang['id_lang']),True);
            }
            foreach ($languages as $lang)
            {
                Configuration::updateValue('ADDIFYB2B_PENDING_ACC_MSG_'.$lang['id_lang'], Tools::getValue('ADDIFYB2B_PENDING_ACC_MSG_'.$lang['id_lang']),True);
            }

            Tools::redirectAdmin($this->context->link->getAdminLink('AdminModules', true) . '&conf=4&configure=' . $this->name . '&tab_module=' . $this->tab . '&module_name=' . $this->name.'&layoutaddifyb2bregistrationformbuilder');

        }

        if (Tools::isSubmit('submitDefaultAddifyb2bsetting')) {
            
            $form_values = $this->getConfigFormsettingValues();

            Configuration::updateValue('ADDIFYB2B_ENABLE' , Tools::getValue('ADDIFYB2B_ENABLE', true));

            Configuration::updateValue('ADDIFYB2B_APPROVED' , Tools::getValue('ADDIFYB2B_APPROVED', true));

            Configuration::updateValue('ADDIFYB2BVIES_ENABLE' , Tools::getValue('ADDIFYB2BVIES_ENABLE', true));

            Configuration::updateValue('ADDIFYB2B_DISABLE_DEFAULT_FORM' , Tools::getValue('ADDIFYB2B_DISABLE_DEFAULT_FORM', true));

            Configuration::updateValue('ADDIFYB2B_SIRET_VERIFICATION' , Tools::getValue('ADDIFYB2B_SIRET_VERIFICATION', true));

            Configuration::updateValue('ADDIFYB2B_ADMIN_EMAIL_NOTIFICATION' , Tools::getValue('ADDIFYB2B_ADMIN_EMAIL_NOTIFICATION', true));

            Configuration::updateValue('ADDIFYB2B_CUSTOMER_EMAIL_NOTIFICATION' , Tools::getValue('ADDIFYB2B_CUSTOMER_EMAIL_NOTIFICATION', true));

            Configuration::updateValue('ADDIFYB2B_CUSTOM_EMAIL_ADDRESS' , Tools::getValue('ADDIFYB2B_CUSTOM_EMAIL_ADDRESS', true));

            Configuration::updateValue('ADDIFYB2B_RECAPTCHA' , Tools::getValue('ADDIFYB2B_RECAPTCHA', true));

            Configuration::updateValue('ADDIFYB2B_SITE_KEY' , Tools::getValue('ADDIFYB2B_SITE_KEY', true));

            Configuration::updateValue('ADDIFYB2B_SIRET_KEY' , Tools::getValue('ADDIFYB2B_SIRET_KEY', true));

            Configuration::updateValue('ADDIFYB2B_FORM_SHOW_NAV' , Tools::getValue('ADDIFYB2B_FORM_SHOW_NAV', true));

            Configuration::updateValue('ADDIFYB2B_FORM_SHOW_LOGIN_PAGE' , Tools::getValue('ADDIFYB2B_FORM_SHOW_LOGIN_PAGE', true));

            Configuration::updateValue('ADDIFYB2B_BUTTON_COLOR' , Tools::getValue('ADDIFYB2B_BUTTON_COLOR', true));

            Configuration::updateValue('ADDIFYB2B_BUTTON_TEXT_COLOR' , Tools::getValue('ADDIFYB2B_BUTTON_TEXT_COLOR', true));

            Configuration::updateValue('ADDIFYB2B_BUTTON_TEXT_SIZE' , Tools::getValue('ADDIFYB2B_BUTTON_TEXT_SIZE', true));

            Configuration::updateValue('ADDIFYB2B_ENABLE_FORM' , Tools::getValue('ADDIFYB2B_ENABLE_FORM', true));
            Configuration::updateValue('ADDIFYB2B_DEFAULT_FORM' , Tools::getValue('ADDIFYB2B_DEFAULT_FORM', true));
            Configuration::updateValue('ADDIFYB2B_AUTO_APPROVE_USER' , Tools::getValue('ADDIFYB2B_AUTO_APPROVE_USER', true));
            Configuration::updateValue('ADDIFYB2B_GROUP_ASSIGN' , Tools::getValue('ADDIFYB2B_GROUP_ASSIGN', true));
            Configuration::updateValue('ADDIFYB2B_SEPERATE_CMS_PAGES' , Tools::getValue('ADDIFYB2B_SEPERATE_CMS_PAGES', true));
            Configuration::updateValue('ADDIFYB2B_CMS_PAGES' , Tools::getValue('ADDIFYB2B_CMS_PAGES', true));
            Configuration::updateValue('ADDIFYB2B_SHOW_RECAPTCHA_RF' , Tools::getValue('ADDIFYB2B_SHOW_RECAPTCHA_RF', true));
            Configuration::updateValue('ADDIFYB2B_SOCIAL_TITLE' , Tools::getValue('ADDIFYB2B_SOCIAL_TITLE', true));
            Configuration::updateValue('REQ_ADDIFYB2B_SOCIAL_TITLE' , Tools::getValue('REQ_ADDIFYB2B_SOCIAL_TITLE', true));
            Configuration::updateValue('ADDIFYB2B_DOB' , Tools::getValue('ADDIFYB2B_DOB', true));
            Configuration::updateValue('REQ_ADDIFYB2B_DOB' , Tools::getValue('REQ_ADDIFYB2B_DOB', true));
            Configuration::updateValue('ADDIFYB2B_ROF_PARTNERS' , Tools::getValue('ADDIFYB2B_ROF_PARTNERS', true));
            Configuration::updateValue('REQ_ADDIFYB2B_ROF_PARTNERS' , Tools::getValue('REQ_ADDIFYB2B_ROF_PARTNERS', true));
            Configuration::updateValue('ADDIFYB2B_SIGNUP_NEWSLETTER' , Tools::getValue('ADDIFYB2B_SIGNUP_NEWSLETTER', true));
            Configuration::updateValue('REQ_ADDIFYB2B_SIGNUP_NEWSLETTER' , Tools::getValue('REQ_ADDIFYB2B_SIGNUP_NEWSLETTER', true));
            Configuration::updateValue('ADDIFYB2B_BB_FORM' , Tools::getValue('ADDIFYB2B_BB_FORM', true));
            Configuration::updateValue('ADDIFYB2B_MIDDLE_NAME' , Tools::getValue('ADDIFYB2B_MIDDLE_NAME', true));
            Configuration::updateValue('REQ_ADDIFYB2B_MIDDLE_NAME' , Tools::getValue('REQ_ADDIFYB2B_MIDDLE_NAME', true));
            Configuration::updateValue('ADDIFYB2B_COMPANY' , Tools::getValue('ADDIFYB2B_COMPANY', true));
            Configuration::updateValue('REQ_ADDIFYB2B_COMPANY' , Tools::getValue('REQ_ADDIFYB2B_COMPANY', true));
            Configuration::updateValue('ADDIFYB2B_SIRET' , Tools::getValue('ADDIFYB2B_SIRET', true));
            Configuration::updateValue('REQ_ADDIFYB2B_SIRET' , Tools::getValue('REQ_ADDIFYB2B_SIRET', true));
            Configuration::updateValue('ADDIFYB2B_WEBSITE_URL' , Tools::getValue('ADDIFYB2B_WEBSITE_URL', true));
            Configuration::updateValue('REQ_ADDIFYB2B_WEBSITE_URL' , Tools::getValue('REQ_ADDIFYB2B_WEBSITE_URL', true));
            Configuration::updateValue('ADDIFYB2B_ADDRESS_ALIAS' , Tools::getValue('ADDIFYB2B_ADDRESS_ALIAS', true));
            Configuration::updateValue('REQ_ADDIFYB2B_ADDRESS_ALIAS' , Tools::getValue('REQ_ADDIFYB2B_ADDRESS_ALIAS', true));
            Configuration::updateValue('ADDIFYB2B_ADDRESS' , Tools::getValue('ADDIFYB2B_ADDRESS', true));
            Configuration::updateValue('REQ_ADDIFYB2B_ADDRESS' , Tools::getValue('REQ_ADDIFYB2B_ADDRESS', true));
            Configuration::updateValue('ADDIFYB2B_CITY' , Tools::getValue('ADDIFYB2B_CITY', true));
            Configuration::updateValue('REQ_ADDIFYB2B_CITY' , Tools::getValue('REQ_ADDIFYB2B_CITY', true));
            Configuration::updateValue('ADDIFYB2B_VAT_NUMBER' , Tools::getValue('ADDIFYB2B_VAT_NUMBER', true));
            Configuration::updateValue('REQ_ADDIFYB2B_VAT_NUMBER' , Tools::getValue('REQ_ADDIFYB2B_VAT_NUMBER', true));
            Configuration::updateValue('ADDIFYB2B_CUSTOM_FIELDS' , Tools::getValue('ADDIFYB2B_CUSTOM_FIELDS', true));


            Configuration::updateValue('ADDIFYB2B_FIRST_NAME_DEFAULT', 1);
            Configuration::updateValue('ADDIFYB2B_LAST_NAME_DEFAULT', 1);
            Configuration::updateValue('ADDIFYB2B_EMAIL_DEFAULT', 1);
            Configuration::updateValue('ADDIFYB2B_PASSWORD_DEFAULT', 1);

            
            if(!Tools::getValue('ADDIFYB2B_B2B_FORM_POSITIONS_LIST'))
            {

                Configuration::updateValue('ADDIFYB2B_B2B_FORM_POSITIONS_LIST', Tools::getValue('ADDIFYB2B_B2B_FORM_POSITIONS_LIST[]'));
            }
            else
            {
                Configuration::updateValue('ADDIFYB2B_B2B_FORM_POSITIONS_LIST', implode(",",Tools::getValue('ADDIFYB2B_B2B_FORM_POSITIONS_LIST')));
               
            }
       
            if(!Tools::getValue('ADDIFYB2B_DEFAULT_FORM_POSITIONS_LIST'))
            {

                Configuration::updateValue('ADDIFYB2B_DEFAULT_FORM_POSITIONS_LIST', Tools::getValue('ADDIFYB2B_DEFAULT_FORM_POSITIONS_LIST[]'));
            }
            else
            {
                Configuration::updateValue('ADDIFYB2B_DEFAULT_FORM_POSITIONS_LIST', implode(",",Tools::getValue('ADDIFYB2B_DEFAULT_FORM_POSITIONS_LIST')));
               
            }
      
            if(!Tools::getValue('ADDIFYB2B_FORM_GROUPS'))
            {

                Configuration::updateValue('ADDIFYB2B_FORM_GROUPS', Tools::getValue('ADDIFYB2B_FORM_GROUPS[]'));
            }
            else
            {
                Configuration::updateValue('ADDIFYB2B_FORM_GROUPS', implode(",",Tools::getValue('ADDIFYB2B_FORM_GROUPS')));
               
            }
      
            if(!Tools::getValue('ADDIFYB2B_DEFAULT_FORM_POSITIONS'))
            {

                Configuration::updateValue('ADDIFYB2B_DEFAULT_FORM_POSITIONS', trim('ADDIFYB2B_SOCIAL_TITLE, ADDIFYB2B_FIRST_NAME, ADDIFYB2B_LAST_NAME, ADDIFYB2B_EMAIL, ADDIFYB2B_PASSWORD, ADDIFYB2B_DOB, ADDIFYB2B_ROF_PARTNERS, ADDIFYB2B_SIGNUP_NEWSLETTER'));
 
            }
            else
            {
               Configuration::updateValue('ADDIFYB2B_DEFAULT_FORM_POSITIONS', trim(Tools::getValue('ADDIFYB2B_DEFAULT_FORM_POSITIONS')));
               
            }
        
            if(!Tools::getValue('ADDIFYB2B_B2B_FORM_POSITIONS'))
            {

                Configuration::updateValue('ADDIFYB2B_B2B_FORM_POSITIONS', trim('ADDIFYB2B_MIDDLE_NAME, ADDIFYB2B_COMPANY, ADDIFYB2B_SIRET, ADDIFYB2B_WEBSITE_URL, ADDIFYB2B_ADDRESS_ALIAS, ADDIFYB2B_ADDRESS, ADDIFYB2B_CITY, ADDIFYB2B_VAT_NUMBER'));
            }
            else
            {
               Configuration::updateValue('ADDIFYB2B_B2B_FORM_POSITIONS', trim(Tools::getValue('ADDIFYB2B_B2B_FORM_POSITIONS')));
               
            }

            foreach ($languages as $lang)
            {
                Configuration::updateValue('ADDIFYB2B_DEFAULT_FORM_TITLE_'.$lang['id_lang'], Tools::getValue('ADDIFYB2B_DEFAULT_FORM_TITLE_'.$lang['id_lang']),True);
            }
            foreach ($languages as $lang)
            {
                Configuration::updateValue('ADDIFYB2B_FORM_TITLE_BB_'.$lang['id_lang'], Tools::getValue('ADDIFYB2B_FORM_TITLE_BB_'.$lang['id_lang']),True);
            }
            foreach ($languages as $lang)
            {
                Configuration::updateValue('ADDIFYB2B_CUSTOM_FIELDS_TITLE_'.$lang['id_lang'], Tools::getValue('ADDIFYB2B_CUSTOM_FIELDS_TITLE_'.$lang['id_lang']),True);
            }
            foreach ($languages as $lang)
            {
                Configuration::updateValue('ADDIFYB2B_PENDING_ACC_MSG_'.$lang['id_lang'], Tools::getValue('ADDIFYB2B_PENDING_ACC_MSG_'.$lang['id_lang']),True);
            }

            Tools::redirectAdmin($this->context->link->getAdminLink('AdminModules', true) . '&conf=4&configure=' . $this->name . '&tab_module=' . $this->tab . '&module_name=' . $this->name.'&default_formaddifyb2bregistrationformbuilder');
        }



        if (((bool)Tools::isSubmit('submitAddifyb2bregistrationformbuilderModule')) == true) {

            $this->processSave();

        }elseif (Tools::isSubmit('statusaddifyb2bregistrationformbuilderrules')) {

            

            if (!Addifyb2bregistrationformbuilderClass::setStatus('active', (int)Tools::getValue('id_addifyformbuilderrules'))) {

                $notification == 6;

                Tools::redirectAdmin(Context::getContext()->link->getAdminLink('AdminModules').'&configure='.$this->name.'&notification='.$notification.'&formbuilderrulesaddifyb2bregistrationformbuilder');

            } else {

                $notification == 7;

                Tools::redirectAdmin(Context::getContext()->link->getAdminLink('AdminModules').'&configure='.$this->name.'&notification='.$notification.'&formbuilderrulesaddifyb2bregistrationformbuilder');

            }

        } elseif (Tools::isSubmit('deleteaddifyb2bregistrationformbuilderrules')) {

            if (!Validate::isLoadedObject($Addifyb2bregistrationformbuilderBlock = new Addifyb2bregistrationformbuilderClass((int)Tools::getValue('id_addifyformbuilderrules')))) {

                $notification == 1;

                Tools::redirectAdmin(Context::getContext()->link->getAdminLink('AdminModules').'&configure='.$this->name.'&notification='.$notification.'&formbuilderrulesaddifyb2bregistrationformbuilder');

            } else {

                if (!$Addifyb2bregistrationformbuilderBlock->delete()) {

                    $notification == 12;

                    Tools::redirectAdmin(Context::getContext()->link->getAdminLink('AdminModules').'&configure='.$this->name.'&notification='.$notification.'&formbuilderrulesaddifyb2bregistrationformbuilder');

                } else {

                    $notification == 13;

                    Tools::redirectAdmin(Context::getContext()->link->getAdminLink('AdminModules').'&configure='.$this->name.'&notification='.$notification.'&formbuilderrulesaddifyb2bregistrationformbuilder');

                }

            }

        } elseif (Tools::isSubmit('submitBulkdeleteaddifyb2bregistrationformbuilderrules')) { 

          
            $addifyb2bregistrationformbuilderrulesBox = explode(",",Tools::getValue('addifyb2bregistrationformbuilderrulesBox'));

            if (isset($addifyb2bregistrationformbuilderrulesBox) && $addifyb2bregistrationformbuilderrulesBox) {

                $deleted = 0;

                foreach ($addifyb2bregistrationformbuilderrulesBox as $addifyb2bregistrationformbuilderrulesBox) {

                    if (!Validate::isLoadedObject($Addifyb2bregistrationformbuilderBlock = new Addifyb2bregistrationformbuilderClass((int)$addifyb2bregistrationformbuilderrulesBox))) {

                        $notification == 1;

                         Tools::redirectAdmin(Context::getContext()->link->getAdminLink('AdminModules').'&configure='.$this->name.'&notification='.$notification.'&formbuilderrulesaddifyb2bregistrationformbuilder');

                        break;

                    } else {

                        if ($Addifyb2bregistrationformbuilderBlock->delete()) {

                            $deleted++;

                        }

                    }

                }

                if (count($this->context->controller->errors)) {

                    $this->context->controller->errors;

                } else {

                    if ($deleted >= 2){

                        $notification == 15;

                        Tools::redirectAdmin(Context::getContext()->link->getAdminLink('AdminModules').'&configure='.$this->name.'&notification='.$notification.'&formbuilderrulesaddifyb2bregistrationformbuilder'.'&del='.$deleted);

                    } else {

                        $notification == 16;

                        Tools::redirectAdmin(Context::getContext()->link->getAdminLink('AdminModules').'&configure='.$this->name.'&notification='.$notification.'&formbuilderrulesaddifyb2bregistrationformbuilder'.'&del='.$deleted);

                    }

                }

            }

        }

        

        if (((bool)Tools::isSubmit('submitAddifyb2bregistrationformbuilderfields')) == true) {

            $this->processFieldsSave();

        } elseif (Tools::isSubmit('statusaddifyb2bregistrationformbuilderfields')) {

            

            if (!Addifyb2bregistrationformfieldsbuilderClass::setStatus('active_field', (int)Tools::getValue('id_field'))) {

                $notification  =6;

                Tools::redirectAdmin(Context::getContext()->link->getAdminLink('AdminModules').'&configure='.$this->name.'&notification='.$notification.'&customlistingaddifyb2bregistrationformbuilder');

            } else {

                $notification  =7;

                Tools::redirectAdmin(Context::getContext()->link->getAdminLink('AdminModules').'&configure='.$this->name.'&notification='.$notification.'&customlistingaddifyb2bregistrationformbuilder');

            }

        } elseif (Tools::isSubmit('deleteaddifyb2bregistrationformbuilderfields')) {

            if (!Validate::isLoadedObject($Addifyb2bregistrationformbuilderfieldsBlock = new Addifyb2bregistrationformfieldsbuilderClass((int)Tools::getValue('id_field')))) {

                $notification  =1;

                Tools::redirectAdmin(Context::getContext()->link->getAdminLink('AdminModules').'&configure='.$this->name.'&notification='.$notification.'&customlistingaddifyb2bregistrationformbuilder');

            } else {

                if (!$Addifyb2bregistrationformbuilderfieldsBlock->delete()) {

                    $notification  =12;

                Tools::redirectAdmin(Context::getContext()->link->getAdminLink('AdminModules').'&configure='.$this->name.'&notification='.$notification.'&customlistingaddifyb2bregistrationformbuilder');

                } else {

                    $notification  =13;

                    Tools::redirectAdmin(Context::getContext()->link->getAdminLink('AdminModules').'&configure='.$this->name.'&notification='.$notification.'&customlistingaddifyb2bregistrationformbuilder');
                }

            }

        } elseif (Tools::isSubmit('submitBulkdeleteaddifyb2bregistrationformbuilderfields')) { 

          

           $addifyb2bregistrationformbuilderfieldsBox = explode(",",Tools::getValue('addifyb2bregistrationformbuilderfieldsBox'));

            if (isset($addifyb2bregistrationformbuilderfieldsBox) && $addifyb2bregistrationformbuilderfieldsBox) {

                $deleted = 0;

                foreach ($addifyb2bregistrationformbuilderfieldsBox as $addifyb2bregistrationformbuilderfieldsBox) {

                    if (!Validate::isLoadedObject($Addifyb2bregistrationformbuilderfieldsBlock = new Addifyb2bregistrationformfieldsbuilderClass((int)$addifyb2bregistrationformbuilderfieldsBox))) {

                        $notification  =1;

                         Tools::redirectAdmin(Context::getContext()->link->getAdminLink('AdminModules').'&configure='.$this->name.'&notification='.$notification.'&customlistingaddifyb2bregistrationformbuilder');

                        break;

                    } else {

                        if ($Addifyb2bregistrationformbuilderfieldsBlock->delete()) {

                            $deleted++;

                        }

                    }

                }

                if (count($this->context->controller->errors)) {

                    $this->context->controller->errors;

                } else {

                    if ($deleted >= 2){

                        $notification  =15;

                        Tools::redirectAdmin(Context::getContext()->link->getAdminLink('AdminModules').'&configure='.$this->name.'&notification='.$notification.'&customlistingaddifyb2bregistrationformbuilder'.'&del='.$deleted);

                    } else {

                        $notification  =16;

                        Tools::redirectAdmin(Context::getContext()->link->getAdminLink('AdminModules').'&configure='.$this->name.'&notification='.$notification.'&customlistingaddifyb2bregistrationformbuilder'.'&del='.$deleted);

                    }

                }

            }

        } 

        $notification = 0;

        if (Tools::isSubmit('deleteaddifyb2bcustomers')) {

            if (!Validate::isLoadedObject($Addifyb2bCustomerBlock = new Addifyb2bCustomerClass((int)Tools::getValue('id_addifycustomer')))) {

                

                $notification = 1;

                Tools::redirectAdmin(Context::getContext()->link->getAdminLink('AdminModules').'&configure='.$this->name.'&notification='.$notification);

            } else {


                    $id_addifycustomer = (int)Tools::getValue('id_addifycustomer');

                    $id_customer = Addifyb2bCustomerClass::getAddifyCustomersID($id_addifycustomer);

                    $id_customer = $id_customer[0]['id_customer'];

                    $id_for_grop=Addifyb2bCustomerClass::getAddifyCustomersgroup($id_addifycustomer);

                    $id_for_grop = $id_for_grop[0]['name_suffix_bb'];

                    $related_field=Addifyb2bregistrationformcustomdataClass::getfieldsbyid($id_customer,$id_for_grop);

                    $customer = new Customer($id_customer);

                if (!$Addifyb2bCustomerBlock->delete()) {


                    $notification = 2;

                    Tools::redirectAdmin(Context::getContext()->link->getAdminLink('AdminModules').'&configure='.$this->name.'&notification='.$notification.'&b2bcustomersaddifyb2bregistrationformbuilder');

                } else {


                    $notification = 3;

                            if ($customer->active == 0){

                                //$customer->delete();

                            }

                            if ($related_field != ''){

                                foreach ($related_field as $key) {

                                    $id_data = $key['id_data'];

                                    $Addifyb2bCustomercustomdataBlock = new Addifyb2bregistrationformcustomdataClass($id_data); 

                                    if ($key['field_type'] == 'fileupload') {

                                        $target_dir = _PS_MODULE_DIR_.'addifyb2bregistrationformbuilder/views/uploads/';

                                        $unlink_file = $target_dir.$key['field_value'];

                                        unlink($unlink_file);

                                    }

                                    $Addifyb2bCustomercustomdataBlock->delete();

                                }

                            }

                    

                    Tools::redirectAdmin(Context::getContext()->link->getAdminLink('AdminModules').'&configure='.$this->name.'&notification='.$notification.'&b2bcustomersaddifyb2bregistrationformbuilder');



                }

            }

        } elseif (Tools::isSubmit('submitBulkdeleteaddifyb2bcustomers')) { 

            $addifyb2bcustomersBox = Tools::getValue('addifyb2bcustomersBox');

            $addifyb2bcustomersBox = explode(',', $addifyb2bcustomersBox);

            if (isset($addifyb2bcustomersBox) && $addifyb2bcustomersBox) {

                $deleted = 0;

                foreach ($addifyb2bcustomersBox as $addifyb2bcustomersBox) {

                    if (!Validate::isLoadedObject($addifyb2bcustomersBlock = new Addifyb2bCustomerClass((int)$addifyb2bcustomersBox))) {

                        $notification = 1;

                        Tools::redirectAdmin(Context::getContext()->link->getAdminLink('AdminModules').'&configure='.$this->name.'&notification='.$notification.'&b2bcustomersaddifyb2bregistrationformbuilder');

                    } else {

                            $id_customer=Addifyb2bCustomerClass::getAddifyCustomersID($addifyb2bcustomersBox);

                            $id_customer = $id_customer[0]['id_customer'];

                            $id_for_grop=Addifyb2bCustomerClass::getAddifyCustomersgroup($addifyb2bcustomersBox);

                            $id_for_grop = $id_for_grop[0]['name_suffix_bb'];

                            $related_field=Addifyb2bregistrationformcustomdataClass::getfieldsbyid($id_customer,$id_for_grop);

                            $customer = new Customer($id_customer);

                            if ($customer->active == 0){

                                $customer->delete();

                            }

                            if ($related_field != ''){

                                foreach ($related_field as $key) {

                                    $id_data = $key['id_data'];

                                    $Addifyb2bCustomercustomdataBlock = new Addifyb2bregistrationformcustomdataClass($id_data); 

                                    $Addifyb2bCustomercustomdataBlock->delete();

                                }

                            }

                            if ($addifyb2bcustomersBlock->delete()) {



                            $deleted++;

                            }

                        }

                    }

                    if (count($this->context->controller->errors)) {

                        $notification = 4;

                        Tools::redirectAdmin(Context::getContext()->link->getAdminLink('AdminModules').'&configure='.$this->name.'&notification='.$notification.'&b2bcustomersaddifyb2bregistrationformbuilder');

                    } else {

                        if ($deleted >= 2){

                            $notification = 5;

                            Tools::redirectAdmin(Context::getContext()->link->getAdminLink('AdminModules').'&configure='.$this->name.'&notification='.$notification.'&del='.$deleted.'&b2bcustomersaddifyb2bregistrationformbuilder');

                        } else {

                        $notification = 3;

                        Tools::redirectAdmin(Context::getContext()->link->getAdminLink('AdminModules').'&configure='.$this->name.'&notification='.$notification.'&b2bcustomersaddifyb2bregistrationformbuilder');

                        

                    }

                }

            }

        } elseif (Tools::isSubmit('statusaddifyb2bcustomers')) {

            $id_addifycustomer = (int)Tools::getValue('id_addifycustomer');



            if (!Addifyb2bCustomerClass::setStatus('active', $id_addifycustomer)) {

                $notification = 6;

                Tools::redirectAdmin(Context::getContext()->link->getAdminLink('AdminModules').'&configure='.$this->name.'&notification='.$notification);

            } else {

                $notification = 7;

                $id_customer = Addifyb2bCustomerClass::getAddifyCustomersID($id_addifycustomer);

                $id_customer = $id_customer[0]['id_customer'];

                $customer = new Customer((int)$id_customer);

                if ($customer->active == 0){

                $customer->active = 1;

                $customer->update();

                $notification = 8;

                $arfb_getDataBylistid = Addifyb2bCustomerClass::getDataByCustomerid((int)$id_addifycustomer);

                $ADDIFYB2B_CUSTOMER_EMAIL_NOTIFICATION = Configuration::get('ADDIFYB2B_CUSTOMER_EMAIL_NOTIFICATION');

                 if ($ADDIFYB2B_CUSTOMER_EMAIL_NOTIFICATION == 1) {
                    $this->sendEmailToCustomer($arfb_getDataBylistid);
                }

                
            }



                Tools::redirectAdmin(Context::getContext()->link->getAdminLink('AdminModules').'&configure='.$this->name.'&notification='.$notification.'&b2bcustomersaddifyb2bregistrationformbuilder');

            }

        }  elseif (Tools::isSubmit('submitBulkapprovedaddifyb2bcustomers')) {

            $notification = 6;

            $addifyb2bcustomersBox = Tools::getValue('addifyb2bcustomersBox');

            $addifyb2bcustomersBox = explode(',', $addifyb2bcustomersBox);

            if (isset($addifyb2bcustomersBox) && $addifyb2bcustomersBox) {

                foreach ($addifyb2bcustomersBox as $addifyb2bcustomersBox) {

                    $id_addifycustomer = (int)$addifyb2bcustomersBox;

                    if (!Addifyb2bCustomerClass::setStatus('active', $id_addifycustomer)) {

                    } else {

                        $notification = 7;

                        $id_customer = Addifyb2bCustomerClass::getAddifyCustomersID($id_addifycustomer);

                        $id_customer = $id_customer[0]['id_customer'];

                        $customer = new Customer((int)$id_customer);

                        if ($customer->active == 0){

                            $customer->active = 1;

                            $customer->update();

                            $notification = 8;

                            $arfb_getDataBylistid = Addifyb2bCustomerClass::getDataByCustomerid((int)$id_addifycustomer);

                            $ADDIFYB2B_CUSTOMER_EMAIL_NOTIFICATION = Configuration::get('ADDIFYB2B_CUSTOMER_EMAIL_NOTIFICATION');

                             if ($ADDIFYB2B_CUSTOMER_EMAIL_NOTIFICATION == 1) {
                                $this->sendEmailToCustomer($arfb_getDataBylistid);
                            }

                            
                        }

                    }
                }

            }

            Tools::redirectAdmin(Context::getContext()->link->getAdminLink('AdminModules').'&configure='.$this->name.'&notification='.$notification.'&b2bcustomersaddifyb2bregistrationformbuilder');

        }  elseif (Tools::isSubmit('submitBulkrejectaddifyb2bcustomers')) {

            $notification = 6;

            $addifyb2bcustomersBox = Tools::getValue('addifyb2bcustomersBox');

            $addifyb2bcustomersBox = explode(',', $addifyb2bcustomersBox);

            if (isset($addifyb2bcustomersBox) && $addifyb2bcustomersBox) {

                foreach ($addifyb2bcustomersBox as $addifyb2bcustomersBox) {

                    $id_addifycustomer = (int)$addifyb2bcustomersBox;

                    if (!Addifyb2bCustomerClass::setStatus('active', $id_addifycustomer)) {

                    } else {

                        $notification = 7;

                        $id_customer = Addifyb2bCustomerClass::getAddifyCustomersID($id_addifycustomer);

                        $id_customer = $id_customer[0]['id_customer'];

                        $customer = new Customer((int)$id_customer);

                        if ($customer->active == 0){

                            $customer->active = 1;

                            $customer->update();

                            $notification = 8;

                            $arfb_getDataBylistid = Addifyb2bCustomerClass::getDataByCustomerid((int)$id_addifycustomer);

                            $ADDIFYB2B_CUSTOMER_EMAIL_NOTIFICATION = Configuration::get('ADDIFYB2B_CUSTOMER_EMAIL_NOTIFICATION');

                             if ($ADDIFYB2B_CUSTOMER_EMAIL_NOTIFICATION == 1) {
                                $this->sendEmailToCustomer($arfb_getDataBylistid);
                            }

                            
                        }

                    }
                }

            }

            Tools::redirectAdmin(Context::getContext()->link->getAdminLink('AdminModules').'&configure='.$this->name.'&notification='.$notification.'&b2bcustomersaddifyb2bregistrationformbuilder');

        } 

    }



    public function flushCache()

    {

        Tools::clearSmartyCache();

        Tools::clearXMLCache();

        Media::clearCache();

        Tools::generateIndex();

        if (true === Tools::version_compare(_PS_VERSION_, '1.7.0.0', '>=') &&

            is_callable(array('Tools', 'clearAllCache'))) {

            Tools::clearAllCache();

        }

    }



    protected function processSaveCustomers()

    {   $call_back = 'update';

        $fields_value = $this->getCustomerFormValues();

        $id_customer = $fields_value['id_customer'];

        $name_suffix_bb = $fields_value['name_suffix_bb'];

        $id_addifycustomer = $fields_value['id_addifycustomer'];

        $Addifyb2bCustomerClass = new Addifyb2bCustomerClass((int)$id_addifycustomer);

        $active = $fields_value['active'];

        if ($active == 1){

            $customer = new Customer((int)$id_customer);

            if ($customer->active == 0){

                $customer->active = 1;

                $customer->update();

                $arfb_getDataBylistid = Addifyb2bCustomerClass::getDataByCustomerid((int)$id_addifycustomer);
                $this->sendEmailToCustomer($arfb_getDataBylistid);

            }

        }



        $Addifyb2bCustomerClass->active =$fields_value['active'];

        $Addifyb2bCustomerClass->First_Name_default =$fields_value['First_Name_default'];

        $Addifyb2bCustomerClass->Last_Name_default =$fields_value['Last_Name_default'];

        $Addifyb2bCustomerClass->email_default =$fields_value['email_default'];

        $Addifyb2bCustomerClass->Password_default =$fields_value['Password_default'];

        $Addifyb2bCustomerClass->group_assigned = $fields_value['group_assigned'];

        $Addifyb2bCustomerClass->privacy_policy_default = $fields_value['privacy_policy_default'];

        $Addifyb2bCustomerClass->Social_title_default =$fields_value['Social_title_default'];

        $Addifyb2bCustomerClass->dob_default =$fields_value['dob_default'];

        $Addifyb2bCustomerClass->rof_partners_default =$fields_value['rof_partners_default'];

        $Addifyb2bCustomerClass->signup_newsletter_default = $fields_value['signup_newsletter_default'];       

        $Addifyb2bCustomerClass->form_title_bb =$fields_value['form_title_bb'];

        $Addifyb2bCustomerClass->m_name_bb =$fields_value['m_name_bb'];

        $Addifyb2bCustomerClass->company_bb =$fields_value['company_bb'];

        $Addifyb2bCustomerClass->siret_bb =$fields_value['siret_bb'];

        $Addifyb2bCustomerClass->website_url_bb =$fields_value['website_url_bb'];

        $Addifyb2bCustomerClass->address_alias_bb =$fields_value['address_alias_bb'];

        $Addifyb2bCustomerClass->address_bb =$fields_value['address_bb'];

        $Addifyb2bCustomerClass->city_bb =$fields_value['city_bb'];

        $Addifyb2bCustomerClass->bb_form =$fields_value['bb_form'];

        $Addifyb2bCustomerClass->vat_number_bb =$fields_value['vat_number_bb'];

        $Addifyb2bCustomerClass->id_customer = $id_customer;

        $Addifyb2bCustomerClass->save();



        $fields = Addifyb2bregistrationformcustomdataClass::getfieldsbyid($id_customer,$name_suffix_bb);

        $nof = count($fields);

        if ($nof >= 1) {

            foreach ($fields as $field) {

                $id_field = $field['id_data'];

                $field_name = $field['field_name'] . $field['id_field'];

                if ($id_field == ''){

                } else {

                    $Addifyb2bregistrationformcustomdataClass = new Addifyb2bregistrationformcustomdataClass((int)$id_field);

                    $Addifyb2bregistrationformcustomdataClass->field_value = $fields_value[$field_name];

                    $Addifyb2bregistrationformcustomdataClass->save();

                }

            }

        }



        

        $this->flushCache();

        if (!call_user_func(array($Addifyb2bCustomerClass, $call_back))){

            $notification = 9;

             Tools::redirectAdmin(Context::getContext()->link->getAdminLink('AdminModules').'&configure='.$this->name.'&notification='.$notification.'&b2bcustomersaddifyb2bregistrationformbuilder');

        } else {

            $notification = 10;

            Tools::redirectAdmin(Context::getContext()->link->getAdminLink('AdminModules').'&configure='.$this->name.'&notification='.$notification.'&b2bcustomersaddifyb2bregistrationformbuilder');

        }      

    }



    protected function processSave()

    {

        $call_back = 'add';

        $form_values = $this->getConfigFormValues(); 


        if (!isset($form_values) && !$form_values) {

            return $this->context->controller->errors[] = $this->l('Empty post values.');

        }

        if (!is_numeric($form_values['priority'])) {

            $this->context->controller->errors[] = $this->l('Priority value is not valid .');

        }

        if (count($this->context->controller->errors)) {

            return $this->context->controller->errors;

        }

        if ($id_addifyformbuilderrules = Tools::getValue('id_addifyformbuilderrules')) {

            $call_back = 'update';

            $Addifyb2bregistrationformbuilderBlock = new Addifyb2bregistrationformbuilderClass((int)$id_addifyformbuilderrules);

        } else {

            $Addifyb2bregistrationformbuilderBlock = new Addifyb2bregistrationformbuilderClass();

        }

        if ($form_values['title'] == '') {

            return $this->context->controller->errors[] = $this->l('Empty title value.');

        } else {

            $Addifyb2bregistrationformbuilderBlock->title = $form_values['title'];

        }

        if ($form_values['priority'] == 0) {

            return $this->context->controller->errors[] = $this->l('Priority value must be greater than 0.');

        } else {

            $Addifyb2bregistrationformbuilderBlock->priority = $form_values['priority'];

        }

        $Addifyb2bregistrationformbuilderBlock->active = $form_values['active'];

        $Addifyb2bregistrationformbuilderBlock->id_groups = $form_values['groupBox'];

        $Addifyb2bregistrationformbuilderBlock->form_title = $form_values['form_title'];

        $Addifyb2bregistrationformbuilderBlock->default_form = $form_values['default_form'];

        $Addifyb2bregistrationformbuilderBlock->group_assigned = $form_values['group_assigned'];

        $Addifyb2bregistrationformbuilderBlock->Social_title_default = $form_values['Social_title_default'];

        $Addifyb2bregistrationformbuilderBlock->First_Name_default = $form_values['First_Name_default'];

        $Addifyb2bregistrationformbuilderBlock->Last_Name_default = $form_values['Last_Name_default'];

        $Addifyb2bregistrationformbuilderBlock->email_default = $form_values['email_default'];

        $Addifyb2bregistrationformbuilderBlock->Password_default = $form_values['Password_default'];

        $Addifyb2bregistrationformbuilderBlock->dob_default = $form_values['dob_default'];

        $Addifyb2bregistrationformbuilderBlock->rof_partners_default = $form_values['rof_partners_default'];

        $Addifyb2bregistrationformbuilderBlock->signup_newsletter_default = $form_values['signup_newsletter_default'];

        $Addifyb2bregistrationformbuilderBlock->privacy_policy_default = $form_values['privacy_policy_default'];

        $Addifyb2bregistrationformbuilderBlock->bb_form = $form_values['bb_form'];

        $Addifyb2bregistrationformbuilderBlock->form_title_bb = $form_values['form_title_bb'];

        $Addifyb2bregistrationformbuilderBlock->social_tiltle_bb = $form_values['social_tiltle_bb'];

        $Addifyb2bregistrationformbuilderBlock->f_name_bb = $form_values['f_name_bb'];

        $Addifyb2bregistrationformbuilderBlock->m_name_bb = $form_values['m_name_bb'];

        $Addifyb2bregistrationformbuilderBlock->l_name_bb = $form_values['l_name_bb'];

        $Addifyb2bregistrationformbuilderBlock->company_bb = $form_values['company_bb'];

        $Addifyb2bregistrationformbuilderBlock->name_suffix_bb = $form_values['name_suffix_bb'];

        $Addifyb2bregistrationformbuilderBlock->siret_bb = $form_values['siret_bb'];

        $Addifyb2bregistrationformbuilderBlock->website_url_bb = $form_values['website_url_bb'];

        $Addifyb2bregistrationformbuilderBlock->address_alias_bb = $form_values['address_alias_bb'];

        $Addifyb2bregistrationformbuilderBlock->address_bb = $form_values['address_bb'];

        $Addifyb2bregistrationformbuilderBlock->city_bb = $form_values['city_bb'];

        $Addifyb2bregistrationformbuilderBlock->vat_number_bb = $form_values['vat_number_bb'];

        $Addifyb2bregistrationformbuilderBlock->password_bb = $form_values['password_bb'];

        $Addifyb2bregistrationformbuilderBlock->DOB_bb = $form_values['DOB_bb'];

        $Addifyb2bregistrationformbuilderBlock->custom_fields = $form_values['custom_fields'];

        $Addifyb2bregistrationformbuilderBlock->custom_fields_title = $form_values['custom_fields_title'];

        $Addifyb2bregistrationformbuilderBlock->auto_approve_newuser = $form_values['auto_approve_newuser'];

        $Addifyb2bregistrationformbuilderBlock->pending_acc_msg = $form_values['pending_acc_msg'];

        $Addifyb2bregistrationformbuilderBlock->separate_cms_page = $form_values['separate_cms_page'];

        $Addifyb2bregistrationformbuilderBlock->show_captcha_rf = $form_values['show_captcha_rf'];

        $Addifyb2bregistrationformbuilderBlock->cms_pages = $form_values['cms_pages'];

        $Addifyb2bregistrationformbuilderBlock->edit_url = $form_values['edit_url'];

        $Addifyb2bregistrationformbuilderBlock->Req_Social_title_default = $form_values['Req_Social_title_default'];
        $Addifyb2bregistrationformbuilderBlock->Req_dob_default = $form_values['Req_dob_default'];
        $Addifyb2bregistrationformbuilderBlock->Req_rof_partners_default = $form_values['Req_rof_partners_default'];
        $Addifyb2bregistrationformbuilderBlock->Req_signup_newsletter_default = $form_values['Req_signup_newsletter_default'];
        $Addifyb2bregistrationformbuilderBlock->default_form_positions = $form_values['default_form_positions'];

        $Addifyb2bregistrationformbuilderBlock->Req_m_name_bb = $form_values['Req_m_name_bb'];
        $Addifyb2bregistrationformbuilderBlock->Req_company_bb = $form_values['Req_company_bb'];
        $Addifyb2bregistrationformbuilderBlock->Req_siret_bb = $form_values['Req_siret_bb'];
        $Addifyb2bregistrationformbuilderBlock->Req_website_url_bb = $form_values['Req_website_url_bb'];
        $Addifyb2bregistrationformbuilderBlock->Req_address_alias_bb = $form_values['Req_address_alias_bb'];
        $Addifyb2bregistrationformbuilderBlock->Req_address_bb = $form_values['Req_address_bb'];
        $Addifyb2bregistrationformbuilderBlock->Req_city_bb = $form_values['Req_city_bb'];
        $Addifyb2bregistrationformbuilderBlock->Req_vat_number_bb = $form_values['Req_vat_number_bb'];
        $Addifyb2bregistrationformbuilderBlock->b2b_form_positions = $form_values['b2b_form_positions'];
        $Addifyb2bregistrationformbuilderBlock->default_form_positions_list = $form_values['default_form_positions_list'];
        $Addifyb2bregistrationformbuilderBlock->b2b_form_positions_list = $form_values['b2b_form_positions_list'];




        if (!call_user_func(array($Addifyb2bregistrationformbuilderBlock, $call_back))) {

            $this->context->controller->errors = sprintf($this->l('Something went wrong while performing operation %s'), $call_back);

        } else {

            $this->flushCache();

            if($call_back=='add') {

                Tools::redirectAdmin($this->context->link->getAdminLink('AdminModules', true) . '&conf=3&configure=' . $this->name . '&tab_module=' . $this->tab . '&module_name=' . $this->name.'&formbuilderrulesaddifyb2bregistrationformbuilder');

            } else {

                Tools::redirectAdmin($this->context->link->getAdminLink('AdminModules', true) . '&conf=4&configure=' . $this->name . '&tab_module=' . $this->tab . '&module_name=' . $this->name.'&formbuilderrulesaddifyb2bregistrationformbuilder');

            }

        }     

    }



    protected function processFieldsSave()

    {

        $call_back = 'add';

        $form_values = $this->getConfigFieldsValues(); 



        if (!isset($form_values) && !$form_values) {

            return $this->context->controller->errors[] = $this->l('Empty post values.');

        }

        if ($form_values['field_label']=='') {

            return $this->context->controller->errors[] = $this->l('Input Field Label is Empty.');

        }

        if ($form_values['field_name']=='') {

            return $this->context->controller->errors[] = $this->l('Input Field Name is Empty.');

        }

        if (count($this->context->controller->errors)) {

            return $this->context->controller->errors;

        }

        if ($id_field = Tools::getValue('id_field')) {

            $call_back = 'update'; 

            $Addifyb2bregistrationformfieldsbuilderBlock = new Addifyb2bregistrationformfieldsbuilderClass((int)$id_field);
             $Addifyb2bregistrationformfieldsbuilderBlock->sort_order = $form_values['sort_order'];


        } else {

            $Addifyb2bregistrationformfieldsbuilderBlock = new Addifyb2bregistrationformfieldsbuilderClass();

            
            $Addifyb2bregistrationformfieldsbuilderBlock->sort_order = Addifyb2bregistrationformfieldsbuilderClass::getMaxSortOrder();

        }

        $Addifyb2bregistrationformfieldsbuilderBlock->field_label = $form_values['field_label'];

        $Addifyb2bregistrationformfieldsbuilderBlock->active_field = $form_values['active_field'];

        $Addifyb2bregistrationformfieldsbuilderBlock->field_type = $form_values['field_type'];

        $Addifyb2bregistrationformfieldsbuilderBlock->field_name = $form_values['field_name'];

        $Addifyb2bregistrationformfieldsbuilderBlock->place_holder = $form_values['place_holder'];

        $Addifyb2bregistrationformfieldsbuilderBlock->field_required = $form_values['field_required'];

        $inp_type = $form_values['field_type'];

        if (strrpos("text textarea number email password switch color date time",$inp_type) == '') {

            $field_options_str = $form_values['field_options'];

            $field_option_sep = explode(',', $field_options_str);

            foreach ($field_option_sep as $key) {

                $str_check = strrpos($key,"->");

                if ($str_check == ''){

                    return $this->context->controller->errors[] = $this->l('invalid Pattern in Input Options.');

                }

                $options = explode('->', $key);

                if ($options[0] == ''){

                    return $this->context->controller->errors[] = $this->l('invalid value in Input Options.');

                } elseif ($options[1] == ''){

                    return $this->context->controller->errors[] = $this->l('invalid option in Input Options.');

                } else {

                    $Addifyb2bregistrationformfieldsbuilderBlock->field_options = $form_values['field_options'];

                }

            }

        } else {

            $Addifyb2bregistrationformfieldsbuilderBlock->field_options = $form_values['field_options'];

        }

        $Addifyb2bregistrationformfieldsbuilderBlock->id_form_group = $form_values['id_form_group'];



        if (!call_user_func(array($Addifyb2bregistrationformfieldsbuilderBlock, $call_back))) {

            $this->context->controller->errors = sprintf($this->l('Something went wrong while performing operation %s'), $call_back);

        } else {

            $this->flushCache();

            if($call_back=='add') {

                Tools::redirectAdmin($this->context->link->getAdminLink('AdminModules', true) . '&conf=3&configure=' . $this->name . '&tab_module=' . $this->tab . '&module_name=' . $this->name.'&customlistingaddifyb2bregistrationformbuilder');

            } else {

                Tools::redirectAdmin($this->context->link->getAdminLink('AdminModules', true) . '&conf=4&configure=' . $this->name . '&tab_module=' . $this->tab . '&module_name=' . $this->name.'&customlistingaddifyb2bregistrationformbuilder');

            }

        }

    }



    public function hookDisplayBackOfficeHeader()

    {
        $link = $this->context->link->getAdminLink('AdminAddifyb2bregistrationformbuildersetting');
        Media::addJsDef(array(
            "ajax_position_url" => $link,
        ));

        if (Tools::getValue('module_name') == $this->name || Tools::getValue('configure') == $this->name) {

            $this->context->controller->addJquery();
            $this->context->controller->addJqueryUI('ui.sortable');

            $this->context->controller->addJS($this->_path.'views/js/back.js');

            $this->context->controller->addCSS($this->_path.'views/css/back.css');

        }

    }

    public function hookActionObjectCustomerDeleteAfter($params) {

        $customer = $params['object'];

        if (is_object($customer)) {

            $id = (int)$customer->id; 

            Db::getInstance()->execute('DELETE FROM `' . _DB_PREFIX_ . 'addifyb2bcustomers` WHERE `id_customer` = ' . (int) $id);
        }
    }

    public function hookActionObjectCustomerUpdateAfter($params) {

        $customer = $params['object'];

        if (is_object($customer)) {

            $customer_id = (int)$customer->id; 

            $active = $customer->active;
            $First_Name_default = $customer->firstname;
            $Last_Name_default = $customer->lastname;
            $email_default = $customer->email;
            $id_group = $customer->id_default_group;
            $dob_default = $customer->birthday;
            $rof_partners_default = $customer->optin;
            $signup_newsletter_default = $customer->newsletter;       

            if ($customer->id_gender == 1) {
               $gender = 'male';
            }
            elseif ($customer->id_gender == 2) {
                $gender = 'female';
            }else {

               $gender = '';
            }

            Db::getInstance()->execute('
                UPDATE `' . _DB_PREFIX_ . 'addifyb2bcustomers` 
                SET active = ' . (int)$active . ', 
                    First_Name_default = \'' . pSQL($First_Name_default) . '\' , 
                    Last_Name_default = \'' . pSQL($Last_Name_default) . '\' , 
                    email_default = \'' . pSQL($email_default) . '\' ,
                    id_group = ' . (int)$id_group . ' ,
                    Social_title_default = \'' . pSQL($gender) . '\' ,
                    dob_default = \'' . pSQL($dob_default) . '\' ,
                    rof_partners_default = \'' . pSQL($rof_partners_default) . '\' ,
                    signup_newsletter_default = \'' . pSQL($signup_newsletter_default) . '\' 
                WHERE `id_customer` = ' . (int)$customer_id
            );
        }
    }

    public function hookHeader()

    {

        $type = Dispatcher::getInstance()->getController();

        $registrationLink = $this->context->link->getPageLink('authentication', true, null, 'create_account=1');
        
        $currentUrl = Tools::getShopDomainSsl(true) . $_SERVER['REQUEST_URI'];

        $link = new Link;
        $ajax_link = $link->getModuleLink('addifyb2bregistrationformbuilder','ajax');

        Media::addJsDef(array(
            "ajax_link" => $ajax_link
        ));

       $this->context->controller->addJS($this->_path.'/views/js/front.js');

       $this->context->controller->addCSS($this->_path.'/views/css/front.css');

        if (Configuration::get('ADDIFYB2B_DISABLE_DEFAULT_FORM') == 1){

            if ($type = "authentication") {
                 $this->context->controller->addJS($this->_path.'/views/js/hide_signup.js');

                $registrationLink = $this->context->link->getPageLink('authentication', true, null, 'create_account=1');

                 if ($registrationLink == $currentUrl) {
                     Tools::redirect('index.php?controller=pagenotfound');
                 }
            }
       }

    }


    public function hookDisplayCustomerAccount()

    {   

        if (Configuration::get('ADDIFYB2B_ENABLE') == 0){

            return;

        }

        $formlink = $this->context->shop->getBaseURL(true);

        $customer_id = $this->context->customer->id;

        if ($customer_id  == ''){ return;

        } else {

            $customer= Addifyb2bCustomerClass::getAddifyActiveCustomers($customer_id);

        }

        if (count($customer) == 0){return;}

        $custom_data = Addifyb2bregistrationformcustomdataClass::getfieldsbycustomerid($customer_id);

        if ((!$customer[0]['bb_form']) && (count($custom_data) == 0)) { return;

        } else {

            $this->context->smarty->assign(array(

                'customer_id' => $customer_id ,

                'formlink' => $formlink.'module/addifyb2bregistrationformbuilder/form' 

            ));

            $output = $this->context->smarty->fetch($this->local_path.'views/templates/hook/customer-b2b-info.tpl'); 

            return $output;

        }

        

    }



    public function hookDisplayNav2($param)

    {
        if (Configuration::get('ADDIFYB2B_ENABLE') == 0){

            return;

        }

        if (Configuration::get('ADDIFYB2B_FORM_SHOW_NAV') == 0){

            return;

        }

        $formlink = $this->context->shop->getBaseURL(true);

        $customer_id = $this->context->customer->id;

        $customerGroups = array(Group::getCurrent()->id);

        $ruless = Addifyb2bregistrationformbuilderClass::getRulesByGroup($customerGroups);

        $FORM_GROUPS = explode(",",Configuration::get('ADDIFYB2B_FORM_GROUPS'));

        if (Configuration::get('ADDIFYB2B_FORM_GROUPS')) {
            $rules_final = array(); 

            foreach ($FORM_GROUPS as $key => $FORM_GROUP_ID) {

                foreach ($ruless as $key => $rule_i) {

                   if ($rule_i['id_addifyformbuilderrules'] == $FORM_GROUP_ID) {

                       $rules_final[] = $rule_i;
                   }
                }
            }

            $ruless = $rules_final;
        }else{
            $ruless = $ruless;
        }

        $rules = array(); 

        

        $check = true;

        if ($customer_id  == ''){

            $rules = $ruless;

        } else{

            $i=0;

            $customer_check = Addifyb2bCustomerClass::getAddifyCustomers($customer_id);





            foreach ($ruless as $rule) {  

                foreach ($customer_check as $key) {

                    if ($key['id_customer'] != $customer_id){

                       $check = true;

                    } else{

                        $check = false;

                    } 

                }

                if ($check == true){

                    $rules[$i] = $rule;

                    $i++;

                }

            }

        }

        $count = count($rules);

        if ($count>0){

            $this->context->smarty->assign(array(

                'formlink'  => $formlink.'module/addifyb2bregistrationformbuilder/form',

                'rules' => $rules,

            ));

            $output = $this->context->smarty->fetch($this->local_path.'views/templates/hook/nav-dropdown-menu.tpl'); 

            return $output;

        }

    }

    public function hookDisplayCustomerLoginFormAfter ($customer)
   {

        if (Configuration::get('ADDIFYB2B_ENABLE') == 0){

            return;

        }

        if (Configuration::get('ADDIFYB2B_FORM_SHOW_LOGIN_PAGE') == 0){

            return;

        }

        $formlink = $this->context->shop->getBaseURL(true);

        $customer_id = $this->context->customer->id;

        $customerGroups = array(Group::getCurrent()->id);

        $ruless = Addifyb2bregistrationformbuilderClass::getRulesByGroup($customerGroups);

        $ADDIFYB2B_BUTTON_TEXT_COLOR =Configuration::get('ADDIFYB2B_BUTTON_TEXT_COLOR');

        $ADDIFYB2B_BUTTON_TEXT_SIZE = Configuration::get('ADDIFYB2B_BUTTON_TEXT_SIZE');

        $ADDIFYB2B_BUTTON_COLOR = Configuration::get('ADDIFYB2B_BUTTON_COLOR');

        $FORM_GROUPS = explode(",",Configuration::get('ADDIFYB2B_FORM_GROUPS'));

        if (Configuration::get('ADDIFYB2B_FORM_GROUPS')) {
            $rules_final = array(); 

            foreach ($FORM_GROUPS as $key => $FORM_GROUP_ID) {

                foreach ($ruless as $key => $rule_i) {

                   if ($rule_i['id_addifyformbuilderrules'] == $FORM_GROUP_ID) {

                       $rules_final[] = $rule_i;
                   }
                }
            }

            $ruless = $rules_final;
        }else{
            $ruless = $ruless;
        }

        $rules = array(); 

        

        $check = true;

        if ($customer_id  == ''){

            $rules = $ruless;

        } else{

            $i=0;

            $customer_check = Addifyb2bCustomerClass::getAddifyCustomers($customer_id);





            foreach ($ruless as $rule) {  

                foreach ($customer_check as $key) {

                    if ($key['id_customer'] != $customer_id){

                       $check = true;

                    } else{

                        $check = false;

                    } 

                }

                if ($check == true){

                    $rules[$i] = $rule;

                    $i++;

                }

            }

        }

        $count = count($rules);

        if ($count>0){

            $this->context->smarty->assign(array(

                'formlink'  => $formlink.'module/addifyb2bregistrationformbuilder/form',

                'rules' => $rules,

                'ADDIFYB2B_BUTTON_TEXT_COLOR' => $ADDIFYB2B_BUTTON_TEXT_COLOR,

                'ADDIFYB2B_BUTTON_COLOR' => $ADDIFYB2B_BUTTON_COLOR,

                'ADDIFYB2B_BUTTON_TEXT_SIZE' => $ADDIFYB2B_BUTTON_TEXT_SIZE,

            ));

            $output = $this->context->smarty->fetch($this->local_path.'views/templates/hook/loginpage-dropdown-menu.tpl'); 

            return $output;

        }
   }

   public function hookModuleRoutes()
    {
       // return array(
       //      'module-' . $this->name . '-form' => array(
       //          'controller' => 'form',
       //          'rule' => 'b2b-form',
       //          'keywords' => array(),
       //          'params' => array(
       //              'fc' => 'module',
       //              'module' => $this->name,
       //          ),
       //      ),
       //  );
    }

    public function hookDisplayOverrideTemplate($params) {

        if (Configuration::get('ADDIFYB2B_ENABLE_FORM') == 0){

            return;

        }

        $type = Dispatcher::getInstance()->getController();

        if (($type === 'authentication' || $type === 'registration') && ($params['template_file'] === 'customer/registration')) {

            $rule_id = 0;

            $id_lang = $this->context->language->id;

            $formregisteration  = $this->context->link->getModuleLink($this->name, 'formregisteration');

            $config_rule_values[] = array(

                'ADDIFYB2B_ID_RULE' =>  $rule_id,
                'ADDIFYB2B_DEFAULT_FORM' => Configuration::get('ADDIFYB2B_DEFAULT_FORM'),
                'ADDIFYB2B_ENABLE_FORM' => Configuration::get('ADDIFYB2B_ENABLE_FORM'),
                'ADDIFYB2B_AUTO_APPROVE_USER' => Configuration::get('ADDIFYB2B_AUTO_APPROVE_USER'),
                'ADDIFYB2B_GROUP_ASSIGN' => Configuration::get('ADDIFYB2B_GROUP_ASSIGN'),
                'ADDIFYB2B_SEPERATE_CMS_PAGES' => Configuration::get('ADDIFYB2B_SEPERATE_CMS_PAGES'),
                'ADDIFYB2B_FIRST_NAME_DEFAULT' => Configuration::get('ADDIFYB2B_FIRST_NAME_DEFAULT'),
                'ADDIFYB2B_LAST_NAME_DEFAULT' => Configuration::get('ADDIFYB2B_LAST_NAME_DEFAULT'),
                'ADDIFYB2B_EMAIL_DEFAULT' => Configuration::get('ADDIFYB2B_EMAIL_DEFAULT'),
                'ADDIFYB2B_PASSWORD_DEFAULT' => Configuration::get('ADDIFYB2B_PASSWORD_DEFAULT'),
                'ADDIFYB2B_CMS_PAGES' => Configuration::get('ADDIFYB2B_CMS_PAGES'),
                'ADDIFYB2B_SHOW_RECAPTCHA_RF' => Configuration::get('ADDIFYB2B_SHOW_RECAPTCHA_RF'),
                'ADDIFYB2B_DEFAULT_FORM_POSITIONS' => Configuration::get('ADDIFYB2B_DEFAULT_FORM_POSITIONS'),
                'ADDIFYB2B_DEFAULT_FORM_POSITIONS_LIST' => explode(",",Configuration::get('ADDIFYB2B_DEFAULT_FORM_POSITIONS_LIST')),
                'ADDIFYB2B_SOCIAL_TITLE' => Configuration::get('ADDIFYB2B_SOCIAL_TITLE'),
                'REQ_ADDIFYB2B_SOCIAL_TITLE' => Configuration::get('REQ_ADDIFYB2B_SOCIAL_TITLE'),
                'ADDIFYB2B_DOB' => Configuration::get('ADDIFYB2B_DOB'),
                'REQ_ADDIFYB2B_DOB' => Configuration::get('REQ_ADDIFYB2B_DOB'),
                'ADDIFYB2B_ROF_PARTNERS' => Configuration::get('ADDIFYB2B_ROF_PARTNERS'),
                'REQ_ADDIFYB2B_ROF_PARTNERS' => Configuration::get('REQ_ADDIFYB2B_ROF_PARTNERS'),
                'ADDIFYB2B_SIGNUP_NEWSLETTER' => Configuration::get('ADDIFYB2B_SIGNUP_NEWSLETTER'),
                'REQ_ADDIFYB2B_SIGNUP_NEWSLETTER' => Configuration::get('REQ_ADDIFYB2B_SIGNUP_NEWSLETTER'),
                'ADDIFYB2B_BB_FORM' => Configuration::get('ADDIFYB2B_BB_FORM'),
                'ADDIFYB2B_B2B_FORM_POSITIONS' => Configuration::get('ADDIFYB2B_B2B_FORM_POSITIONS'),
                'ADDIFYB2B_B2B_FORM_POSITIONS_LIST' => explode(",",Configuration::get('ADDIFYB2B_B2B_FORM_POSITIONS_LIST')),
                'ADDIFYB2B_MIDDLE_NAME' => Configuration::get('ADDIFYB2B_MIDDLE_NAME'),
                'REQ_ADDIFYB2B_MIDDLE_NAME' => Configuration::get('REQ_ADDIFYB2B_MIDDLE_NAME'),
                'ADDIFYB2B_COMPANY' => Configuration::get('ADDIFYB2B_COMPANY'),
                'REQ_ADDIFYB2B_COMPANY' => Configuration::get('REQ_ADDIFYB2B_COMPANY'),
                'ADDIFYB2B_SIRET' => Configuration::get('ADDIFYB2B_SIRET'),
                'REQ_ADDIFYB2B_SIRET' => Configuration::get('REQ_ADDIFYB2B_SIRET'),
                'ADDIFYB2B_WEBSITE_URL' => Configuration::get('ADDIFYB2B_WEBSITE_URL'),
                'REQ_ADDIFYB2B_WEBSITE_URL' => Configuration::get('REQ_ADDIFYB2B_WEBSITE_URL'),
                'ADDIFYB2B_ADDRESS_ALIAS' => Configuration::get('ADDIFYB2B_ADDRESS_ALIAS'),
                'REQ_ADDIFYB2B_ADDRESS_ALIAS' => Configuration::get('REQ_ADDIFYB2B_ADDRESS_ALIAS'),
                'ADDIFYB2B_ADDRESS' => Configuration::get('ADDIFYB2B_ADDRESS'),
                'REQ_ADDIFYB2B_ADDRESS' => Configuration::get('REQ_ADDIFYB2B_ADDRESS'),
                'ADDIFYB2B_CITY' => Configuration::get('ADDIFYB2B_CITY'),
                'REQ_ADDIFYB2B_CITY' => Configuration::get('REQ_ADDIFYB2B_CITY'),
                'ADDIFYB2B_VAT_NUMBER' => Configuration::get('ADDIFYB2B_VAT_NUMBER'),
                'REQ_ADDIFYB2B_VAT_NUMBER' => Configuration::get('REQ_ADDIFYB2B_VAT_NUMBER'),
                'ADDIFYB2B_CUSTOM_FIELDS' => Configuration::get('ADDIFYB2B_CUSTOM_FIELDS'),
                'ADDIFYB2B_DEFAULT_FORM_TITLE' => Configuration::get('ADDIFYB2B_DEFAULT_FORM_TITLE_'.$id_lang),
                'ADDIFYB2B_FORM_TITLE_BB' => Configuration::get('ADDIFYB2B_FORM_TITLE_BB_'.$id_lang),
                'ADDIFYB2B_CUSTOM_FIELDS_TITLE' => Configuration::get('ADDIFYB2B_CUSTOM_FIELDS_TITLE_'.$id_lang),
                'ADDIFYB2B_PENDING_ACC_MSG' => Configuration::get('ADDIFYB2B_PENDING_ACC_MSG_'.$id_lang),

            );

            $fields = Addifyb2bregistrationformfieldsbuilderClass::getCustomFields($rule_id,$this->context->language->id);

            $redirectlink = $this->context->shop->getBaseURL(true);

            $loglink = $this->context->link->getPageLink('authentication');

            $customer_id = $this->context->customer->id;

            $data = array();

            $iscustmr = 0;

            if($customer_id != ''){

                $iscustmr = 1;

            }

            $ADDIFYB2B_CMS_PAGES = Configuration::get('ADDIFYB2B_CMS_PAGES');

           
            $CMSContent = Addifyb2bregistrationformbuilderClass::getLinks($ADDIFYB2B_CMS_PAGES,Context::getContext()->language->id);

            $ADDIFYB2B_RECAPTCHA = Configuration::get('ADDIFYB2B_RECAPTCHA');

            $ADDIFYB2B_SITE_KEY = Configuration::get('ADDIFYB2B_SITE_KEY');

            $ADDIFYB2B_PENDING_ACC_MSG = Configuration::get('ADDIFYB2B_PENDING_ACC_MSG_'.$id_lang);


            $module = Module::getInstanceByName('addifyb2bregistrationformbuilder');

            $this->context->smarty->assign(array(

                'ADDIFYB2B_SITE_KEY' => $ADDIFYB2B_SITE_KEY,

                'ADDIFYB2B_RECAPTCHA' => $ADDIFYB2B_RECAPTCHA,

                'ADDIFYB2B_PENDING_ACC_MSG' => $ADDIFYB2B_PENDING_ACC_MSG,

                'rule' => $config_rule_values,

                'CMSContent' => $CMSContent,

                'redirectlink' => $redirectlink,

                'loglink' => $loglink,

                'fields' => $fields,

                'data'=> $data,

                'iscustmr'=> $iscustmr ,

                'formregisteration' => $formregisteration, 

                'id_module' => $module->id, 

            ));

            return _PS_MODULE_DIR_. 'addifyb2bregistrationformbuilder/views/templates/hook/registration_page.tpl';
        }
    }

    
    public function hookRegisterGDPRConsent ($customer)
   {
    /*method is created to remove installation error*/
   }
       public function hookDisplayGDPRConsent ($customer)
   {
    /*method is created to remove installation error*/
   }

    public function hookActionDeleteGDPRCustomer ($customer)
   {
        if (!empty($customer['id']) && Validate::isEmail($customer['email'])) {
            $sql = "DELETE FROM "._DB_PREFIX_."addifyb2bcustomers WHERE id_customer = '".pSQL($customer['id_customer'])."'";
            if (Db::getInstance()->execute($sql)) {
                return json_encode(true);
            }
            return json_encode($this->l('B2B Registration Module : Unable to delete customer using email.'));
        }
   }

    public function hookActionExportGDPRData($customer)
    {
        if (!Tools::isEmpty($customer['id']) && Validate::isEmail($customer['email'])) {
            $sql = "SELECT Social_title_default AS `Social Title`,First_Name_default AS `First Name`,Last_Name_default AS `Last Name`,email_default AS `Email`,dob_default AS `DOB`,m_name_bb AS `Middle Name`,company_bb AS `Company name`,siret_bb AS `Siret`,website_url_bb AS `Website`,address_alias_bb AS `Address Alias`,address_bb AS `Address`,city_bb AS `City`,vat_number_bb AS `Vat Number` FROM "._DB_PREFIX_."addifyb2bcustomers WHERE id_customer = '".pSQL($customer['id'])."'";
            if ($res = Db::getInstance()->ExecuteS($sql)) {

                $sqlfields = "SELECT * FROM `"._DB_PREFIX_."addifycustomercustomdata` WHERE id_customer = '".pSQL($customer['id'])."'";

                if($resfields = Db::getInstance()->ExecuteS($sqlfields)){
                        foreach($resfields as $resfield){
                            $res[0][$resfield['field_label']] = $resfield['field_value'];
                        }
                }

                return json_encode($res);
            } 
            return json_encode($this->l('B2B Registration Module : Unable to export customer using email.'));
        }
    }
}