<?php
/**
* 2021 Addify
*
* NOTICE OF LICENSE
*
* This source file is subject to the Academic Free License (AFL 3.0)
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://opensource.org/licenses/afl-3.0.php
* If you did not receive a copy of the license and are unable to
* obtain it through the world-wide-web, please send an email
* to license@prestashop.com so we can send you a copy immediately.
*
* DISCLAIMER
*
* Do not edit or add to this file if you wish to upgrade PrestaShop to newer
* versions in the future. If you wish to customize PrestaShop for your
* needs please refer to http://www.prestashop.com for more information.
*
*  @author    Addify
*  @copyright 2021 Addify
*  @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
*  International Registered Trademark & Property of PrestaShop SA
*/

if (!defined('_PS_VERSION_')) {

    exit;

}


class Addifyb2bCustomerClass extends ObjectModel

{

    //rule general



    public $id_addifycustomer;

    public $active;

    public $id_group;

    public $id_shop;

    public $id_customer;



    //form general



    //default form fields data:

    public $Social_title_default;

    public $First_Name_default;

    public $Last_Name_default;

    public $email_default;

    public $Password_default;

    public $New_Password_default;

    public $dob_default;

    public $rof_partners_default;

    public $signup_newsletter_default;

    public $privacy_policy_default;



    //default B2B form fields



    public $bb_form;

    public $form_title_bb;

    public $m_name_bb;

    public $company_bb;

    public $name_suffix_bb;

    public $siret_bb;

    public $website_url_bb;

    public $address_alias_bb;

    public $address_bb;

    public $city_bb;

    public $vat_number_bb;


    //custom fields



    public $date_upd;

    public $date_add;



    /**

     * @see ObjectModel::$definition

     */

    public static $definition = array(

        'table'     => 'addifyb2bcustomers',

        'primary'   => 'id_addifycustomer',

        'fields'    => array(

            'active'  => array('type' => self::TYPE_BOOL, 'validate' => 'isBool'),

            'id_group' => array('type' => self::TYPE_HTML),

            'id_shop' => array('type' => self::TYPE_HTML),

            'id_customer' => array('type' => self::TYPE_HTML),

            

            'Social_title_default' => array('type' => self::TYPE_HTML),

            'First_Name_default' => array('type' => self::TYPE_HTML),

            'Last_Name_default' => array('type' => self::TYPE_HTML),

            'email_default' => array('type' => self::TYPE_HTML),

            'Password_default' => array('type' => self::TYPE_HTML),

            'New_Password_default' => array('type' => self::TYPE_HTML),

            'dob_default' => array('type' => self::TYPE_HTML),

            'rof_partners_default' => array('type' => self::TYPE_HTML),

            'signup_newsletter_default' => array('type' => self::TYPE_HTML),

            'privacy_policy_default' => array('type' => self::TYPE_HTML),

            'bb_form' => array('type' => self::TYPE_HTML),

            'm_name_bb' => array('type' => self::TYPE_HTML),

            'company_bb' => array('type' => self::TYPE_HTML),

            'name_suffix_bb' => array('type' => self::TYPE_HTML),

            'siret_bb' => array('type' => self::TYPE_HTML),

            'website_url_bb' => array('type' => self::TYPE_HTML),

            'address_alias_bb' => array('type' => self::TYPE_HTML),

            'address_bb' => array('type' => self::TYPE_HTML),

            'city_bb' => array('type' => self::TYPE_HTML),

            'vat_number_bb' => array('type' => self::TYPE_HTML),



            'date_upd' => array('type' => self::TYPE_DATE, 'validate' => 'isDate'),

            'date_add'   => array('type' => self::TYPE_DATE, 'validate' => 'isDate'),

        )

    );

    public static function setStatus($status, $id_addifycustomer)

    {

        if (!$id_addifycustomer || empty($status)) {

            return false;

        }

        return (bool)Db::getInstance()->execute('UPDATE '._DB_PREFIX_.self::$definition['table'].'

            SET `'.pSQL($status).'` = !'.pSQL($status).'

            WHERE id_addifycustomer = '.(int)$id_addifycustomer);

    }

    public static function getDataByCustomerid($id_addifycustomer)
    {
        return Db::getInstance()->executeS('
            SELECT *
            FROM `'._DB_PREFIX_.'addifyb2bcustomers` WHERE id_addifycustomer = ' . (int)$id_addifycustomer);
    }

    public static function getAddifyCustomers()

    {

        return Db::getInstance()->executeS('

            SELECT *

            FROM `'._DB_PREFIX_.'addifyb2bcustomers`');

    }

    public static function getAddifyPendingCustomers()

    {

        return Db::getInstance()->executeS('

            SELECT *

            FROM `'._DB_PREFIX_.'addifyb2bcustomers` WHERE `active` = 0 ');
    }

        public static function getAddifyActiveCustomers($customer_id)

    {

        return Db::getInstance()->executeS('

            SELECT *

            FROM `'._DB_PREFIX_.'addifyb2bcustomers` WHERE `active` = 1 AND `id_customer` = '.(int)$customer_id);

    }



    public static function getAddifyCustomersbyruleid($customer_id) 

    {

        return Db::getInstance()->executeS('

            SELECT `name_suffix_bb`

            FROM `'._DB_PREFIX_.'addifyb2bcustomers` WHERE `id_customer` = '.(int)$customer_id);

    }



    public static function getAddifyCustomersgroup($id_addifycustomer) 

    {

        return Db::getInstance()->executeS('

            SELECT `name_suffix_bb`

            FROM `'._DB_PREFIX_.'addifyb2bcustomers` WHERE `id_addifycustomer` = '.(int)$id_addifycustomer);

    }

    

    public static function getAddifyCustomersID($id_addifycustomer) 

    {

        return Db::getInstance()->executeS('

            SELECT `id_customer`

            FROM `'._DB_PREFIX_.'addifyb2bcustomers` WHERE `id_addifycustomer` = '.(int)$id_addifycustomer);

    }



    public static function getCustomerRecordsbyid($customer_id)

    {

        return Db::getInstance()->executeS('

            SELECT *

            FROM `'._DB_PREFIX_.'addifyb2bcustomers` WHERE `id_customer` = '.(int)$customer_id);

    }

}

