<?php
/**
* 2021 Addify
*
* NOTICE OF LICENSE
*
* This source file is subject to the Academic Free License (AFL 3.0)
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://opensource.org/licenses/afl-3.0.php
* If you did not receive a copy of the license and are unable to
* obtain it through the world-wide-web, please send an email
* to license@prestashop.com so we can send you a copy immediately.
*
* DISCLAIMER
*
* Do not edit or add to this file if you wish to upgrade PrestaShop to newer
* versions in the future. If you wish to customize PrestaShop for your
* needs please refer to http://www.prestashop.com for more information.
*
*  @author    Addify
*  @copyright 2021 Addify
*  @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
*  International Registered Trademark & Property of PrestaShop SA
*/

if (!defined('_PS_VERSION_')) {

    exit;

}

class Addifyb2bregistrationformbuilderClass extends ObjectModel

{

    //rule general



    public $id_addifyformbuilderrules;

    public $active;

    public $priority;

    public $title;

    public $id_groups;

    public $id_shop;

    public $id_customer;



    //form general



    public $form_title;



    //default form fields data:



    public $default_form;

    public $Social_title_default;

    public $First_Name_default;

    public $Last_Name_default;

    public $email_default;

    public $Password_default;

    public $New_Password_default;

    public $dob_default;

    public $rof_partners_default;

    public $signup_newsletter_default;

    public $privacy_policy_default;



    //default B2B form fields



    public $bb_form;

    public $form_title_bb;

    public $m_name_bb;

    public $company_bb;

    public $name_suffix_bb;

    public $siret_bb;

    public $website_url_bb;

    public $address_alias_bb;

    public $address_bb;

    public $city_bb;

    public $vat_number_bb;


    //custom fields

    

    public $custom_fields;

    public $custom_fields_title;

    public $date_upd;

    public $date_add;

    public $auto_approve_newuser;

    public $group_assigned;

    public $pending_acc_msg;
    public $separate_cms_page;
    public $cms_pages;
    public $edit_url;
    public $show_captcha_rf;

    public $Req_Social_title_default;
    public $Req_dob_default;
    public $Req_rof_partners_default;
    public $Req_signup_newsletter_default;
    public $default_form_positions;

    public $Req_m_name_bb;
    public $Req_company_bb;
    public $Req_siret_bb;
    public $Req_website_url_bb;
    public $Req_address_alias_bb;
    public $Req_address_bb;
    public $Req_city_bb;
    public $Req_vat_number_bb;
    public $b2b_form_positions;

    public $b2b_form_positions_list;
    public $default_form_positions_list;

    /**

     * @see ObjectModel::$definition

     */

    public static $definition = array(

        'table'     => 'addifyformbuilderrules',

        'primary'   => 'id_addifyformbuilderrules',

        'multilang' => true,

        'fields'    => array(

            'active'  => array('type' => self::TYPE_BOOL, 'validate' => 'isBool'),

            'priority'  => array('type' => self::TYPE_BOOL,),

            'title' => array('type' => self::TYPE_HTML),

            'id_groups' => array('type' => self::TYPE_HTML),

            'group_assigned' => array('type' => self::TYPE_HTML),

            'id_shop' => array('type' => self::TYPE_HTML),

            'id_customer' => array('type' => self::TYPE_HTML),

            'form_title' => array('type' => self::TYPE_HTML , 'lang' => true),

            //

            'default_form'  => array('type' => self::TYPE_BOOL, 'validate' => 'isBool'),

            'Social_title_default' => array('type' => self::TYPE_BOOL, 'validate' => 'isBool'),

            'First_Name_default' => array('type' => self::TYPE_BOOL, 'validate' => 'isBool'),

            'Last_Name_default' => array('type' => self::TYPE_HTML),

            'email_default' => array('type' => self::TYPE_BOOL, 'validate' => 'isBool'),

            'Password_default' => array('type' => self::TYPE_BOOL, 'validate' => 'isBool'),

            'New_Password_default' => array('type' => self::TYPE_BOOL, 'validate' => 'isBool'),

            'dob_default' => array('type' => self::TYPE_BOOL, 'validate' => 'isBool'),

            'rof_partners_default' => array('type' => self::TYPE_BOOL, 'validate' => 'isBool'),

            'signup_newsletter_default' => array('type' => self::TYPE_BOOL, 'validate' => 'isBool'),

            'privacy_policy_default' => array('type' => self::TYPE_BOOL, 'validate' => 'isBool'),

            //

            'bb_form'  => array('type' => self::TYPE_BOOL, 'validate' => 'isBool'),

            'form_title_bb' => array('type' => self::TYPE_HTML , 'lang' => true),

            'm_name_bb' => array('type' => self::TYPE_BOOL, 'validate' => 'isBool'),

            'company_bb' => array('type' => self::TYPE_BOOL, 'validate' => 'isBool'),

            'name_suffix_bb' => array('type' => self::TYPE_BOOL, 'validate' => 'isBool'),

            'siret_bb' => array('type' => self::TYPE_BOOL, 'validate' => 'isBool'),

            'website_url_bb' => array('type' => self::TYPE_BOOL, 'validate' => 'isBool'),

            'address_alias_bb' => array('type' => self::TYPE_BOOL, 'validate' => 'isBool'),

            'address_bb' => array('type' => self::TYPE_BOOL, 'validate' => 'isBool'),

            'city_bb' => array('type' => self::TYPE_BOOL, 'validate' => 'isBool'),

            'vat_number_bb' => array('type' => self::TYPE_BOOL, 'validate' => 'isBool'),

            //

            'custom_fields'  => array('type' => self::TYPE_BOOL, 'validate' => 'isBool'),

            'custom_fields_title' => array('type' => self::TYPE_HTML , 'lang' => true),

            //

            'auto_approve_newuser'  => array('type' => self::TYPE_BOOL, 'validate' => 'isBool'),

            //

            'date_upd' => array('type' => self::TYPE_DATE, 'validate' => 'isDate'),

            'date_add'   => array('type' => self::TYPE_DATE, 'validate' => 'isDate'),

            'separate_cms_page'  =>  array('type' => self::TYPE_BOOL, 'validate' => 'isBool'),
            'show_captcha_rf'  => array('type' => self::TYPE_BOOL, 'validate' => 'isBool'),
            'cms_pages' => array('type' => self::TYPE_HTML),
            'edit_url' => array('type' => self::TYPE_HTML),
            'pending_acc_msg' => array('type' => self::TYPE_HTML , 'lang' => true),


            'Req_Social_title_default' => array('type' => self::TYPE_BOOL, 'validate' => 'isBool'),
            'Req_dob_default' => array('type' => self::TYPE_BOOL, 'validate' => 'isBool'),
            'Req_rof_partners_default' => array('type' => self::TYPE_BOOL, 'validate' => 'isBool'),
            'Req_signup_newsletter_default' => array('type' => self::TYPE_BOOL, 'validate' => 'isBool'),
            'default_form_positions' => array('type' => self::TYPE_HTML),

            'Req_m_name_bb' => array('type' => self::TYPE_BOOL, 'validate' => 'isBool'),
            'Req_company_bb' => array('type' => self::TYPE_BOOL, 'validate' => 'isBool'),
            'Req_siret_bb' => array('type' => self::TYPE_BOOL, 'validate' => 'isBool'),
            'Req_website_url_bb' => array('type' => self::TYPE_BOOL, 'validate' => 'isBool'),
            'Req_address_alias_bb' => array('type' => self::TYPE_BOOL, 'validate' => 'isBool'),
            'Req_address_bb' => array('type' => self::TYPE_BOOL, 'validate' => 'isBool'),
            'Req_city_bb' => array('type' => self::TYPE_BOOL, 'validate' => 'isBool'),
            'Req_vat_number_bb' => array('type' => self::TYPE_BOOL, 'validate' => 'isBool'),
            'b2b_form_positions' => array('type' => self::TYPE_HTML),

            'default_form_positions_list' => array('type' => self::TYPE_HTML),
            'b2b_form_positions_list' => array('type' => self::TYPE_HTML),
        )

    );

    public static function setStatus($status, $id_addifyformbuilderrules)

    {

        if (!$id_addifyformbuilderrules || empty($status)) {

            return false;

        }

        return (bool)Db::getInstance()->execute('UPDATE '._DB_PREFIX_.self::$definition['table'].'

            SET `'.pSQL($status).'` = !'.pSQL($status).'

            WHERE id_addifyformbuilderrules = '.(int)$id_addifyformbuilderrules);

    }

    public static function getLangDatabyid($rule_id)

    {

        return Db::getInstance()->executeS('

            SELECT *

            FROM `'._DB_PREFIX_.'addifyformbuilderrules_lang` WHERE `id_addifyformbuilderrules` = '.(int)$rule_id.'');

    }

    public static function getRules()

    {

        return Db::getInstance()->executeS('

            SELECT *

            FROM `'._DB_PREFIX_.'addifyformbuilderrules`');

    }

    public static function getRuleById($rule_id,$id_lang)

    {

        try {

            return Db::getInstance()->executeS('

            SELECT fr.*, frl.*

            FROM `'._DB_PREFIX_.'addifyformbuilderrules` fr 

            LEFT JOIN `' . _DB_PREFIX_ . 'addifyformbuilderrules_lang` frl ON frl.`id_addifyformbuilderrules` = fr.`id_addifyformbuilderrules`

            WHERE fr.`active` = 1 AND fr.`id_addifyformbuilderrules` ='.(int)$rule_id.' AND frl.`id_lang` ='.(int)$id_lang);

        }

        catch (Exception $e) {
            
            return Db::getInstance()->executeS('

            SELECT *

            FROM `'._DB_PREFIX_.'addifyformbuilderrules` WHERE `active` = 1 AND `id_addifyformbuilderrules` ='.(int)$rule_id);
        }

        

    }

    public static function getRulesidandtitle()

    {

        return Db::getInstance()->executeS('

            SELECT `id_addifyformbuilderrules`,`title`

            FROM `'._DB_PREFIX_.'addifyformbuilderrules` WHERE `active` = 1 ORDER BY priority ASC');

    }

    public static function getAllRules()
    {

        $rules = Db::getInstance()->executeS('

            SELECT *

            FROM `'._DB_PREFIX_.'addifyformbuilderrules` WHERE `active` = 1 ORDER BY priority ASC');

        if ($rules) {

            return $rules;

        } 

        return false;

        
    }

    public static function getRulesByGroup($customerGroups)

    {   $return=array();

        $rules = Db::getInstance()->executeS('

            SELECT *

            FROM `'._DB_PREFIX_.'addifyformbuilderrules` WHERE `active` = 1 ORDER BY priority ASC');

         $i=0;

        if ($rules) {

            foreach ($rules as $rule) {

                if ($rule['id_groups']) {

                    $ruleGroups =  explode(',', $rule['id_groups']);

                    

                    foreach ($customerGroups as $value) {

                        if (in_array($value, $ruleGroups)) {

                            $return[$i] = $rule;

                            $i++;

                        }

                    }

                }

            }

        }

        return $return;

    }


    /**
     * Get links.
     *
     * @param int $idLang Language ID
     * @param null $selection
     * @param bool $active
     * @param Link|null $link
     *
     * @return array
     */
    public static function getLinks($id, $idLang, $selection = null, $active = true, Link $link = null)
    {
        if (!$link) {
            $link = Context::getContext()->link;
        }

        $id = (int) $id; // Assuming $id is the ID of the CMS page you want to retrieve
        $idLang = (int) $idLang; // Assuming $idLang is the ID of the language

        $query = '
            SELECT c.id_cms, cl.link_rewrite, cl.meta_title
            FROM ' . _DB_PREFIX_ . 'cms c
            LEFT JOIN ' . _DB_PREFIX_ . 'cms_lang cl ON (c.id_cms = cl.id_cms AND cl.id_lang = ' . (int) $idLang . ' AND cl.id_shop = ' . (int) Context::getContext()->shop->id . ')
            ' . Shop::addSqlAssociation('cms', 'c') . '
            WHERE 1
            ' . ($selection !== null ? ' AND c.id_cms IN (' . implode(',', array_map('intval', $selection)) . ')' : '') .
            ($active ? ' AND c.`active` = 1 ' : '') . ' AND c.`id_cms` = ' . $id . '
            GROUP BY c.id_cms
            ORDER BY c.`position`';

        $result = Db::getInstance(_PS_USE_SQL_SLAVE_)->executeS($query);

        $links = [];
        if ($result) {
            foreach ($result as $row) {
                $row['link'] = $link->getCMSLink((int) $row['id_cms'], $row['link_rewrite']);
                $links[] = $row;
            }
        }

        return $links;

    }

}

