<?php
/**
* 2021 Addify
*
* NOTICE OF LICENSE
*
* This source file is subject to the Academic Free License (AFL 3.0)
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://opensource.org/licenses/afl-3.0.php
* If you did not receive a copy of the license and are unable to
* obtain it through the world-wide-web, please send an email
* to license@prestashop.com so we can send you a copy immediately.
*
* DISCLAIMER
*
* Do not edit or add to this file if you wish to upgrade PrestaShop to newer
* versions in the future. If you wish to customize PrestaShop for your
* needs please refer to http://www.prestashop.com for more information.
*
*  @author    Addify
*  @copyright 2021 Addify
*  @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
*  International Registered Trademark & Property of PrestaShop SA
*/

if (!defined('_PS_VERSION_')) {

    exit;

}

class Addifyb2bregistrationformfieldsbuilderClass extends ObjectModel

{

    public $id_field;

    public $active_field;

    public $field_label;

    public $field_type;

    public $place_holder;

    public $field_required;

    public $field_options;

    public $id_form_group;

    public $sort_order;

    public $field_name;



    /**

     * @see ObjectModel::$definition

     */

    public static $definition = array(

        'table'     => 'addifyformbuilderfields',

        'primary'   => 'id_field',

        'multilang' => true,

        'fields'    => array(

            'active_field'  => array('type' => self::TYPE_BOOL, 'validate' => 'isBool'),

            'field_label' => array('type' => self::TYPE_HTML , 'lang' => true),

            'field_type' => array('type' => self::TYPE_HTML),

            'place_holder' => array('type' => self::TYPE_HTML , 'lang' => true),

            'field_required'  => array('type' => self::TYPE_BOOL, 'validate' => 'isBool'),

            'field_options' => array('type' => self::TYPE_HTML),

            'id_form_group' => array('type' => self::TYPE_HTML),

            'sort_order' => array('type' => self::TYPE_INT, 'validate' => 'isunsignedInt'),

            'field_name' => array('type' => self::TYPE_HTML),



        )

    );

    public static function setStatus($status, $id_field)

    {

        if (!$id_field || empty($status)) {

            return false;

        }

        return (bool)Db::getInstance()->execute('UPDATE '._DB_PREFIX_.self::$definition['table'].'

            SET `'.pSQL($status).'` = !'.pSQL($status).'

            WHERE id_field = '.(int)$id_field);

    }

     public static function getLangDatabyid($rule_id)

    {

        return Db::getInstance()->executeS('

            SELECT *

            FROM `'._DB_PREFIX_.'addifyformbuilderfields_lang` WHERE `id_field` = '.(int)$rule_id.'');

    }

    public static function getMaxSortOrder()
    {
        $result = Db::getInstance()->ExecuteS('
            SELECT MAX(sort_order) AS sort_order
            FROM `'._DB_PREFIX_.'addifyformbuilderfields`');

        if (!$result) {
            return false;
        }

        foreach ($result as $res) {
            $result = $res['sort_order'];
        }

        $result = $result + 1;

        return $result;
    }

    public static function getnewfields()

    {

        return Db::getInstance()->executeS('

            SELECT  fb.*, fbl.*

            FROM `'._DB_PREFIX_.'addifyformbuilderfields` fb

            LEFT JOIN `' . _DB_PREFIX_ . 'addifyformbuilderfields_lang` fbl ON fbl.`id_field` = fb.`id_field` WHERE fbl.`id_lang` = 1 ORDER BY sort_order');

    }

    public static function getlastfieldid()

    {

        return Db::getInstance()->executeS('

            SELECT `id_field` FROM `'._DB_PREFIX_.'addifyformbuilderfields` ORDER BY id_field DESC');

    }

    public static function getactivefields($rule_id,$id_lang)

    {
        try {

            return Db::getInstance()->executeS('

            SELECT fb.*, fbl.*

            FROM `'._DB_PREFIX_.'addifyformbuilderfields` fb

            LEFT JOIN `' . _DB_PREFIX_ . 'addifyformbuilderfields_lang` fbl ON fbl.`id_field` = fb.`id_field`

            WHERE fb.`active_field` = 1 AND fb.`id_form_group` ='.(int)$rule_id. ' AND fbl.`id_lang` ='.(int)$id_lang);

        }

        catch (Exception $e) {
            
            return Db::getInstance()->executeS('

            SELECT *

            FROM `'._DB_PREFIX_.'addifyformbuilderfields` WHERE `active_field` = 1 AND `id_form_group` ='.(int)$rule_id);
        }
    }

    public static function getCustomFields($rule_id,$id_lang)

    {
        try {

            $query = '
                SELECT fb.*, fbl.*
                FROM `'._DB_PREFIX_.'addifyformbuilderfields` fb
                LEFT JOIN `' . _DB_PREFIX_ . 'addifyformbuilderfields_lang` fbl ON fbl.`id_field` = fb.`id_field`
                WHERE fb.`active_field` = 1
                    AND fb.`id_form_group` = ' . (int)$rule_id .
                    ' AND fbl.`id_lang` = ' . (int)$id_lang . '
                ORDER BY fb.`sort_order`';

            $result = Db::getInstance()->executeS($query);

            return $result;

        }

        catch (Exception $e) {

            $query = '
                SELECT *
                FROM `'._DB_PREFIX_.'addifyformbuilderfields`
                WHERE `active_field` = 1
                    AND `id_form_group` = ' . (int)$rule_id . '
                ORDER BY `sort_order`';

            $result = Db::getInstance()->executeS($query);

            return $result;
            
        }




    }

}

