<?php
/**
* 2007-2020 PrestaShop
*
* NOTICE OF LICENSE
*
* This source file is subject to the Academic Free License (AFL 3.0)
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://opensource.org/licenses/afl-3.0.php
* If you did not receive a copy of the license and are unable to
* obtain it through the world-wide-web, please send an email
* to license@prestashop.com so we can send you a copy immediately.
*
* DISCLAIMER
*
* Do not edit or add to this file if you wish to upgrade PrestaShop to newer
* versions in the future. If you wish to customize PrestaShop for your
* needs please refer to http://www.prestashop.com for more information.
*
*  @author    PrestaShop SA <contact@prestashop.com>
*  @copyright 2007-2020 PrestaShop SA
*  @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
*  International Registered Trademark & Property of PrestaShop SA
*/

if (!defined('_PS_VERSION_')) {

    exit;

}

class Addifyb2bregistrationformbuilderAjaxModuleFrontController extends ModuleFrontController
{
    public function initContent()
    {
        $baseUrl = $this->context->shop->getBaseURL(true);
        if (!$this->ajax) {
            Tools::redirect($baseUrl);
        }

        if(Tools::getValue('token') != 'qwe456yhn112'){
            Tools::redirect($baseUrl);
        }
    
        // You may should do some security work here, like checking an hash from your module
        if (Tools::isSubmit('action')) {

            // Default response with translation from the module
            $response = array('status' => false, "message" => "Nothing here");

            switch (Tools::getValue('action')) {

                case 'VAT_NUMBER':

                    // Edit default response and do some work here
                    //$vatid = 'ATU23224909';
                    if(Configuration::get('ADDIFYB2BVIES_ENABLE', true) == 1){

                        if (extension_loaded('soap')) {

                            $vatid = Tools::getValue('vat_num'); // replace for the VAT-ID you would like to check

                            $vatid = str_replace(array(' ', '.', '-', ',', ', '), '', trim($vatid));
                            $cc = substr($vatid, 0, 2);
                            $vn = substr($vatid, 2);
                            $client = new SoapClient("http://ec.europa.eu/taxation_customs/vies/checkVatService.wsdl");

                            if($client){

                                $params = array('countryCode' => $cc, 'vatNumber' => $vn);
                                try{
                                    $r = $client->checkVat($params);

                                    if($r->valid == true){
                                        // VAT-ID is valid

                                        $output = true;
                                    } else {
                                        // VAT-ID is NOT valid

                                        $output = false;
                                    }

                                } catch(SoapFault $e) {

                                    $output = false;
                                }
                            } else {
                                $output = false;
                                // Connection to host not possible, europe.eu down?
                            }
                        }
                        else {
                            $output = false;
                        }

                    } else {
                        $output = true;
                    }


                    $response = array('status' => true, "message" => $output);

                break;

                case 'SIRET_NUMBER':
                    
                    if(Configuration::get('ADDIFYB2B_SIRET_VERIFICATION', true) == 1){

                        $apiKey = Configuration::get('ADDIFYB2B_SIRET_KEY');

                        $siretNumber = Tools::getValue('siret_num');

                        $count = strlen($siretNumber);

                        if ($count > 9) {
                           $apiUrl = 'https://api.insee.fr/entreprises/sirene/V3/siret/'.$siretNumber;
                        }else{
                            $apiUrl = 'https://api.insee.fr/entreprises/sirene/V3/siren/'.$siretNumber;
                        }

                        if ($this->verifySIRETWithAPI($apiKey, $apiUrl)) {
                            $output = true;
                        } else {
                            $output = false;
                        }
                    }else{
                        $output = true;
                    }

                    $response = array('status' => true, "message" => $output);

                break;

                case 'Both':
                    
                    if(Configuration::get('ADDIFYB2B_SIRET_VERIFICATION', true) == 1){

                        $apiKey = Configuration::get('ADDIFYB2B_SIRET_KEY');

                        $siretNumber = Tools::getValue('siret_num');

                        $count = strlen($siretNumber);

                        if ($count > 9) {
                           $apiUrl = 'https://api.insee.fr/entreprises/sirene/V3/siret/'.$siretNumber;
                        }else{
                            $apiUrl = 'https://api.insee.fr/entreprises/sirene/V3/siren/'.$siretNumber;
                        }

                        if ($this->verifySIRETWithAPI($apiKey, $apiUrl)) {
                            $output_siret = true;
                        } else {
                            $output_siret = false;
                        }
                    }else{
                        $output_siret = true;
                    }

                    if(Configuration::get('ADDIFYB2BVIES_ENABLE', true) == 1){

                        if (extension_loaded('soap')) {

                            $vatid = Tools::getValue('vat_num'); // replace for the VAT-ID you would like to check

                            $vatid = str_replace(array(' ', '.', '-', ',', ', '), '', trim($vatid));
                            $cc = substr($vatid, 0, 2);
                            $vn = substr($vatid, 2);
                            $client = new SoapClient("http://ec.europa.eu/taxation_customs/vies/checkVatService.wsdl");

                            if($client){

                                $params = array('countryCode' => $cc, 'vatNumber' => $vn);
                                try{
                                    $r = $client->checkVat($params);

                                    if($r->valid == true){
                                        // VAT-ID is valid

                                        $output_vat = true;
                                    } else {
                                        // VAT-ID is NOT valid

                                        $output_vat = false;
                                    }

                                } catch(SoapFault $e) {

                                    $output_vat = false;
                                }
                            } else {
                                $output_vat = false;
                                // Connection to host not possible, europe.eu down?
                            }
                        }
                        else {
                            $output_vat = false;
                        }

                    } else {
                        $output_vat = true;
                    }

                    if ($output_vat && $output_siret) {
                        $output = true;
                        $response = array('status' => true, "message" => $output);
                    }else{
                        $output = false;
                        $response = array('status' => true, "message" => $output);
                    }

                break;

                default:
                    break;

            }
        }

        // Classic json response
        $json = json_encode($response);
        echo $json;
        die;

        // For displaying like any other use this method to assign and display your template placed in modules/modulename/views/template/front/...
        // Just put some vars in your template
        // $this->context->smarty->assign(array('var1'=>'value1'));
        // $this->setTemplate('template.tpl');

        // For sending a template in ajax use this method
        // $this->context->smarty->fetch('template.tpl');

    }

    public function verifySIRETWithAPI($apiKey, $apiUrl) {

        $ch = curl_init($apiUrl);
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
        curl_setopt($ch, CURLOPT_HTTPHEADER, [
            'Authorization: Bearer ' . $apiKey,
            'Accept: application/json', 
        ]);

        $response = curl_exec($ch);
        $httpCode = curl_getinfo($ch, CURLINFO_HTTP_CODE);

        curl_close($ch);

        // Process the API response
        $responseData = json_decode($response, true);

        // Check if the SIRET number is valid based on the API response
        if ($httpCode == 200) {
            return true;
        } else {
            return false;
        }
    }
}

?>