<?php
/**
* 2021 Addify
*
* NOTICE OF LICENSE
*
* This source file is subject to the Academic Free License (AFL 3.0)
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://opensource.org/licenses/afl-3.0.php
* If you did not receive a copy of the license and are unable to
* obtain it through the world-wide-web, please send an email
* to license@prestashop.com so we can send you a copy immediately.
*
* DISCLAIMER
*
* Do not edit or add to this file if you wish to upgrade PrestaShop to newer
* versions in the future. If you wish to customize PrestaShop for your
* needs please refer to http://www.prestashop.com for more information.
*
*  @author    Addify
*  @copyright 2021 Addify
*  @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
*  International Registered Trademark & Property of PrestaShop SA
*/

if (!defined('_PS_VERSION_')) {

    exit;

}

class Addifyb2bregistrationformbuilderFormRegisterationModuleFrontController extends ModuleFrontController
{

    public function __construct()
    {

        $this->name = 'addifyb2bregistrationformbuilder';

        parent::__construct();

    }



    public function init()
    {

        parent::init(); 

    }



    public function initContent()
    {   

        parent::initContent();

        if (Configuration::get('ADDIFYB2B_ENABLE_FORM') == 0){

            return;

        }

        $this->processConfigRegisterationSave();

    }


    public function getFrontFormValues()
    {

        $fields_value=array();

        $fields_value['Social_title_default'] = Tools::getValue('Social_title_default');

        $fields_value['First_Name_default'] = Tools::getValue('First_Name_default');

        $fields_value['Last_Name_default'] = Tools::getValue('Last_Name_default'); 

        $fields_value['email_default'] = Tools::getValue('email_default');

        $fields_value['Password_default'] = Tools::getValue('Password_default');

        $fields_value['dob_default'] = Tools::getValue('dob_default');

        $fields_value['bb_form'] = Tools::getValue('bb_form');

        $fields_value['form_title_bb'] = Tools::getValue('form_title_bb');

        $fields_value['m_name_bb'] = Tools::getValue('m_name_bb');

        $fields_value['company_bb'] = Tools::getValue('company_bb');

        $vat_number_bb = Tools::getValue('vat_number_bb');

        $fields_value['vat_number_bb'] = $vat_number_bb;

        $fields_value['siret_bb'] = Tools::getValue('siret_bb');

        $fields_value['website_url_bb'] = Tools::getValue('website_url_bb');

        $fields_value['address_alias_bb'] = Tools::getValue('address_alias_bb');

        $fields_value['address_bb'] = Tools::getValue('address_bb');

        $fields_value['city_bb'] = Tools::getValue('city_bb');

        $fields_value['custom_fields_title'] = Tools::getValue('custom_fields_title');

        $fields_value['auto_approve_newuser'] = Tools::getValue('auto_approve_newuser');

        $fields_value['group_assigned'] = Tools::getValue('group_assigned');

        $fields_value['ruleid'] = Tools::getValue('ruleid');

        $fields_value['default_form'] = Tools::getValue('default_form');

        $fields_value['defaultbb_form'] = Tools::getValue('defaultbb_form');

        $fields_value['rof_partners_default'] = Tools::getValue('rof_partners_default');

        $fields_value['signup_newsletter_default'] = Tools::getValue('signup_newsletter_default');

        $fields_value['privacy_policy_default'] = Tools::getValue('privacy_policy_default');

        $fields_value['custom_form'] = (int)Tools::getValue('custom_form');

        $id_customer = $this->context->customer->id; 

        if ($id_customer == '') {

        $email = Tools::getValue('email_default');

            if (Validate::isEmail($email) && !empty($email)) {



                if (Customer::customerExists($email)){

                    $this->context->controller->errors = sprintf($this->l('An account using this email address has already been registered.'));

                    $account_url = Tools::getValue('account_url');


                    $this->redirectWithNotifications($account_url);

                }

            } else {

                $this->context->controller->errors = sprintf($this->l('Please Submit a Valid Email.'));

            }

        } else {

            $fields_value['First_Name_default'] = $this->context->customer->firstname;

            $fields_value['Last_Name_default'] = $this->context->customer->lastname;

            $fields_value['email_default'] = $this->context->customer->email;

        }

        

        $rule_id = $fields_value['ruleid'];

        if($fields_value['custom_form'] == '1'){ 

            

            if((preg_match("/^[a-zA-Z. ]+$/", $fields_value['First_Name_default']) === 0)||(preg_match("/^[a-zA-Z. ]+$/", $fields_value['Last_Name_default']) === 0)||(!filter_var($fields_value['email_default'], FILTER_VALIDATE_EMAIL))) { 

            } else { 

                $fields = Addifyb2bregistrationformfieldsbuilderClass::getactivefields($rule_id,$this->context->language->id);

                $fieldsubmitted = array();

                foreach ($fields as $field) {

                    $id_field = $field['id_field'];

                    $field_name = $field['field_name'];

                    $field_type = $field['field_type'];

                    if ($id_field == ''){

                    } else { 

                        if (($field_type == 'checkbox')||($field_type == 'multiselect')||($field_type == 'multicheckbox')||($field_type == 'radiobutton')){

                            $values = Tools::getValue($field_name.$id_field);

                            if(is_array($values)){

                                $value = implode(',',$values);

                            } else {

                                $value = '';

                            }

                            $fieldsubmitted[$field_name.$id_field] = $value;

                        } elseif ($field_type == 'fileupload'){

                            if ((isset($_FILES[$field_name.$id_field]) == true) && ($_FILES[$field_name.$id_field]['size'] != 0) && ($_FILES[$field_name.$id_field]['name'] != "") ) {

                                $uploadOk = 1;

                                $fileup = 0;

                                $target_dir = _PS_MODULE_DIR_.'addifyb2bregistrationformbuilder/views/uploads/';

                                $target_file = $target_dir . basename($_FILES[$field_name.$id_field]["name"]);

                                if($field['field_options'] != ''){

			                        $file_type = pathinfo($target_file,PATHINFO_EXTENSION);

			                        $temp_options = explode(',',$field['field_options']);

			                        foreach ($temp_options as $key) {

				                        $option = explode('->',$key);

			                        	if($option[1] == $file_type){

			                        		$fileup = 1;

			                        	}

				                    }

			                        if ($fileup == 0) {

			                        	$this->context->controller->errors[] = sprintf($this->l('Invalid File Format!'));

                                          $account_url = Tools::getValue('account_url');


			                            $this->redirectWithNotifications($account_url);

			                        }

			                    }

                                if ((file_exists($target_file)) || ($uploadOk == 1)) {

                                    $temp = explode(".", $_FILES[$field_name.$id_field]["name"]);

                                    $newfilename = round(microtime(true)) . '.' . end($temp);

                                    if (move_uploaded_file($_FILES[$field_name.$id_field]["tmp_name"], $target_dir . $newfilename)) {

                                        $fieldsubmitted[$field_name.$id_field] = $newfilename;

                                    }

                                }

                            }

                        } else {

                            $fieldsubmitted[$field_name.$id_field] = Tools::getValue($field_name.$id_field);

                        }

                    }

                }

                $fields_value['fields'] = $fieldsubmitted;

            }

        } 

        return $fields_value;

    }

    public function sendcustomermail($fname, $lname, $email)
    {
        Mail::Send(
            $this->context->language->id,
            'account',
            $this->l(
                'Thanks for registration'
            ),
            array('{firstname}' => $fname,
                '{lastname}' => $lname,
                '{shop_url}' => Context::getContext()->shop->getBaseURL(true),
                '{shop_name}' => Configuration::get('PS_SHOP_NAME'),
                '{email}' => $email),
            $email,
            null,
            null,
            null,
            null,
            null,
            _PS_MODULE_DIR_.'addifyb2bregistrationformbuilder/mails/',
            false,
            $this->context->shop->id
        );
    }

    public function sendMailToAddress($fname,$lname,$email,$id_customer, $EMAIL_ADDRESS) {

        Mail::send(
            (int)$this->context->language->id,
            'registrationmessageforadmin',
            $this->l(
                'New Customer Registration'
            ),
            array(
                '{shop_url}' => Context::getContext()->shop->getBaseURL(true),
                '{shop_name}' => Configuration::get('PS_SHOP_NAME'),
                '{firstname}' => $fname,
                '{lastname}' => $lname,
                '{email}' => $email,
                '{id}' => $id_customer,
            ),
            $EMAIL_ADDRESS,
            null,
            null,
            null,
            null,
            null,
            _PS_MODULE_DIR_.'addifyb2bregistrationformbuilder/mails/',
            false,
            $this->context->shop->id

        );
    }

    //Send email to store Administrator
    public function sendMailAdmin($fname,$lname,$email,$id_customer) {

        $admin_email = Configuration::get('PS_SHOP_EMAIL');
        Mail::send(
            (int)$this->context->language->id,
            'registrationmessageforadmin',
            $this->l(
                'New Customer Registration'
            ),
            array(
                '{shop_url}' => Context::getContext()->shop->getBaseURL(true),
                '{shop_name}' => Configuration::get('PS_SHOP_NAME'),
                '{firstname}' => $fname,
                '{lastname}' => $lname,
                '{email}' => $email,
                '{id}' => $id_customer,
            ),
            $admin_email,
            null,
            null,
            null,
            null,
            null,
            _PS_MODULE_DIR_.'addifyb2bregistrationformbuilder/mails/',
            false,
            $this->context->shop->id

        );
    }
   
    //update for group assigning.

    protected function updateGroup($id_customer, $group_assignedkey)
    {   $customer = new Customer((int)$id_customer);
        
        $group = [];

        $customer->id_default_group = $group_assignedkey;

        $group[] = $group_assignedkey;

        $customer->addGroups($group);

        $customer->update();

        return true;

    }

    protected function processConfigRegisterationSave()
    {   

        $fields = array();

        $fields_value = $this->getFrontFormValues();

        $id_customer = $this->context->customer->id;

        if (count($this->context->controller->errors)) {

            return $this->context->controller->errors;

        }

        $auto_approve_newuser = $fields_value['auto_approve_newuser'];

        //////////////////////////////customer registration///////////////////////

        if ($id_customer == ''){

            

            $id_gender = $fields_value['Social_title_default'];

            if($id_gender == 'male'){

                $id_gender = 1;

            } elseif ($id_gender == 'female') {

                $id_gender = 2;

            } else {

               $id_gender = 0; 

            }

            

            $newsltr=$fields_value['signup_newsletter_default'];

            if ($newsltr == 'on'){$newsltr = 1;} else{$newsltr = 0;}

            $optin=$fields_value['rof_partners_default'];

            if ($optin == 'on'){$optin = 1;} else{$optin = 0;}

            $dobbv = $fields_value['dob_default'];

            $today = date("Y-m-d");

            $today_time = strtotime($today);

            $expire_time = strtotime($dobbv);

            

            if ($today_time < $expire_time) {

                $this->context->controller->errors = sprintf($this->l('Date is not a Valid.'));

                  $account_url = Tools::getValue('account_url');


                $this->redirectWithNotifications($account_url); 

            } else {

                $dob = $dobbv;

            }

            $First_Name = $fields_value['First_Name_default'];

            if(preg_match("/^[a-zA-Z. ]+$/", $First_Name) === 0)

            {

                    $this->context->controller->errors = sprintf($this->l('First Name is not a Valid name.'));

                      $account_url = Tools::getValue('account_url');


                    $this->redirectWithNotifications($account_url);

            }

            $Last_Name =$fields_value['Last_Name_default']; 

            if(preg_match("/^[a-zA-Z. ]+$/", $Last_Name) === 0)

            {

                    $this->context->controller->errors = sprintf($this->l('Last Name is not a Valid name.'));

                      $account_url = Tools::getValue('account_url');


                    $this->redirectWithNotifications($account_url);

            }

            $email = $fields_value['email_default'];

            if (!filter_var($email, FILTER_VALIDATE_EMAIL))

            {

                    $this->context->controller->errors = sprintf($this->l('Email is not a Valid.'));

                      $account_url = Tools::getValue('account_url');


                    $this->redirectWithNotifications($account_url);    

            }



            $Password = $fields_value['Password_default'];

            if (Validate::isEmail($email) && !empty($email))

                if (Customer::customerExists($email)){

                    $this->context->controller->errors = sprintf($this->l('An account using this email address has already been registered.'));

                      $account_url = Tools::getValue('account_url');


                    $this->redirectWithNotifications($account_url);

                }

                $customer = new Customer();

                $customer->id_gender=pSQL($id_gender);

                $customer->lastname=pSQL($Last_Name);

                $customer->firstname=pSQL($First_Name);

                $pwd = $Password;

                $customer->passwd=md5(pSQL(_COOKIE_KEY_.$pwd));

                $customer->email=pSQL($email);

                $customer->newsletter=pSQL($newsltr);

                $customer->optin=pSQL($optin);

                $customer->birthday=pSQL($dob);

                if (!Configuration::get('PS_REGISTRATION_PROCESS_TYPE') && !Tools::isSubmit('submitGuestAccount'))

                {

                    $customer->firstname = Tools::ucwords($customer->firstname);

                    $customer->is_guest = (Tools::isSubmit('is_new_customer') ? !Tools::getValue('is_new_customer', 1) : 0);

                    if ($auto_approve_newuser == 1){ 

                        $customer->active = 1;

                    } else {

                        $customer->active = 0;

                    }

                    if ($customer->add())

                    {

                        $id_customer =(int)$customer->id;

                    } else {

                        Tools::redirect($this->context->shop->getBaseURL(true));

                    }

                }

            }

        ///////////////////////////////////////customersave////////////////////

            $ADDIFYB2B_ADMIN_EMAIL_NOTIFICATION = Configuration::get('ADDIFYB2B_ADMIN_EMAIL_NOTIFICATION');

            $ADDIFYB2B_CUSTOMER_EMAIL_NOTIFICATION = Configuration::get('ADDIFYB2B_CUSTOMER_EMAIL_NOTIFICATION');




        $Addifyb2bCustomerClass = new Addifyb2bCustomerClass();

        $group_assigned = $fields_value['group_assigned'];

        $this->updateGroup($id_customer,$group_assigned);

        if ($auto_approve_newuser == 1){

            $Addifyb2bCustomerClass->active = 1;

        }

        

        $Addifyb2bCustomerClass->First_Name_default = pSQL($fields_value['First_Name_default']);

        $Addifyb2bCustomerClass->Last_Name_default = pSQL($fields_value['Last_Name_default']);

        $Addifyb2bCustomerClass->email_default = pSQL($fields_value['email_default']);

        $Addifyb2bCustomerClass->Password_default = md5(pSQL(_COOKIE_KEY_.$fields_value['Password_default']));

        $Addifyb2bCustomerClass->group_assigned = (int)$fields_value['group_assigned'];

        $Addifyb2bCustomerClass->privacy_policy_default = (int)$fields_value['privacy_policy_default'];


        if ($ADDIFYB2B_CUSTOMER_EMAIL_NOTIFICATION == 1) {
            $this->sendcustomermail($fields_value['First_Name_default'],$fields_value['Last_Name_default'],$fields_value['email_default']);
        }

        if (Configuration::get('ADDIFYB2B_CUSTOM_EMAIL_ADDRESS')) {

            $EMAIL_ADDRESS = Configuration::get('ADDIFYB2B_CUSTOM_EMAIL_ADDRESS');
            
            $this->sendMailToAddress($fields_value['First_Name_default'],$fields_value['Last_Name_default'],$fields_value['email_default'],$id_customer, $EMAIL_ADDRESS);
        }
        
        if ($ADDIFYB2B_ADMIN_EMAIL_NOTIFICATION == 1) {
            $this->sendMailAdmin($fields_value['First_Name_default'],$fields_value['Last_Name_default'],$fields_value['email_default'],$id_customer);

        }

        
        if($fields_value['default_form'] == '1'){

	        $Addifyb2bCustomerClass->Social_title_default = pSQL($fields_value['Social_title_default']);

	        $Addifyb2bCustomerClass->dob_default =pSQL($fields_value['dob_default']);

	        if ($fields_value['rof_partners_default'] == 'on') {$rpd = 1;} else {$rpd = 0;}

	        $Addifyb2bCustomerClass->rof_partners_default = (int)$rpd;

	        if ($fields_value['signup_newsletter_default'] == 'on') {$snd = 1;} else {$snd = 0;}

	        $Addifyb2bCustomerClass->signup_newsletter_default = (int)$snd;

        }

        if($fields_value['defaultbb_form'] == '1'){        

            $Addifyb2bCustomerClass->form_title_bb = pSQL($fields_value['form_title_bb']);

            $Addifyb2bCustomerClass->m_name_bb = pSQL($fields_value['m_name_bb']);

            $Addifyb2bCustomerClass->company_bb = pSQL($fields_value['company_bb']);

            $Addifyb2bCustomerClass->siret_bb = pSQL($fields_value['siret_bb']);

            $Addifyb2bCustomerClass->website_url_bb = pSQL($fields_value['website_url_bb']);

            $Addifyb2bCustomerClass->address_alias_bb = pSQL($fields_value['address_alias_bb']);

            $Addifyb2bCustomerClass->address_bb = pSQL($fields_value['address_bb']);

            $Addifyb2bCustomerClass->city_bb = pSQL($fields_value['city_bb']);

            $Addifyb2bCustomerClass->bb_form = pSQL($fields_value['bb_form']);

            $Addifyb2bCustomerClass->vat_number_bb = pSQL($fields_value['vat_number_bb']);

        }

        

        $Addifyb2bCustomerClass->id_group =(int)$fields_value['group_assigned'];

        $Addifyb2bCustomerClass->id_customer = (int)$id_customer;

        $Addifyb2bCustomerClass->id_shop = (int)$this->context->customer->id_shop;

        $ruleid = $fields_value['ruleid'];

        $Addifyb2bCustomerClass->name_suffix_bb = (int)$ruleid; 


        if($fields_value['custom_form'] == '1'){

            $Addifyb2bCustomerClass->custom_fields_title =pSQL($fields_value['custom_fields_title']);

            $fields = Addifyb2bregistrationformfieldsbuilderClass::getactivefields($ruleid,$this->context->language->id);

            $fieldsubmitted = $fields_value['fields'];



            foreach ($fields as $field) {

                $id_field = $field['id_field'];

                $field_name = $field['field_name'];

                $column_name = $field_name.$id_field;



                if ($id_field == ''){

                } else {


                    $Addifyb2bregistrationformcustomdataClass = new Addifyb2bregistrationformcustomdataClass();

                    $Addifyb2bregistrationformcustomdataClass->id_customer = (int)$id_customer;

                    $Addifyb2bregistrationformcustomdataClass->id_field = (int)$id_field;

                    $Addifyb2bregistrationformcustomdataClass->id_form_group = (int)$field['id_form_group'];

                    $Addifyb2bregistrationformcustomdataClass->field_label = pSQL($field['field_label']);

                    $Addifyb2bregistrationformcustomdataClass->field_type = pSQL($field['field_type']);

                    $Addifyb2bregistrationformcustomdataClass->field_options = pSQL($field['field_options']);

                    $Addifyb2bregistrationformcustomdataClass->field_name = pSQL($field_name);

                    if(!empty($fieldsubmitted[$column_name])){

                        $Addifyb2bregistrationformcustomdataClass->field_value = pSQL($fieldsubmitted[$column_name]);

                    } else {

                        $Addifyb2bregistrationformcustomdataClass->field_value = pSQL('');

                    }

                    $Addifyb2bregistrationformcustomdataClass->save();

                }

            }

        }



        $Addifyb2bCustomerClass->save();

        if ($auto_approve_newuser == 1) 
        {
            $baseUrl = $this->context->shop->getBaseURL(true);
            $email = Tools::getValue('email_default');
            $password = Tools::getValue('Password_default');
            $this->addifyLogin($email, $password);
            Tools::redirect($baseUrl);

        } else {

             $id_lang = $this->context->language->id;

            $ADDIFYB2B_PENDING_ACC_MSG = Configuration::get('ADDIFYB2B_PENDING_ACC_MSG_'.$id_lang);

            $this->context->controller->success = sprintf($ADDIFYB2B_PENDING_ACC_MSG);

            $this->redirectWithNotifications($this->context->shop->getBaseURL(true));
        }   

    }

    public function addifyLogin($email, $password) {
        $customer = new Customer();
        $authentication = $customer->getByEmail($email,$password);
        $this->context->updateCustomer($customer);
        Hook::exec('actionAuthentication', array('customer' => $this->context->customer));
    }

}

