<?php
/**
* 2021 Addify
*
* NOTICE OF LICENSE
*
* This source file is subject to the Academic Free License (AFL 3.0)
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://opensource.org/licenses/afl-3.0.php
* If you did not receive a copy of the license and are unable to
* obtain it through the world-wide-web, please send an email
* to license@prestashop.com so we can send you a copy immediately.
*
* DISCLAIMER
*
* Do not edit or add to this file if you wish to upgrade PrestaShop to newer
* versions in the future. If you wish to customize PrestaShop for your
* needs please refer to http://www.prestashop.com for more information.
*
*  @author    Addify
*  @copyright 2021 Addify
*  @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
*  International Registered Trademark & Property of PrestaShop SA
*/

if (!defined('_PS_VERSION_')) {

    exit;

}

$sql = array();



$sql[] = 'CREATE TABLE IF NOT EXISTS `' . _DB_PREFIX_ . 'addifyformbuilderrules` (

    `id_addifyformbuilderrules`    int(11) NOT NULL AUTO_INCREMENT,

    `active`                       TINYINT(2),

    `priority`                     int(11),

    `title`                        TEXT,

    `id_groups`                    TEXT,

    `group_assigned`               TEXT,

    `id_shop`                      TEXT,

    `id_customer`                  TEXT,

    `form_title`                   TEXT,

    `default_form`                 TINYINT(2),

    `Social_title_default`         TINYINT(2),

    `First_Name_default`           TINYINT(2),

    `Last_Name_default`            TINYINT(2),

    `email_default`                TINYINT(2),

    `Password_default`             TINYINT(2),

    `New_Password_default`         TINYINT(2),

    `dob_default`                  TINYINT(2),

    `rof_partners_default`         TINYINT(2),

    `signup_newsletter_default`    TINYINT(2),

    `privacy_policy_default`       TINYINT(2),

    `bb_form`                      TINYINT(2),

    `form_title_bb`                TEXT,

    `m_name_bb`                    TINYINT(2),

    `company_bb`                   TINYINT(2),

    `name_suffix_bb`               TINYINT(2),

    `siret_bb`                     TINYINT(2),

    `website_url_bb`               TINYINT(2),

    `address_alias_bb`             TINYINT(2),

    `address_bb`                   TINYINT(2),

    `city_bb`                      TINYINT(2),

    `vat_number_bb`                TINYINT(2),

    `custom_fields`                TINYINT(2),

    `custom_fields_title`          TEXT,

    `date_upd`                     DATE,

    `date_add`                     DATE,

    `auto_approve_newuser`         TINYINT(2),

    `edit_url`         TEXT,

    `cms_pages`         TEXT,

    `separate_cms_page`         TINYINT(2),

    `show_captcha_rf`         TINYINT(2),

    `Req_Social_title_default`         TINYINT(2),

    `Req_dob_default`         TINYINT(2),

    `Req_rof_partners_default`         TINYINT(2),

    `Req_signup_newsletter_default`         TINYINT(2),

    `default_form_positions`         TEXT,

    `Req_m_name_bb`         TINYINT(2),

    `Req_company_bb`         TINYINT(2),

    `Req_siret_bb`         TINYINT(2),

    `Req_website_url_bb`         TINYINT(2),

    `Req_address_alias_bb`         TINYINT(2),

    `Req_address_bb`         TINYINT(2),

    `Req_city_bb`         TINYINT(2),

    `Req_vat_number_bb`         TINYINT(2),

    `b2b_form_positions`         TEXT,

    `default_form_positions_list`         TINYINT(2),

    `b2b_form_positions_list`         TINYINT(2),

    PRIMARY KEY  (`id_addifyformbuilderrules`)

) ENGINE=' . _MYSQL_ENGINE_ . ' DEFAULT CHARSET=utf8;';

$sql[] = 'CREATE TABLE IF NOT EXISTS `' ._DB_PREFIX_.'addifyformbuilderrules_lang` (
        `id_addifyformbuilderrules`            INT(11) NOT NULL,
        `id_lang`                       INT(11) NOT NULL,
        `custom_fields_title`                       TEXT,
        `form_title_bb`                       TEXT,
        `form_title`                        TEXT,
        `pending_acc_msg`                        TEXT,
        
        PRIMARY KEY                     (`id_addifyformbuilderrules`, `id_lang`)
        ) ENGINE='._MYSQL_ENGINE_.' DEFAULT CHARSET=utf8;';

$sql[] = 'CREATE TABLE IF NOT EXISTS `' . _DB_PREFIX_ . 'addifyb2bcustomers` (

    `id_addifycustomer`    int(11) NOT NULL AUTO_INCREMENT,

    `active`                       TINYINT(2),

    `id_group`                     TEXT,

    `id_shop`                      TEXT,

    `id_customer`                  TEXT,

    `Social_title_default`         TEXT,

    `First_Name_default`           TEXT,

    `Last_Name_default`            TEXT,

    `email_default`                TEXT,

    `Password_default`             TEXT,

    `New_Password_default`         TEXT,

    `dob_default`                  TEXT,

    `rof_partners_default`         TEXT,

    `signup_newsletter_default`    TEXT,

    `privacy_policy_default`       TEXT,

    `bb_form`                      TEXT,

    `form_title_bb`                TEXT,

    `m_name_bb`                    TEXT,

    `company_bb`                   TEXT,

    `name_suffix_bb`               TEXT,

    `siret_bb`                     TEXT,

    `website_url_bb`               TEXT,

    `address_alias_bb`             TEXT,

    `address_bb`                   TEXT,

    `city_bb`                      TEXT,

    `vat_number_bb`                TEXT,

    `date_upd`                     DATE,

    `date_add`                     DATE,

    PRIMARY KEY  (`id_addifycustomer`)

) ENGINE=' . _MYSQL_ENGINE_ . ' DEFAULT CHARSET=utf8;';



$sql[] = 'CREATE TABLE IF NOT EXISTS `' . _DB_PREFIX_ . 'addifyformbuilderfields` (

    `id_field`    int(11) NOT NULL AUTO_INCREMENT,

    `active_field`                TINYINT(2),

    `field_label`                 TEXT,

    `field_type`                  TEXT,

    `place_holder`                TEXT,

    `field_required`              TINYINT(2),

    `field_options`               TEXT,

    `field_name`                  TEXT,

    `id_form_group`               int(11) NOT NULL,

    `id_shop`                     TEXT,

    `date_upd`                    DATE,

    `date_add`                    DATE,

    `sort_order`                    int(11),

    

    PRIMARY KEY  (`id_field`)

) ENGINE=' . _MYSQL_ENGINE_ . ' DEFAULT CHARSET=utf8;';

$sql[] = 'CREATE TABLE IF NOT EXISTS `' ._DB_PREFIX_.'addifyformbuilderfields_lang` (
        `id_field`            INT(11) NOT NULL,
        `id_lang`             INT(11) NOT NULL,
        `field_label`         TEXT,
        `place_holder`        TEXT,
        PRIMARY KEY                     (`id_field`, `id_lang`)
        ) ENGINE='._MYSQL_ENGINE_.' DEFAULT CHARSET=utf8;';


$sql[] = 'CREATE TABLE IF NOT EXISTS `' . _DB_PREFIX_ . 'addifycustomercustomdata` (

    `id_data`                     int(11) NOT NULL AUTO_INCREMENT,

    `id_customer`                 int(11) NOT NULL,

    `id_field`                    int(11) NOT NULL,

    `field_label`                 TEXT,

    `field_type`                  TEXT,

    `field_options`               TEXT,

    `field_name`                  TEXT,

    `field_value`                 TEXT,

    `id_form_group`               TEXT,

    

    PRIMARY KEY  (`id_data`)

) ENGINE=' . _MYSQL_ENGINE_ . ' DEFAULT CHARSET=utf8;';





foreach ($sql as $query) {

    if (Db::getInstance()->execute($query) == false) {

        return false;

    }

}

