<?php
/**
 * 2019 Addify
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License (AFL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/afl-3.0.php
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to http://www.prestashop.com for more information.
 *
 *  @author    Addify
 *  @copyright 2019 Addify
 *  @license   http://opensource.org/licenses/afl-3.0.php
 */

if (!defined('_PS_VERSION_')) {
    exit;
}

/**
 * This function updates your module from previous versions to the version 1.1,
 * usefull when you modify your database, or register a new hook ...
 * Don't forget to create one file per version.
 */

function upgrade_module_1_2_0($module)
{
    /*
     * Do everything you want right there,
     * You could add a column in one of your module's tables
     */

    $sql = array();

    $sql[] = 'CREATE TABLE IF NOT EXISTS `' ._DB_PREFIX_.'addifyformbuilderrules_lang` (
        `id_addifyformbuilderrules`            INT(11) NOT NULL,
        `id_lang`                       INT(11) NOT NULL,
        `custom_fields_title`                       TEXT,
        `form_title_bb`                       TEXT,
        `form_title`                        TEXT,
        PRIMARY KEY                     (`id_addifyformbuilderrules`, `id_lang`)
        ) ENGINE='._MYSQL_ENGINE_.' DEFAULT CHARSET=utf8;';


    $sql[] = 'CREATE TABLE IF NOT EXISTS `' ._DB_PREFIX_.'addifyformbuilderfields_lang` (
        `id_field`            INT(11) NOT NULL,
        `id_lang`             INT(11) NOT NULL,
        `field_label`         TEXT,
        `place_holder`        TEXT,
        PRIMARY KEY                     (`id_field`, `id_lang`)
        ) ENGINE='._MYSQL_ENGINE_.' DEFAULT CHARSET=utf8;';

    foreach ($sql as $query) {

        if (Db::getInstance()->execute($query) == false) {

            return false;

        }

    }

    return true;
}