<?php
/**
 * 2019 Addify
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License (AFL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/afl-3.0.php
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to http://www.prestashop.com for more information.
 *
 *  @author    Addify
 *  @copyright 2019 Addify
 *  @license   http://opensource.org/licenses/afl-3.0.php
 */

if (!defined('_PS_VERSION_')) {
    exit;
}

/**
 * This function updates your module from previous versions to the version 1.1,
 * usefull when you modify your database, or register a new hook ...
 * Don't forget to create one file per version.
 */
function upgrade_module_1_4_0($module)
{
    /*
     * Do everything you want right there,
     * You could add a column in one of your module's tables
     */

    $addifyformbuilderrules = "addifyformbuilderrules";

    $addifyformbuilderrules_lang = "addifyformbuilderrules_lang";

    $addifyformbuilderfields = "addifyformbuilderfields";

    $default_form_positions = trim('Social_title_default, First_Name_default, Last_Name_default, email_default, Password_default, dob_default, rof_partners_default, signup_newsletter_default');

    $b2b_form_positions = trim('m_name_bb, company_bb, siret_bb, website_url_bb, address_alias_bb, address_bb, city_bb, vat_number_bb');

     // Check if the column exists
  
    $edit_url = Db::getInstance()->executeS("SHOW COLUMNS FROM `"._DB_PREFIX_.$addifyformbuilderrules."` LIKE 'edit_url'");
    if (!$edit_url) {
        Db::getInstance()->execute('ALTER TABLE `'._DB_PREFIX_.$addifyformbuilderrules.'` ADD COLUMN edit_url TEXT');
    }

    $cms_pages = Db::getInstance()->executeS("SHOW COLUMNS FROM `"._DB_PREFIX_.$addifyformbuilderrules."` LIKE 'cms_pages'");
    if (!$cms_pages) {
         Db::getInstance()->execute('ALTER TABLE `'._DB_PREFIX_.$addifyformbuilderrules.'` ADD COLUMN cms_pages TEXT');
    }

    $separate_cms_page = Db::getInstance()->executeS("SHOW COLUMNS FROM `"._DB_PREFIX_.$addifyformbuilderrules."` LIKE 'separate_cms_page'");
    if (!$separate_cms_page) {
        Db::getInstance()->execute('ALTER TABLE `'._DB_PREFIX_.$addifyformbuilderrules.'` ADD COLUMN separate_cms_page TINYINT(2)');
    }

    $show_captcha_rf = Db::getInstance()->executeS("SHOW COLUMNS FROM `"._DB_PREFIX_.$addifyformbuilderrules."` LIKE 'show_captcha_rf'");
    if (!$show_captcha_rf) {
        Db::getInstance()->execute('ALTER TABLE `'._DB_PREFIX_.$addifyformbuilderrules.'` ADD COLUMN show_captcha_rf TINYINT(2)');
    }

    $pending_acc_msg = Db::getInstance()->executeS("SHOW COLUMNS FROM `"._DB_PREFIX_.$addifyformbuilderrules_lang."` LIKE 'pending_acc_msg'");
    if (!$pending_acc_msg) {
        Db::getInstance()->execute('ALTER TABLE `'._DB_PREFIX_.$addifyformbuilderrules_lang.'` ADD COLUMN pending_acc_msg TEXT');
    }

    $sort_order = Db::getInstance()->executeS("SHOW COLUMNS FROM `"._DB_PREFIX_.$addifyformbuilderfields."` LIKE 'sort_order'");
    if (!$sort_order) {
        Db::getInstance()->execute('ALTER TABLE `'._DB_PREFIX_.$addifyformbuilderfields.'` ADD COLUMN sort_order int(11)');
    }

    $Req_Social_title_default = Db::getInstance()->executeS("SHOW COLUMNS FROM `"._DB_PREFIX_.$addifyformbuilderrules."` LIKE 'Req_Social_title_default'");
    if (!$Req_Social_title_default) {
        Db::getInstance()->execute('ALTER TABLE `'._DB_PREFIX_.$addifyformbuilderrules.'` ADD COLUMN Req_Social_title_default TINYINT(2)');
    }

    $Req_dob_default = Db::getInstance()->executeS("SHOW COLUMNS FROM `"._DB_PREFIX_.$addifyformbuilderrules."` LIKE 'Req_dob_default'");
    if (!$Req_dob_default) {
        Db::getInstance()->execute('ALTER TABLE `'._DB_PREFIX_.$addifyformbuilderrules.'` ADD COLUMN Req_dob_default TINYINT(2)');
    }

    $Req_rof_partners_default = Db::getInstance()->executeS("SHOW COLUMNS FROM `"._DB_PREFIX_.$addifyformbuilderrules."` LIKE 'Req_rof_partners_default'");
    if (!$Req_rof_partners_default) {
        Db::getInstance()->execute('ALTER TABLE `'._DB_PREFIX_.$addifyformbuilderrules.'` ADD COLUMN Req_rof_partners_default TINYINT(2)');
    }
   
    $Req_signup_newsletter_default = Db::getInstance()->executeS("SHOW COLUMNS FROM `"._DB_PREFIX_.$addifyformbuilderrules."` LIKE 'Req_signup_newsletter_default'");
    if (!$Req_signup_newsletter_default) {
        Db::getInstance()->execute('ALTER TABLE `'._DB_PREFIX_.$addifyformbuilderrules.'` ADD COLUMN Req_signup_newsletter_default TINYINT(2)');
    }

    $default_form_positions_col = Db::getInstance()->executeS("SHOW COLUMNS FROM `"._DB_PREFIX_.$addifyformbuilderrules."` LIKE 'default_form_positions'");
    if (!$default_form_positions_col) {
        Db::getInstance()->execute('ALTER TABLE `'._DB_PREFIX_.$addifyformbuilderrules.'` ADD COLUMN default_form_positions VARCHAR(255) DEFAULT \'' . pSQL($default_form_positions) . '\'');
    }

    $b2b_form_positions_COL = Db::getInstance()->executeS("SHOW COLUMNS FROM `"._DB_PREFIX_.$addifyformbuilderrules."` LIKE 'b2b_form_positions'");
    if (!$b2b_form_positions_COL) {
        Db::getInstance()->execute('ALTER TABLE `'._DB_PREFIX_.$addifyformbuilderrules.'` ADD COLUMN b2b_form_positions VARCHAR(255) DEFAULT \'' . pSQL($b2b_form_positions) . '\'');
    }

    $Req_m_name_bb = Db::getInstance()->executeS("SHOW COLUMNS FROM `"._DB_PREFIX_.$addifyformbuilderrules."` LIKE 'Req_m_name_bb'");
    if (!$Req_m_name_bb) {
         Db::getInstance()->execute('ALTER TABLE `'._DB_PREFIX_.$addifyformbuilderrules.'` ADD COLUMN Req_m_name_bb TINYINT(2)');
    }

    $Req_company_bb = Db::getInstance()->executeS("SHOW COLUMNS FROM `"._DB_PREFIX_.$addifyformbuilderrules."` LIKE 'Req_company_bb'");
    if (!$Req_company_bb) {
        Db::getInstance()->execute('ALTER TABLE `'._DB_PREFIX_.$addifyformbuilderrules.'` ADD COLUMN Req_company_bb TINYINT(2)');
    }

    $Req_siret_bb = Db::getInstance()->executeS("SHOW COLUMNS FROM `"._DB_PREFIX_.$addifyformbuilderrules."` LIKE 'Req_siret_bb'");
    if (!$Req_siret_bb) {
        Db::getInstance()->execute('ALTER TABLE `'._DB_PREFIX_.$addifyformbuilderrules.'` ADD COLUMN Req_siret_bb TINYINT(2)');
    }

    $Req_website_url_bb = Db::getInstance()->executeS("SHOW COLUMNS FROM `"._DB_PREFIX_.$addifyformbuilderrules."` LIKE 'Req_website_url_bb'");
    if (!$Req_website_url_bb) {
        Db::getInstance()->execute('ALTER TABLE `'._DB_PREFIX_.$addifyformbuilderrules.'` ADD COLUMN Req_website_url_bb TINYINT(2)');
    }

    $Req_address_alias_bb = Db::getInstance()->executeS("SHOW COLUMNS FROM `"._DB_PREFIX_.$addifyformbuilderrules."` LIKE 'Req_address_alias_bb'");
    if (!$Req_address_alias_bb) {
        Db::getInstance()->execute('ALTER TABLE `'._DB_PREFIX_.$addifyformbuilderrules.'` ADD COLUMN Req_address_alias_bb TINYINT(2)');
    }

    $Req_address_bb = Db::getInstance()->executeS("SHOW COLUMNS FROM `"._DB_PREFIX_.$addifyformbuilderrules."` LIKE 'Req_address_bb'");
    if (!$Req_address_bb) {
        Db::getInstance()->execute('ALTER TABLE `'._DB_PREFIX_.$addifyformbuilderrules.'` ADD COLUMN Req_address_bb TINYINT(2)');
    }

    $Req_city_bb = Db::getInstance()->executeS("SHOW COLUMNS FROM `"._DB_PREFIX_.$addifyformbuilderrules."` LIKE 'Req_city_bb'");
    if (!$Req_city_bb) {
        Db::getInstance()->execute('ALTER TABLE `'._DB_PREFIX_.$addifyformbuilderrules.'` ADD COLUMN Req_city_bb TINYINT(2)');
    }

    $Req_vat_number_bb = Db::getInstance()->executeS("SHOW COLUMNS FROM `"._DB_PREFIX_.$addifyformbuilderrules."` LIKE 'Req_vat_number_bb'");
    if (!$Req_vat_number_bb) {
        Db::getInstance()->execute('ALTER TABLE `'._DB_PREFIX_.$addifyformbuilderrules.'` ADD COLUMN Req_vat_number_bb TINYINT(2)');
    }

    $default_form_positions_list = Db::getInstance()->executeS("SHOW COLUMNS FROM `"._DB_PREFIX_.$addifyformbuilderrules."` LIKE 'default_form_positions_list'");
    if (!$default_form_positions_list) {
        Db::getInstance()->execute('ALTER TABLE `'._DB_PREFIX_.$addifyformbuilderrules.'` ADD COLUMN default_form_positions_list TEXT');
    }

    $b2b_form_positions_list = Db::getInstance()->executeS("SHOW COLUMNS FROM `"._DB_PREFIX_.$addifyformbuilderrules."` LIKE 'b2b_form_positions_list'");
    if (!$b2b_form_positions_list) {
        Db::getInstance()->execute('ALTER TABLE `'._DB_PREFIX_.$addifyformbuilderrules.'` ADD COLUMN b2b_form_positions_list TEXT');
    }

    Configuration::updateValue('ADDIFYB2B_DEFAULT_FORM_POSITIONS', trim('ADDIFYB2B_SOCIAL_TITLE, ADDIFYB2B_FIRST_NAME, ADDIFYB2B_LAST_NAME, ADDIFYB2B_EMAIL, ADDIFYB2B_PASSWORD, ADDIFYB2B_DOB, ADDIFYB2B_ROF_PARTNERS, ADDIFYB2B_SIGNUP_NEWSLETTER'));
    Configuration::updateValue('ADDIFYB2B_B2B_FORM_POSITIONS', trim('ADDIFYB2B_MIDDLE_NAME, ADDIFYB2B_COMPANY, ADDIFYB2B_SIRET, ADDIFYB2B_WEBSITE_URL, ADDIFYB2B_ADDRESS_ALIAS, ADDIFYB2B_ADDRESS, ADDIFYB2B_CITY, ADDIFYB2B_VAT_NUMBER'));

    $module->registerHook('moduleRoutes');
    $module->registerHook('displayCustomerLoginFormAfter');
    $module->registerHook('displayOverrideTemplate');
    $module->registerHook('actionObjectCustomerUpdateAfter');
    $module->registerHook('actionObjectCustomerDeleteAfter');

    return true;
}
