/**

* 2007-2024 PrestaShop

*

* NOTICE OF LICENSE

*

* This source file is subject to the Academic Free License (AFL 3.0)

* that is bundled with this package in the file LICENSE.txt.

* It is also available through the world-wide-web at this URL:

* http://opensource.org/licenses/afl-3.0.php

* If you did not receive a copy of the license and are unable to

* obtain it through the world-wide-web, please send an email

* to license@prestashop.com so we can send you a copy immediately.

*

* DISCLAIMER

*

* Do not edit or add to this file if you wish to upgrade PrestaShop to newer

* versions in the future. If you wish to customize PrestaShop for your

* needs please refer to http://www.prestashop.com for more information.

*

*  @author    PrestaShop SA <contact@prestashop.com>

*  @copyright 2007-2024 PrestaShop SA

*  @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)

*  International Registered Trademark & Property of PrestaShop SA

*

* Don't forget to prefix your containers with your own identifier

* to avoid any conflicts with others containers.

*/



$(document).ready(function() {

  $('#show-hidden-menu').click(function() {

    $('.hidden-menu').slideToggle("slow");

  });

});

var timer = null;
 $('#vat_number').keyup(function(){
    document.getElementById("form_save").disabled = true;
          clearTimeout(timer); 
          timer = setTimeout(function(){ 
            doStuff(); 
            doStuffBothVat();
          }, 1000);
    });


function doStuff(cpage) {
  var vat_num = document.getElementById('vat_number').value;
  var action = 'VAT_NUMBER';


  $.getJSON(ajax_link, {action : action ,vat_num : vat_num , token : 'qwe456yhn112'}, function(data) {
    if(typeof data.status !== "undefined") {
      if(data['message'] == true){
        var content = document.getElementsByName('psgdpr_consent_checkbox');
        if(content && content.length != 0){
          if(content.checked){
            document.getElementById("form_save").disabled = false;
          }
        } else {
          if (!document.getElementById('afb_captcha')) {
            document.getElementById("form_save").disabled = false;
          }
        }
        
        document.getElementById('vat_notify').style.display = 'none';
      } else{
        document.getElementById('vat_notify').style.display = 'block';
    
      }
    }
  });
}

var timer_siret = null;
$('#siret_number').keyup(function(){
    document.getElementById("form_save").disabled = true;
          clearTimeout(timer_siret); 
          timer_siret = setTimeout(function(){ 
            doStuffSiret(); 
          }, 1000);
    });


function doStuffSiret(cpage) {
  var siret_num = document.getElementById('siret_number').value;
   var action = 'SIRET_NUMBER';

  $.getJSON(ajax_link, {action : action ,siret_num : siret_num , token : 'qwe456yhn112'}, function(data) {
    if(typeof data.status !== "undefined") {
      if(data['message'] == true){
        var content = document.getElementsByName('psgdpr_consent_checkbox');
        if(content && content.length != 0){
          if(content.checked){
            document.getElementById("form_save").disabled = false;
          }
        } else {
          if (!document.getElementById('afb_captcha')) {
            document.getElementById("form_save").disabled = false;
          }
        }
        
        document.getElementById('siret_notify').style.display = 'none';
      } else{
        document.getElementById('siret_notify').style.display = 'block';
        
      }
    }
  });
}


function doStuffBothVat() {
  var siret_num = document.getElementById('siret_number').value;
  var vat_num = document.getElementById('vat_number').value;
  var action = 'Both';

  $.getJSON(ajax_link, {action : action ,siret_num : siret_num, vat_num : vat_num , token : 'qwe456yhn112'}, function(data) {
    if(typeof data.status !== "undefined") {
      if(data['message'] == true){
        var content = document.getElementsByName('psgdpr_consent_checkbox');
        if(content && content.length != 0){
          if(content.checked){
            document.getElementById("form_save").disabled = false;
          }
        } else {
          if (!document.getElementById('afb_captcha')) {
            document.getElementById("form_save").disabled = false;
          }
        }
        
        document.getElementById('siret_notify').style.display = 'none';
        document.getElementById('vat_notify').style.display = 'none';
      } else{
        document.getElementById("form_save").disabled = true;
        document.getElementById('siret_notify').style.display = 'block';
        document.getElementById('vat_notify').style.display = 'block';
        
      }
    }
  });
}

function doStuffBoth() {
  var siret_num = document.getElementById('siret_number').value;
  var vat_num = document.getElementById('vat_number').value;
  var action = 'Both';

  $.getJSON(ajax_link, {action : action ,siret_num : siret_num, vat_num : vat_num , token : 'qwe456yhn112'}, function(data) {
    if(typeof data.status !== "undefined") {
      if(data['message'] == true){
        var content = document.getElementsByName('psgdpr_consent_checkbox');
        if(content && content.length != 0){
          if(content.checked){
            document.getElementById("form_save").disabled = false;
          }
        } else {
          document.getElementById("form_save").disabled = false;
        }
        
        document.getElementById('siret_notify').style.display = 'none';
        document.getElementById('vat_notify').style.display = 'none';
      } else{
        document.getElementById("form_save").disabled = true;
        document.getElementById('siret_notify').style.display = 'block';
        document.getElementById('vat_notify').style.display = 'block';
        
      }
    }
  });
}