{*
* 2007-2024 PrestaShop
*
* NOTICE OF LICENSE
*
* This source file is subject to the Academic Free License (AFL 3.0)
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://opensource.org/licenses/afl-3.0.php
* If you did not receive a copy of the license and are unable to
* obtain it through the world-wide-web, please send an email
* to license@prestashop.com so we can send you a copy immediately.
*
* DISCLAIMER
*
* Do not edit or add to this file if you wish to upgrade PrestaShop to newer
* versions in the future. If you wish to customize PrestaShop for your
* needs please refer to http://www.prestashop.com for more information.
*
*  @author    PrestaShop SA <contact@prestashop.com>
*  @copyright 2007-2024 PrestaShop SA
*  @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
*  International Registered Trademark & Property of PrestaShop SA
*}

<script type="text/javascript">

    $(document).ready(function(){

    	
	    var selectField = document.getElementById('default_form_positions_list');
	    var outputField = document.getElementById('default_form_positions');

	    selectField.addEventListener('click', function(event) {

	       var  outputFieldvalue = outputField.value;
	        // Get the clicked option
	        var clickedOption = event.target.value;

	        if (outputFieldvalue) {
	         var split = outputFieldvalue.split(", ");

	         if (split.includes(clickedOption)) {
	         }else{
	           split.push(clickedOption);
	         }
	        }else{

	         var split = clickedOption.split(", ");
	        }

	        outputField.value = split.join(', ');

	        var select_Field = document.getElementById('default_form_positions_list');
	        select_Field.value = '';
	    });


	    var selectb2bField = document.getElementById('b2b_form_positions_list');
	    var outputb2bField = document.getElementById('b2b_form_positions');

	    selectb2bField.addEventListener('click', function(event) {

	       var  outputFieldvalue = outputb2bField.value;
	        // Get the clicked option
	        var clickedOption = event.target.value;

	        if (outputFieldvalue) {
	         var split = outputFieldvalue.split(", ");

	         if (split.includes(clickedOption)) {
	         }else{
	           split.push(clickedOption);
	         }
	        }else{

	         var split = clickedOption.split(", ");
	        }

	        outputb2bField.value = split.join(', ');

	        var selectb2bField = document.getElementById('b2b_form_positions_list');
	        selectb2bField.value = '';
	    });
  	});

   function clear_button_B2B(){
  		var selectField = document.getElementById('b2b_form_positions_list');
	    var outputField = document.getElementById('b2b_form_positions');
	    selectField.value = '';
	    outputField.value = '';
  	}

  	function clear_button_default(){
  		var selectField = document.getElementById('default_form_positions_list');
	    var outputField = document.getElementById('default_form_positions');
	    selectField.value = '';
	    outputField.value = '';
  	}

</script>

<div class="row">
	<div class="col-lg-12">

		<div id="container" class="row">
			<div class="sidebarTabs navigation col-md-2">
				<nav class="list-group">
					<a class="list-group-item nav-bar-tabs" id="tab-bar-1"  href="{$configUrl|escape:'htmlall':'UTF-8'}&amp;generaladdifyb2bregistrationformbuilder">{l s='General Settings' mod='addifyb2bregistrationformbuilder'}</a>
					<a class="list-group-item nav-bar-tabs" id="tab-bar-2"  href="{$configUrl|escape:'htmlall':'UTF-8'}&amp;default_formaddifyb2bregistrationformbuilder">{l s='Default Form' mod='addifyb2bregistrationformbuilder'}</a>
					<a class="list-group-item active nav-bar-tabs" id="tab-bar-3"  href="{$configUrl|escape:'htmlall':'UTF-8'}&amp;formbuilderrulesaddifyb2bregistrationformbuilder">{l s='Form Builder' mod='addifyb2bregistrationformbuilder'}</a>
					<a class="list-group-item nav-bar-tabs" id="tab-bar-6"  href="{$configUrl|escape:'htmlall':'UTF-8'}&amp;customlistingaddifyb2bregistrationformbuilder">{l s='Custom Fields' mod='addifyb2bregistrationformbuilder'}</a>
					<a class="list-group-item nav-bar-tabs" id="tab-bar-4"  href="{$configUrl|escape:'htmlall':'UTF-8'}&amp;layoutaddifyb2bregistrationformbuilder" >{l s='Layout' mod='addifyb2bregistrationformbuilder'}</a>
					<a class="list-group-item nav-bar-tabs" id="tab-bar-5"  href="{$configUrl|escape:'htmlall':'UTF-8'}&amp;b2bcustomersaddifyb2bregistrationformbuilder">{l s='B2B Customers' mod='addifyb2bregistrationformbuilder'}</a>
					
				</nav>
			</div>
			<div id="moduleContainer" class="col-md-10">

				<form id="module_form" class="defaultForm form-horizontal" action="{$formurl|escape:'htmlall':'UTF-8'}" method="post" enctype="multipart/form-data" novalidate="">
					<input type="hidden" name="submitAddifyb2bregistrationformbuilderModule" value="1">

					<div class="panel" id="fieldset_0">

						<div class="panel-heading">
							<i class="icon-building"></i>							{l s='Create Form Group' mod='addifyb2bregistrationformbuilder'}
						</div>



						<div class="form-wrapper">
							<ul class="nav nav-tabs">
								<li class="active">
									<a href="#tab_1" data-toggle="tab">{l s='Basic Settings' mod='addifyb2bregistrationformbuilder'}</a>
								</li>
								<li class="">
									<a href="#tab_2" data-toggle="tab">{l s='Default Form Fields' mod='addifyb2bregistrationformbuilder'}</a>
								</li>
								<li class="">
									<a href="#tab_3" data-toggle="tab">{l s='B2B Fields' mod='addifyb2bregistrationformbuilder'}</a>
								</li>
								<li class="">
									<a href="#tab_4" data-toggle="tab">{l s='Custom Fields' mod='addifyb2bregistrationformbuilder'}</a>
								</li>
							</ul>
							<div class="tab-content panel">
								<div id="tab_1" class="tab-pane active">
									<div class="form-group hide" data-tab-id="tab_1">
										<input type="hidden" name="id_addifyformbuilderrules" id="id_addifyformbuilderrules" value="0">
									</div>
									<div class="form-group" data-tab-id="tab_1">

										<label class="control-label col-lg-4">
											{l s='Active' mod='addifyb2bregistrationformbuilder'}
										</label>



										<div class="col-lg-8">

											<span class="switch prestashop-switch fixed-width-lg">
												<input type="radio" name="active" id="active_on" value="1">
												<label for="active_on">{l s='Enabled' mod='addifyb2bregistrationformbuilder'}</label>
												<input type="radio" name="active" id="active_off" value="" checked="checked">
												<label for="active_off">{l s='Disabled' mod='addifyb2bregistrationformbuilder'}</label>
												<a class="slide-button btn"></a>
											</span>

											<p class="help-block">
												{l s='Enable/Disable this rule.' mod='addifyb2bregistrationformbuilder'}
											</p>

										</div>
									</div>
									<div class="form-group" data-tab-id="tab_1">

										<label class="control-label col-lg-4">
											{l s='Form Group Title' mod='addifyb2bregistrationformbuilder'}
										</label>



										<div class="col-lg-5">

											<input type="text" name="title" id="title" value="" class="">


											<p class="help-block">
												{l s='Form Group Title will help you identify this form group when you will add a custom field for this form group.' mod='addifyb2bregistrationformbuilder'}
											</p>

										</div>
									</div>
									<div class="form-group" data-tab-id="tab_1">

										<label class="control-label col-lg-4">
											{l s='Priority' mod='addifyb2bregistrationformbuilder'}
										</label>



										<div class="col-lg-5">

											<input type="text" name="priority" id="priority" value="" class="">



										</div>
									</div>
									<div class="form-group" data-tab-id="tab_1">

										<label class="control-label col-lg-4">
											{l s='Auto Approve New User' mod='addifyb2bregistrationformbuilder'}
										</label>



										<div class="col-lg-8">

											<span class="switch prestashop-switch fixed-width-lg">
												<input type="radio" name="auto_approve_newuser" id="auto_approve_newuser_on" value="1">
												<label for="auto_approve_newuser_on">{l s='Enabled' mod='addifyb2bregistrationformbuilder'}</label>
												<input type="radio" name="auto_approve_newuser" id="auto_approve_newuser_off" value="" checked="checked">
												<label for="auto_approve_newuser_off">{l s='Disabled' mod='addifyb2bregistrationformbuilder'}</label>
												<a class="slide-button btn"></a>
											</span>

											<p class="help-block">
												{l s='Auto Approve and Register New Users.' mod='addifyb2bregistrationformbuilder'}
											</p>

										</div>
									</div>
									<div class="form-group" data-tab-id="tab_1">

										<label class="control-label col-lg-4">
											{l s='Pending Account Message' mod='addifyb2bregistrationformbuilder'}
										</label>

										<div class="col-lg-5">

											<div class="form-group">
												{if isset($languages) AND $languages}
				                    			{foreach from=$languages key=lang_key item=language}
												<div class="translatable-field lang-{$language['id_lang']|escape:'htmlall':'UTF-8'}" {if $lang_key ge 1}style="display:none"{/if}>
													<div class="col-lg-9">
														<input type="text" id="pending_acc_msg_{$language['id_lang']|escape:'htmlall':'UTF-8'}" name="pending_acc_msg_{$language['id_lang']|escape:'htmlall':'UTF-8'}" class="" value="" onkeyup="if (isArrowKey(event)) return ;updateFriendlyURL();">
													</div>
													<div class="col-lg-2">
														<button type="button" class="btn btn-default dropdown-toggle" tabindex="-1" data-toggle="dropdown">
															{$language['iso_code']|escape:'htmlall':'UTF-8'}
															<i class="icon-caret-down"></i>
														</button>
														<ul class="dropdown-menu">
															{foreach from=$languages item=language_drop}
															<li><a href="javascript:hideOtherLanguage({$language_drop['id_lang']|escape:'htmlall':'UTF-8'});" tabindex="-1">{$language_drop['name']|escape:'htmlall':'UTF-8'}</a></li>
															{/foreach}
														</ul>
													</div>
												</div>
												{/foreach}
												{/if}
												
											</div>

											<p class="help-block">
												{l s='Pending account message for registration form.' mod='addifyb2bregistrationformbuilder'}
											</p>

										</div>

									</div>

									
									
									
									<div class="form-group" data-tab-id="tab_1">

										<label class="control-label col-lg-4">
											{l s='Enable Separate Cms Page' mod='addifyb2bregistrationformbuilder'}
										</label>



										<div class="col-lg-8">

											<span class="switch prestashop-switch fixed-width-lg">
												<input type="radio" name="separate_cms_page" id="separate_cms_page_on" value="1">
												<label for="separate_cms_page_on">{l s='Enabled' mod='addifyb2bregistrationformbuilder'}</label>
												<input type="radio" name="separate_cms_page" id="separate_cms_page_off" value="" checked="checked">
												<label for="separate_cms_page_off">{l s='Disabled' mod='addifyb2bregistrationformbuilder'}</label>
												<a class="slide-button btn"></a>
											</span>


										</div>
									</div>
									<div class="form-group" data-tab-id="tab_1">

										<label class="control-label col-lg-4">
											{l s='CMS Page' mod='addifyb2bregistrationformbuilder'}
										</label>



										<div class="col-lg-8">

											<select name="cms_pages" class=" fixed-width-xl" id="cms_pages">
												{if isset($CMSPages) AND $CMSPages}
			                    				{foreach from=$CMSPages item=CMSPage}
												<option value="{$CMSPage['id_cms']|escape:'htmlall':'UTF-8'}">{$CMSPage['meta_title']|escape:'htmlall':'UTF-8'}</option>
												{/foreach}
												{/if}

											</select>


										</div>
									</div>
									<div class="form-group" data-tab-id="tab_1">

										<label class="control-label col-lg-4">
											{l s='Select New Group' mod='addifyb2bregistrationformbuilder'}
										</label>



										<div class="col-lg-8">

											<select name="group_assigned" class=" fixed-width-xl" id="group_assigned">
												{if isset($Groups) AND $Groups}
			                    				{foreach from=$Groups item=Group}
												<option value="{$Group['id_group']|escape:'htmlall':'UTF-8'}">{$Group['name']|escape:'htmlall':'UTF-8'}</option>

												{/foreach}
												{/if}
											</select>

											<p class="help-block">
												{l s='select a group which will be assigned as to users after approval.' mod='addifyb2bregistrationformbuilder'}
											</p>

										</div>
									</div>
									<div class="form-group" data-tab-id="tab_1">

										<label class="control-label col-lg-4">
											{l s='Select Group' mod='addifyb2bregistrationformbuilder'}
										</label>



										<div class="col-lg-8">

											<div class="row">
												<div class="col-lg-6">
													<table class="table table-bordered">
														<thead>
															<tr>
																<th class="fixed-width-xs">
																	<span class="title_box">
																		<input type="checkbox" name="checkme" id="checkme" onclick="checkDelBoxes(this.form, 'groupBox[]', this.checked)">
																	</span>
																</th>
																<th class="fixed-width-xs"><span class="title_box">{l s='ID' mod='addifyb2bregistrationformbuilder'}</span></th>
																<th>
																	<span class="title_box">
																		{l s='Group name' mod='addifyb2bregistrationformbuilder'}
																	</span>
																</th>
															</tr>
														</thead>
														<tbody>
															{if isset($Groups) AND $Groups}
						                    				{foreach from=$Groups item=Group}
															<tr>
																<td>
																	<input type="checkbox" name="groupBox[]" class="groupBox" id="groupBox_{$Group['id_group']|escape:'htmlall':'UTF-8'}" value="{$Group['id_group']|escape:'htmlall':'UTF-8'}" checked="checked">
																</td>
																<td>{$Group['id_group']|escape:'htmlall':'UTF-8'}</td>
																<td>
																	<label for="groupBox_{$Group['id_group']|escape:'htmlall':'UTF-8'}">{$Group['name']|escape:'htmlall':'UTF-8'}</label>
																</td>
															</tr>
															{/foreach}
															{/if}
														</tbody>
													</table>
												</div>
											</div>

											<p class="help-block">
												{l s='Mark any/all of the customer group(s) which you would like to show Registration Form.' mod='addifyb2bregistrationformbuilder'}
											</p>

										</div>
									</div>
									
									<div class="form-group" data-tab-id="tab_1">

										<label class="control-label col-lg-4">
											{l s='Show Recaptcha' mod='addifyb2bregistrationformbuilder'}
										</label>



										<div class="col-lg-8">

											<span class="switch prestashop-switch fixed-width-lg">
												<input type="radio" name="show_captcha_rf" id="show_captcha_rf_on" value="1">
												<label for="show_captcha_rf_on">{l s='Enabled' mod='addifyb2bregistrationformbuilder'}</label>
												<input type="radio" name="show_captcha_rf" id="show_captcha_rf_off" value="" checked="checked">
												<label for="show_captcha_rf_off">{l s='Disabled' mod='addifyb2bregistrationformbuilder'}</label>
												<a class="slide-button btn"></a>
											</span>

											<p class="help-block">
												{l s='Enable/Disable Recaptcha in Registration Form' mod='addifyb2bregistrationformbuilder'}
											</p>

										</div>
									</div>
								</div>
								<div id="tab_2" class="tab-pane">
									<div class="form-group" data-tab-id="tab_2">

										<label class="control-label col-lg-4">
											{l s='Default Form' mod='addifyb2bregistrationformbuilder'}
										</label>



										<div class="col-lg-8">

											<span class="switch prestashop-switch fixed-width-lg">
												<input type="radio" name="default_form" id="default_form_on" value="1">
												<label for="default_form_on">{l s='Enabled' mod='addifyb2bregistrationformbuilder'}</label>
												<input type="radio" name="default_form" id="default_form_off" value="" checked="checked">
												<label for="default_form_off">{l s='Disabled' mod='addifyb2bregistrationformbuilder'}</label>
												<a class="slide-button btn"></a>
											</span>

											<p class="help-block">
												{l s='Enable/Disable Default Optional Fields in Registration Form' mod='addifyb2bregistrationformbuilder'}
											</p>

										</div>
									</div>

									<div class="form-group" data-tab-id="tab_2">

										<label class="control-label col-lg-4">
											{l s='Default Form title' mod='addifyb2bregistrationformbuilder'}
										</label>

										<div class="col-lg-5">

											<div class="form-group">
												{if isset($languages) AND $languages}
				                    			{foreach from=$languages key=lang_key item=language}
												<div class="translatable-field lang-{$language['id_lang']|escape:'htmlall':'UTF-8'}" {if $lang_key ge 1}style="display:none"{/if}>
													<div class="col-lg-9">
														<input type="text" id="form_title_{$language['id_lang']|escape:'htmlall':'UTF-8'}" name="form_title_{$language['id_lang']|escape:'htmlall':'UTF-8'}" class="" value="" onkeyup="if (isArrowKey(event)) return ;updateFriendlyURL();">
													</div>
													<div class="col-lg-2">
														<button type="button" class="btn btn-default dropdown-toggle" tabindex="-1" data-toggle="dropdown">
															{$language['iso_code']|escape:'htmlall':'UTF-8'}
															<i class="icon-caret-down"></i>
														</button>
														<ul class="dropdown-menu">
															{foreach from=$languages item=language_drop}
															<li><a href="javascript:hideOtherLanguage({$language_drop['id_lang']|escape:'htmlall':'UTF-8'});" tabindex="-1">{$language_drop['name']|escape:'htmlall':'UTF-8'}</a></li>
															{/foreach}
														</ul>
													</div>
												</div>
												{/foreach}
												{/if}
												
											</div>

											<p class="help-block">
												{l s='Form title will be displayed at the top of registration form.' mod='addifyb2bregistrationformbuilder'}
											</p>

										</div>
									</div>

									<div class="form-group" data-tab-id="tab_2">
										<label class="control-label col-lg-4">{l s='Positions' mod='addifyb2bregistrationformbuilder'}</label>
										<div class="col-lg-8">
											<div class="well">
												<div>
													{l s='Please specify the positions for which you do want.' mod='addifyb2bregistrationformbuilder'}<br>
													{l s='You can click the fieldname in the list below.' mod='addifyb2bregistrationformbuilder'}
													
													<br>
													<p>
														<textarea type="text" name="default_form_positions" id="default_form_positions" readonly="true" placeholder="E.g. Social_title, Birth_Date, offers">Social_title_default, First_Name_default, Last_Name_default, email_default, Password_default, dob_default, rof_partners_default, signup_newsletter_default</textarea>
													</p>
													<p>
														<select size="11" name="default_form_positions_list[]" id="default_form_positions_list" multiple="multiple">
															<option disabled="disabled">___________ {l s='Default' mod='addifyb2bregistrationformbuilder'} ___________</option>
															<option disabled="disabled">____________ {l s='Form' mod='addifyb2bregistrationformbuilder'} ____________</option>
															<option value="Social_title_default">{l s='Social_title_Default' mod='addifyb2bregistrationformbuilder'}</option>
															<option value="First_Name_default">{l s='First_Name_default' mod='addifyb2bregistrationformbuilder'}</option>
															<option value="Last_Name_default">{l s='Last_Name_default' mod='addifyb2bregistrationformbuilder'}</option>
															<option value="email_default">{l s='email_default' mod='addifyb2bregistrationformbuilder'}</option>
															<option value="Password_default">{l s='Password_default' mod='addifyb2bregistrationformbuilder'}</option>
															<option value="dob_default">{l s='dob_default' mod='addifyb2bregistrationformbuilder'}</option>
															<option value="rof_partners_default">{l s='rof_partners_default' mod='addifyb2bregistrationformbuilder'}</option>
															<option value="signup_newsletter_default">{l s='signup_newsletter_default' mod='addifyb2bregistrationformbuilder'}</option>
														</select>
													</p>
													<p>
														<button type="button" value="1" onclick="clear_button_default()" id="clear_button" name="clear_button" class="btn btn-default">
														{l s='clear' mod='addifyb2bregistrationformbuilder'}
														</button>
													</p>
												</div>
											</div>
										</div>
									</div>
									
									<div class="form-group" data-tab-id="tab_2">

										<div class="col-lg-6">

											<label class="control-label col-lg-4">
												{l s='Social title' mod='addifyb2bregistrationformbuilder'}
											</label>



											<div class="col-lg-8">

												<span class="switch prestashop-switch fixed-width-lg">
													<input type="radio" name="Social_title_default" id="Social_title_default_on" value="1">
													<label for="Social_title_default_on">{l s='Enabled' mod='addifyb2bregistrationformbuilder'}</label>
													<input type="radio" name="Social_title_default" id="Social_title_default_off" value="" checked="checked">
													<label for="Social_title_default_off">{l s='Disabled' mod='addifyb2bregistrationformbuilder'}</label>
													<a class="slide-button btn"></a>
												</span>

												<p class="help-block">
													{l s='Enable/Disable Social title in Default Registration Form' mod='addifyb2bregistrationformbuilder'}
												</p>

											</div>

										</div>

										<div class="col-lg-6">

											<label class="control-label col-lg-4">
												{l s='Field Required' mod='addifyb2bregistrationformbuilder'}
											</label>



											<div class="col-lg-8">

												<span class="switch prestashop-switch fixed-width-lg">
													<input type="radio" name="Req_Social_title_default" id="Req_Social_title_default_on" value="1">
													<label for="Req_Social_title_default_on">{l s='Enabled' mod='addifyb2bregistrationformbuilder'}</label>
													<input type="radio" name="Req_Social_title_default" id="Req_Social_title_default_off" value="" checked="checked">
													<label for="Req_Social_title_default_off">{l s='Disabled' mod='addifyb2bregistrationformbuilder'}</label>
													<a class="slide-button btn"></a>
												</span>

												<p class="help-block">
													{l s='Enable to make a Required input field.' mod='addifyb2bregistrationformbuilder'}
												</p>

											</div>

										</div>
									</div>
									<div class="form-group" data-tab-id="tab_2">

										<div class="col-lg-6">

											<label class="control-label col-lg-4">
												{l s='Birth Date' mod='addifyb2bregistrationformbuilder'}
											</label>



											<div class="col-lg-8">

												<span class="switch prestashop-switch fixed-width-lg">
													<input type="radio" name="dob_default" id="dob_default_on" value="1">
													<label for="dob_default_on">{l s='Enabled' mod='addifyb2bregistrationformbuilder'}</label>
													<input type="radio" name="dob_default" id="dob_default_off" value="" checked="checked">
													<label for="dob_default_off">{l s='Disabled' mod='addifyb2bregistrationformbuilder'}</label>
													<a class="slide-button btn"></a>
												</span>

												<p class="help-block">
													{l s='Enable/Disable Birth Date in Default Registration Form' mod='addifyb2bregistrationformbuilder'}
												</p>

											</div>
										</div>

										<div class="col-lg-6">

											<label class="control-label col-lg-4">
												{l s='Field Required' mod='addifyb2bregistrationformbuilder'}
											</label>



											<div class="col-lg-8">

												<span class="switch prestashop-switch fixed-width-lg">
													<input type="radio" name="Req_dob_default" id="Req_dob_default_on" value="1">
													<label for="Req_dob_default_on">{l s='Enabled' mod='addifyb2bregistrationformbuilder'}</label>
													<input type="radio" name="Req_dob_default" id="Req_dob_default_off" value="" checked="checked">
													<label for="Req_dob_default_off">{l s='Disabled' mod='addifyb2bregistrationformbuilder'}</label>
													<a class="slide-button btn"></a>
												</span>

												<p class="help-block">
													{l s='Enable to make a Required input field.' mod='addifyb2bregistrationformbuilder'}
												</p>

											</div>

										</div>
									</div>
									<div class="form-group" data-tab-id="tab_2">

										<div class="col-lg-6">

											<label class="control-label col-lg-4">
												{l s='Receive offers from our partners' mod='addifyb2bregistrationformbuilder'}
											</label>



											<div class="col-lg-8">

												<span class="switch prestashop-switch fixed-width-lg">
													<input type="radio" name="rof_partners_default" id="rof_partners_default_on" value="1">
													<label for="rof_partners_default_on">{l s='Enabled' mod='addifyb2bregistrationformbuilder'}</label>
													<input type="radio" name="rof_partners_default" id="rof_partners_default_off" value="" checked="checked">
													<label for="rof_partners_default_off">{l s='Disabled' mod='addifyb2bregistrationformbuilder'}</label>
													<a class="slide-button btn"></a>
												</span>

												<p class="help-block">
													{l s='Enable/Disable Receive offers from our partners check box in Default Registration Form' mod='addifyb2bregistrationformbuilder'}
												</p>

											</div>
										</div>

										<div class="col-lg-6">

											<label class="control-label col-lg-4">
												{l s='Field Required' mod='addifyb2bregistrationformbuilder'}
											</label>



											<div class="col-lg-8">

												<span class="switch prestashop-switch fixed-width-lg">
													<input type="radio" name="Req_rof_partners_default" id="Req_rof_partners_default_on" value="1">
													<label for="Req_rof_partners_default_on">{l s='Enabled' mod='addifyb2bregistrationformbuilder'}</label>
													<input type="radio" name="Req_rof_partners_default" id="Req_rof_partners_default_off" value="" checked="checked">
													<label for="Req_rof_partners_default_off">{l s='Disabled' mod='addifyb2bregistrationformbuilder'}</label>
													<a class="slide-button btn"></a>
												</span>

												<p class="help-block">
													{l s='Enable to make a Required input field.' mod='addifyb2bregistrationformbuilder'}
												</p>

											</div>

										</div>
									</div>
									<div class="form-group" data-tab-id="tab_2">

										<div class="col-lg-6">

											<label class="control-label col-lg-4">
												{l s='Sign up for our newsletter' mod='addifyb2bregistrationformbuilder'}
											</label>



											<div class="col-lg-8">

												<span class="switch prestashop-switch fixed-width-lg">
													<input type="radio" name="signup_newsletter_default" id="signup_newsletter_default_on" value="1">
													<label for="signup_newsletter_default_on">{l s='Enabled' mod='addifyb2bregistrationformbuilder'}</label>
													<input type="radio" name="signup_newsletter_default" id="signup_newsletter_default_off" value="" checked="checked">
													<label for="signup_newsletter_default_off">{l s='Disabled' mod='addifyb2bregistrationformbuilder'}</label>
													<a class="slide-button btn"></a>
												</span>

												<p class="help-block">
													{l s='Enable/Disable checkbox for Sign up for our newsletter' mod='addifyb2bregistrationformbuilder'}
												</p>

											</div>
										</div>

										<div class="col-lg-6">

											<label class="control-label col-lg-4">
												{l s='Field Required' mod='addifyb2bregistrationformbuilder'}
											</label>



											<div class="col-lg-8">

												<span class="switch prestashop-switch fixed-width-lg">
													<input type="radio" name="Req_signup_newsletter_default" id="Req_signup_newsletter_default_on" value="1">
													<label for="Req_signup_newsletter_default_on">{l s='Enabled' mod='addifyb2bregistrationformbuilder'}</label>
													<input type="radio" name="Req_signup_newsletter_default" id="Req_signup_newsletter_default_off" value="" checked="checked">
													<label for="Req_signup_newsletter_default_off">{l s='Disabled' mod='addifyb2bregistrationformbuilder'}</label>
													<a class="slide-button btn"></a>
												</span>

												<p class="help-block">
													{l s='Enable to make a Required input field.' mod='addifyb2bregistrationformbuilder'}
												</p>

											</div>

										</div>
									</div>
								</div>
								<div id="tab_3" class="tab-pane">
									<div class="form-group" data-tab-id="tab_3">

										<label class="control-label col-lg-4">
											{l s='B2B Registration Form' mod='addifyb2bregistrationformbuilder'}
										</label>


										<div class="col-lg-8">

											<span class="switch prestashop-switch fixed-width-lg">
												<input type="radio" name="bb_form" id="bb_form_on" value="1">
												<label for="bb_form_on">{l s='Enabled' mod='addifyb2bregistrationformbuilder'}</label>
												<input type="radio" name="bb_form" id="bb_form_off" value="" checked="checked">
												<label for="bb_form_off">{l s='Disabled' mod='addifyb2bregistrationformbuilder'}</label>
												<a class="slide-button btn"></a>
											</span>

											<p class="help-block">
												{l s='Enable/Disable B2B Registration Form' mod='addifyb2bregistrationformbuilder'}
											</p>

										</div>
									</div>
									<div class="form-group" data-tab-id="tab_3">

										<label class="control-label col-lg-4">
											{l s='B2B Registration Form Title' mod='addifyb2bregistrationformbuilder'}
										</label>



										<div class="col-lg-5">

											<div class="form-group">
												{if isset($languages) AND $languages}
				                    			{foreach from=$languages key=lang_key item=language}
												<div class="translatable-field lang-{$language['id_lang']|escape:'htmlall':'UTF-8'}" {if $lang_key ge 1}style="display:none"{/if}>
													<div class="col-lg-9">
														<input type="text" id="form_title_bb_{$language['id_lang']|escape:'htmlall':'UTF-8'}" name="form_title_bb_{$language['id_lang']|escape:'htmlall':'UTF-8'}" class="" value="" onkeyup="if (isArrowKey(event)) return ;updateFriendlyURL();">
													</div>
													<div class="col-lg-2">
														<button type="button" class="btn btn-default dropdown-toggle" tabindex="-1" data-toggle="dropdown">
															{$language['iso_code']|escape:'htmlall':'UTF-8'}
															<i class="icon-caret-down"></i>
														</button>
														<ul class="dropdown-menu">
															{foreach from=$languages item=language_drop}
															<li><a href="javascript:hideOtherLanguage({$language_drop['id_lang']|escape:'htmlall':'UTF-8'});" tabindex="-1">{$language_drop['name']|escape:'htmlall':'UTF-8'}</a></li>
															{/foreach}
														</ul>
													</div>
												</div>
												{/foreach}
												{/if}
											</div>
										</div>
									</div>

									<div class="form-group" data-tab-id="tab_3">
										<label class="control-label col-lg-4">{l s='Positions' mod='addifyb2bregistrationformbuilder'}</label>
										<div class="col-lg-8">
											<div class="well">
												<div>
													{l s='Please specify the positions for which you do want.' mod='addifyb2bregistrationformbuilder'}<br>
													{l s='You can click the fieldname in the list below, and even make a multiple selection by keeping the Ctrl key pressed while clicking, or choose a whole range of filename by keeping the Shift key pressed while clicking.' mod='addifyb2bregistrationformbuilder'}
													
													<br>
													<p>
														<textarea type="text" name="b2b_form_positions" readonly="true" id="b2b_form_positions"  placeholder="E.g. Social_title, Birth_Date, offers">m_name_bb, company_bb, siret_bb, website_url_bb, address_alias_bb, address_bb, city_bb, vat_number_bb</textarea>
													</p>
													<p>
														<select size="9"  name="b2b_form_positions_list[]" id="b2b_form_positions_list" multiple="multiple">
															<option disabled="disabled">___________ {l s='B2B' mod='addifyb2bregistrationformbuilder'} ___________</option>
															<option disabled="disabled">____________ {l s='Form' mod='addifyb2bregistrationformbuilder'} ____________</option>
															<option value="m_name_bb">{l s='m_name_bb' mod='addifyb2bregistrationformbuilder'}</option>
															<option value="company_bb">{l s='company_bb' mod='addifyb2bregistrationformbuilder'}</option>
															<option value="siret_bb">{l s='siret_bb' mod='addifyb2bregistrationformbuilder'}</option>
															<option value="website_url_bb">{l s='website_url_bb' mod='addifyb2bregistrationformbuilder'}</option>
															<option value="address_alias_bb">{l s='address_alias_bb' mod='addifyb2bregistrationformbuilder'}</option>
															<option value="address_bb">{l s='address_bb' mod='addifyb2bregistrationformbuilder'}</option>
															<option value="city_bb">{l s='city_bb' mod='addifyb2bregistrationformbuilder'}</option>
															<option value="vat_number_bb">{l s='vat_number_bb' mod='addifyb2bregistrationformbuilder'}</option>
														</select>
													</p>
													<p>
														<button type="button" value="1" onclick="clear_button_B2B()" id="clear_button" name="clear_button" class="btn btn-default">
														{l s='clear' mod='addifyb2bregistrationformbuilder'}
														</button>
													</p>
												</div>
											</div>
										</div>
									</div>

									<div class="form-group" data-tab-id="tab_3">

										<div class="col-lg-6">

											<label class="control-label col-lg-4">
												{l s='Middle Name' mod='addifyb2bregistrationformbuilder'}
											</label>


											<div class="col-lg-8">

												<span class="switch prestashop-switch fixed-width-lg">
													<input type="radio" name="m_name_bb" id="m_name_bb_on" value="1">
													<label for="m_name_bb_on">{l s='Enabled' mod='addifyb2bregistrationformbuilder'}</label>
													<input type="radio" name="m_name_bb" id="m_name_bb_off" value="" checked="checked">
													<label for="m_name_bb_off">{l s='Disabled' mod='addifyb2bregistrationformbuilder'}</label>
													<a class="slide-button btn"></a>
												</span>

												<p class="help-block">
													{l s='Enable/Disable Middle Name on Registration Form' mod='addifyb2bregistrationformbuilder'}
												</p>

											</div>

										</div>

										<div class="col-lg-6">

											<label class="control-label col-lg-4">
												{l s='Field Required' mod='addifyb2bregistrationformbuilder'}
											</label>


											<div class="col-lg-8">

												<span class="switch prestashop-switch fixed-width-lg">
													<input type="radio" name="Req_m_name_bb" id="Req_m_name_bb_on" value="1">
													<label for="Req_m_name_bb_on">{l s='Enabled' mod='addifyb2bregistrationformbuilder'}</label>
													<input type="radio" name="Req_m_name_bb" id="Req_m_name_bb_off" value="" checked="checked">
													<label for="Req_m_name_bb_off">{l s='Disabled' mod='addifyb2bregistrationformbuilder'}</label>
													<a class="slide-button btn"></a>
												</span>

												<p class="help-block">
													{l s='Enable to make a Required input field.' mod='addifyb2bregistrationformbuilder'}
												</p>

											</div>

										</div>
									</div>
									<div class="form-group" data-tab-id="tab_3">

										<div class="col-lg-6">

											<label class="control-label col-lg-4">
												{l s='Company' mod='addifyb2bregistrationformbuilder'}
											</label>


											<div class="col-lg-8">

												<span class="switch prestashop-switch fixed-width-lg">
													<input type="radio" name="company_bb" id="company_bb_on" value="1">
													<label for="company_bb_on">{l s='Enabled' mod='addifyb2bregistrationformbuilder'}</label>
													<input type="radio" name="company_bb" id="company_bb_off" value="" checked="checked">
													<label for="company_bb_off">{l s='Disabled' mod='addifyb2bregistrationformbuilder'}</label>
													<a class="slide-button btn"></a>
												</span>

												<p class="help-block">
													{l s='Enable/Disable Company on Registration Form' mod='addifyb2bregistrationformbuilder'}
												</p>

											</div>

										</div>

										<div class="col-lg-6">

											<label class="control-label col-lg-4">
												{l s='Field Required' mod='addifyb2bregistrationformbuilder'}
											</label>


											<div class="col-lg-8">

												<span class="switch prestashop-switch fixed-width-lg">
													<input type="radio" name="Req_company_bb" id="Req_company_bb_on" value="1">
													<label for="Req_company_bb_on">{l s='Enabled' mod='addifyb2bregistrationformbuilder'}</label>
													<input type="radio" name="Req_company_bb" id="Req_company_bb_off" value="" checked="checked">
													<label for="Req_company_bb_off">{l s='Disabled' mod='addifyb2bregistrationformbuilder'}</label>
													<a class="slide-button btn"></a>
												</span>

												<p class="help-block">
													{l s='Enable to make a Required input field.' mod='addifyb2bregistrationformbuilder'}
												</p>

											</div>

										</div>
									</div>
									<div class="form-group" data-tab-id="tab_3">

										<div class="col-lg-6">

											<label class="control-label col-lg-4">
												{l s='SIRET' mod='addifyb2bregistrationformbuilder'}
											</label>


											<div class="col-lg-8">

												<span class="switch prestashop-switch fixed-width-lg">
													<input type="radio" name="siret_bb" id="siret_bb_on" value="1">
													<label for="siret_bb_on">{l s='Enabled' mod='addifyb2bregistrationformbuilder'}</label>
													<input type="radio" name="siret_bb" id="siret_bb_off" value="" checked="checked">
													<label for="siret_bb_off">{l s='Disabled' mod='addifyb2bregistrationformbuilder'}</label>
													<a class="slide-button btn"></a>
												</span>

												<p class="help-block">
													{l s='Enable/Disable SIRET on Registration Form' mod='addifyb2bregistrationformbuilder'}
												</p>

											</div>

										</div>

										<div class="col-lg-6">

											<label class="control-label col-lg-4">
												{l s='Field Required' mod='addifyb2bregistrationformbuilder'}
											</label>


											<div class="col-lg-8">

												<span class="switch prestashop-switch fixed-width-lg">
													<input type="radio" name="Req_siret_bb" id="Req_siret_bb_on" value="1">
													<label for="Req_siret_bb_on">{l s='Enabled' mod='addifyb2bregistrationformbuilder'}</label>
													<input type="radio" name="Req_siret_bb" id="Req_siret_bb_off" value="" checked="checked">
													<label for="Req_siret_bb_off">{l s='Disabled' mod='addifyb2bregistrationformbuilder'}</label>
													<a class="slide-button btn"></a>
												</span>

												<p class="help-block">
													{l s='Enable to make a Required input field.' mod='addifyb2bregistrationformbuilder'}
												</p>

											</div>

										</div>
									</div>
									<div class="form-group" data-tab-id="tab_3">

										<div class="col-lg-6">

											<label class="control-label col-lg-4">
												{l s='Website' mod='addifyb2bregistrationformbuilder'}
											</label>


											<div class="col-lg-8">

												<span class="switch prestashop-switch fixed-width-lg">
													<input type="radio" name="website_url_bb" id="website_url_bb_on" value="1">
													<label for="website_url_bb_on">{l s='Enabled' mod='addifyb2bregistrationformbuilder'}</label>
													<input type="radio" name="website_url_bb" id="website_url_bb_off" value="" checked="checked">
													<label for="website_url_bb_off">{l s='Disabled' mod='addifyb2bregistrationformbuilder'}</label>
													<a class="slide-button btn"></a>
												</span>

												<p class="help-block">
													{l s='Enable/Disable Website on Registration Form' mod='addifyb2bregistrationformbuilder'}
												</p>

											</div>

										</div>

										<div class="col-lg-6">

											<label class="control-label col-lg-4">
												{l s='Field Required' mod='addifyb2bregistrationformbuilder'}
											</label>


											<div class="col-lg-8">

												<span class="switch prestashop-switch fixed-width-lg">
													<input type="radio" name="Req_website_url_bb" id="Req_website_url_bb_on" value="1">
													<label for="Req_website_url_bb_on">{l s='Enabled' mod='addifyb2bregistrationformbuilder'}</label>
													<input type="radio" name="Req_website_url_bb" id="Req_website_url_bb_off" value="" checked="checked">
													<label for="Req_website_url_bb_off">{l s='Disabled' mod='addifyb2bregistrationformbuilder'}</label>
													<a class="slide-button btn"></a>
												</span>

												<p class="help-block">
													{l s='Enable to make a Required input field.' mod='addifyb2bregistrationformbuilder'}
												</p>

											</div>

										</div>
									</div>
									<div class="form-group" data-tab-id="tab_3">

										<div class="col-lg-6">

											<label class="control-label col-lg-4">
												{l s='Address alias' mod='addifyb2bregistrationformbuilder'}
											</label>


											<div class="col-lg-8">

												<span class="switch prestashop-switch fixed-width-lg">
													<input type="radio" name="address_alias_bb" id="address_alias_bb_on" value="1">
													<label for="address_alias_bb_on">{l s='Enabled' mod='addifyb2bregistrationformbuilder'}</label>
													<input type="radio" name="address_alias_bb" id="address_alias_bb_off" value="" checked="checked">
													<label for="address_alias_bb_off">{l s='Disabled' mod='addifyb2bregistrationformbuilder'}</label>
													<a class="slide-button btn"></a>
												</span>

												<p class="help-block">
													{l s='Enable/Disable Address alias on Registration Form' mod='addifyb2bregistrationformbuilder'}
												</p>

											</div>

										</div>

										<div class="col-lg-6">

											<label class="control-label col-lg-4">
												{l s='Field Required' mod='addifyb2bregistrationformbuilder'}
											</label>


											<div class="col-lg-8">

												<span class="switch prestashop-switch fixed-width-lg">
													<input type="radio" name="Req_address_alias_bb" id="Req_address_alias_bb_on" value="1">
													<label for="Req_address_alias_bb_on">{l s='Enabled' mod='addifyb2bregistrationformbuilder'}</label>
													<input type="radio" name="Req_address_alias_bb" id="Req_address_alias_bb_off" value="" checked="checked">
													<label for="Req_address_alias_bb_off">{l s='Disabled' mod='addifyb2bregistrationformbuilder'}</label>
													<a class="slide-button btn"></a>
												</span>

												<p class="help-block">
													{l s='Enable to make a Required input field.' mod='addifyb2bregistrationformbuilder'}
												</p>

											</div>

										</div>

									</div>
									<div class="form-group" data-tab-id="tab_3">

										<div class="col-lg-6">

											<label class="control-label col-lg-4">
												{l s='Address' mod='addifyb2bregistrationformbuilder'}
											</label>


											<div class="col-lg-8">

												<span class="switch prestashop-switch fixed-width-lg">
													<input type="radio" name="address_bb" id="address_bb_on" value="1">
													<label for="address_bb_on">{l s='Enabled' mod='addifyb2bregistrationformbuilder'}</label>
													<input type="radio" name="address_bb" id="address_bb_off" value="" checked="checked">
													<label for="address_bb_off">{l s='Disabled' mod='addifyb2bregistrationformbuilder'}</label>
													<a class="slide-button btn"></a>
												</span>

												<p class="help-block">
													{l s='Enable/Disable Address on Registration Form' mod='addifyb2bregistrationformbuilder'}
												</p>

											</div>

										</div>

										<div class="col-lg-6">

											<label class="control-label col-lg-4">
												{l s='Field Required' mod='addifyb2bregistrationformbuilder'}
											</label>


											<div class="col-lg-8">

												<span class="switch prestashop-switch fixed-width-lg">
													<input type="radio" name="Req_address_bb" id="Req_address_bb_on" value="1">
													<label for="Req_address_bb_on">{l s='Enabled' mod='addifyb2bregistrationformbuilder'}</label>
													<input type="radio" name="Req_address_bb" id="Req_address_bb_off" value="" checked="checked">
													<label for="Req_address_bb_off">{l s='Disabled' mod='addifyb2bregistrationformbuilder'}</label>
													<a class="slide-button btn"></a>
												</span>

												<p class="help-block">
													{l s='Enable to make a Required input field.' mod='addifyb2bregistrationformbuilder'}
												</p>

											</div>

										</div>

									</div>
									<div class="form-group" data-tab-id="tab_3">

										<div class="col-lg-6">

											<label class="control-label col-lg-4">
												{l s='City' mod='addifyb2bregistrationformbuilder'}
											</label>


											<div class="col-lg-8">

												<span class="switch prestashop-switch fixed-width-lg">
													<input type="radio" name="city_bb" id="city_bb_on" value="1">
													<label for="city_bb_on">{l s='Enabled' mod='addifyb2bregistrationformbuilder'}</label>
													<input type="radio" name="city_bb" id="city_bb_off" value="" checked="checked">
													<label for="city_bb_off">{l s='Disabled' mod='addifyb2bregistrationformbuilder'}</label>
													<a class="slide-button btn"></a>
												</span>

												<p class="help-block">
													{l s='Enable/Disable City on Registration Form' mod='addifyb2bregistrationformbuilder'}
												</p>

											</div>

										</div>

										<div class="col-lg-6">

											<label class="control-label col-lg-4">
												{l s='Field Required' mod='addifyb2bregistrationformbuilder'}
											</label>


											<div class="col-lg-8">

												<span class="switch prestashop-switch fixed-width-lg">
													<input type="radio" name="Req_city_bb" id="Req_city_bb_on" value="1">
													<label for="Req_city_bb_on">{l s='Enabled' mod='addifyb2bregistrationformbuilder'}</label>
													<input type="radio" name="Req_city_bb" id="Req_city_bb_off" value="" checked="checked">
													<label for="Req_city_bb_off">{l s='Disabled' mod='addifyb2bregistrationformbuilder'}</label>
													<a class="slide-button btn"></a>
												</span>

												<p class="help-block">
													{l s='Enable to make a Required input field.' mod='addifyb2bregistrationformbuilder'}
												</p>

											</div>

										</div>

									</div>
									<div class="form-group" data-tab-id="tab_3">

										<div class="col-lg-6">

											<label class="control-label col-lg-4">
												{l s='VAT Number' mod='addifyb2bregistrationformbuilder'}
											</label>


											<div class="col-lg-8">

												<span class="switch prestashop-switch fixed-width-lg">
													<input type="radio" name="vat_number_bb" id="vat_number_bb_on" value="1">
													<label for="vat_number_bb_on">{l s='Enabled' mod='addifyb2bregistrationformbuilder'}</label>
													<input type="radio" name="vat_number_bb" id="vat_number_bb_off" value="" checked="checked">
													<label for="vat_number_bb_off">{l s='Disabled' mod='addifyb2bregistrationformbuilder'}</label>
													<a class="slide-button btn"></a>
												</span>

												<p class="help-block">
													{l s='Enable/Disable VAT Number on Registration Form' mod='addifyb2bregistrationformbuilder'}
												</p>

											</div>

										</div>

										<div class="col-lg-6">

											<label class="control-label col-lg-4">
												{l s='Field Required' mod='addifyb2bregistrationformbuilder'}
											</label>


											<div class="col-lg-8">

												<span class="switch prestashop-switch fixed-width-lg">
													<input type="radio" name="Req_vat_number_bb" id="Req_vat_number_bb_on" value="1">
													<label for="Req_vat_number_bb_on">{l s='Enabled' mod='addifyb2bregistrationformbuilder'}</label>
													<input type="radio" name="Req_vat_number_bb" id="Req_vat_number_bb_off" value="" checked="checked">
													<label for="Req_vat_number_bb_off">{l s='Disabled' mod='addifyb2bregistrationformbuilder'}</label>
													<a class="slide-button btn"></a>
												</span>

												<p class="help-block">
													{l s='Enable to make a Required input field.' mod='addifyb2bregistrationformbuilder'}
												</p>

											</div>

										</div>

									</div>
								</div>
								<div id="tab_4" class="tab-pane">
									<div class="form-group" data-tab-id="tab_4">

										<label class="control-label col-lg-4">
											{l s='Custom Fields' mod='addifyb2bregistrationformbuilder'}
										</label>



										<div class="col-lg-8">

											<span class="switch prestashop-switch fixed-width-lg">
												<input type="radio" name="custom_fields" id="custom_fields_on" value="1">
												<label for="custom_fields_on">{l s='Enabled' mod='addifyb2bregistrationformbuilder'}</label>
												<input type="radio" name="custom_fields" id="custom_fields_off" value="" checked="checked">
												<label for="custom_fields_off">{l s='Disabled' mod='addifyb2bregistrationformbuilder'}</label>
												<a class="slide-button btn"></a>
											</span>

											<p class="help-block">
												{l s='Enable/Disable Newly created Registration Fields' mod='addifyb2bregistrationformbuilder'}
											</p>

										</div>
									</div>

									<div class="form-group" data-tab-id="tab_4">

										<label class="control-label col-lg-4">
											{l s='Custom Fields Title' mod='addifyb2bregistrationformbuilder'}
										</label>



										<div class="col-lg-3">

											<div class="form-group">
												{if isset($languages) AND $languages}
				                    			{foreach from=$languages key=lang_key item=language}
												<div class="translatable-field lang-{$language['id_lang']|escape:'htmlall':'UTF-8'}" {if $lang_key ge 1}style="display:none"{/if}>
													<div class="col-lg-9">
														<input type="text" id="custom_fields_title_{$language['id_lang']|escape:'htmlall':'UTF-8'}" name="custom_fields_title_{$language['id_lang']|escape:'htmlall':'UTF-8'}" class="" value="" onkeyup="if (isArrowKey(event)) return ;updateFriendlyURL();">
													</div>
													<div class="col-lg-2">
														<button type="button" class="btn btn-default dropdown-toggle" tabindex="-1" data-toggle="dropdown">
															{$language['iso_code']|escape:'htmlall':'UTF-8'}
															<i class="icon-caret-down"></i>
														</button>
														<ul class="dropdown-menu">
															{foreach from=$languages item=language_drop}
															<li><a href="javascript:hideOtherLanguage({$language_drop['id_lang']|escape:'htmlall':'UTF-8'});" tabindex="-1">{$language_drop['name']|escape:'htmlall':'UTF-8'}</a></li>
															{/foreach}
														</ul>
													</div>
												</div>
												{/foreach}
												{/if}
											</div>


										</div>
									</div>
								</div>
							</div>
						</div><!-- /.form-wrapper -->

						<div class="panel-footer">
							<button type="submit" value="1" id="module_form_submit_btn" name="submitAddifyb2bregistrationformbuilderModule" class="btn btn-default pull-right">
								<i class="process-icon-save"></i> {l s='Save' mod='addifyb2bregistrationformbuilder'}
							</button>
							<a href="{$configUrl|escape:'htmlall':'UTF-8'}&amp;formbuilderrulesaddifyb2bregistrationformbuilder" class="btn btn-default btn btn-default"><i class="process-icon-cancel"></i> {l s='Cancel' mod='addifyb2bregistrationformbuilder'}</a>
						</div>
					</div>
				</form>
			</div>
		</div>
	</div>
</div>