{*
* 2007-2024 PrestaShop
*
* NOTICE OF LICENSE
*
* This source file is subject to the Academic Free License (AFL 3.0)
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://opensource.org/licenses/afl-3.0.php
* If you did not receive a copy of the license and are unable to
* obtain it through the world-wide-web, please send an email
* to license@prestashop.com so we can send you a copy immediately.
*
* DISCLAIMER
*
* Do not edit or add to this file if you wish to upgrade PrestaShop to newer
* versions in the future. If you wish to customize PrestaShop for your
* needs please refer to http://www.prestashop.com for more information.
*
*  @author    PrestaShop SA <contact@prestashop.com>
*  @copyright 2007-2024 PrestaShop SA
*  @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
*  International Registered Trademark & Property of PrestaShop SA
*}

<div class="row">
	<div class="col-lg-12">
		
		<div id="container" class="row">
			<div class="sidebarTabs navigation col-md-2">
				<nav class="list-group">
					<a class="list-group-item nav-bar-tabs" id="tab-bar-1"  href="{$configUrl|escape:'htmlall':'UTF-8'}&amp;generaladdifyb2bregistrationformbuilder">{l s='General Settings' mod='addifyb2bregistrationformbuilder'}</a>
					<a class="list-group-item nav-bar-tabs" id="tab-bar-2"  href="{$configUrl|escape:'htmlall':'UTF-8'}&amp;default_formaddifyb2bregistrationformbuilder">{l s='Default Form' mod='addifyb2bregistrationformbuilder'}</a>
					<a class="list-group-item nav-bar-tabs" id="tab-bar-3"  href="{$configUrl|escape:'htmlall':'UTF-8'}&amp;formbuilderrulesaddifyb2bregistrationformbuilder">{l s='Form Builder' mod='addifyb2bregistrationformbuilder'}</a>
					<a class="list-group-item nav-bar-tabs" id="tab-bar-6"  href="{$configUrl|escape:'htmlall':'UTF-8'}&amp;customlistingaddifyb2bregistrationformbuilder">{l s='Custom Fields' mod='addifyb2bregistrationformbuilder'}</a>
					<a class="list-group-item nav-bar-tabs" id="tab-bar-4"  href="{$configUrl|escape:'htmlall':'UTF-8'}&amp;layoutaddifyb2bregistrationformbuilder" >{l s='Layout' mod='addifyb2bregistrationformbuilder'}</a>
					<a class="list-group-item active nav-bar-tabs" id="tab-bar-5"  href="{$configUrl|escape:'htmlall':'UTF-8'}&amp;b2bcustomersaddifyb2bregistrationformbuilder">{l s='B2B Customers' mod='addifyb2bregistrationformbuilder'}</a>
					
				</nav>
			</div>
			<div id="moduleContainer" class="col-md-10">
{foreach $customers as $customer}

    <form  class="plugin-form form-group" action="{$configUrl|escape:'htmlall':'UTF-8'}&amp;b2bcustomersaddifyb2bregistrationformbuilder" enctype ="multipart/form-data" method="post" >
    	<div class="panel" id="fieldset_0">

						<div class="panel-heading">
							<i class="icon-building"></i>							{l s='B2B Form Data' mod='addifyb2bregistrationformbuilder'}
						</div>
		<div class="row">
			<div class="col-sm-12">
				<h2>{$customer['bb_form']|escape:'htmlall':'UTF-8'}</h2>    
				{$id_customer = $customer['id_customer'] } 
				<input name="id_customer" type="hidden" value="{$id_customer|escape:'htmlall':'UTF-8'}">
				{$id_addifycustomer = $customer['id_addifycustomer'] } 
				<input name="id_addifycustomer" type="hidden" value="{$id_addifycustomer|escape:'htmlall':'UTF-8'}">
				{$name_suffix_bb = $customer['name_suffix_bb'] } 
				<input name="name_suffix_bb" type="hidden" value="{$name_suffix_bb|escape:'htmlall':'UTF-8'}">
			</div>
		</div>
              
		{$active = $customer['active'] }  
		<div class="form-group" >
			<label class="col-md-3 form-control-label">{l s='Active' mod='addifyb2bregistrationformbuilder'}</label>
			<div class="col-lg-9">
				<span class="switch prestashop-switch fixed-width-lg">
					<input type="radio" name="active" id="ADDIFYB2B_ENABLE_on" value="1" {if $active == 1}checked{/if}>
					<label for="ADDIFYB2B_ENABLE_on">{l s='Yes' mod='addifyb2bregistrationformbuilder'}</label>
					<input type="radio" name="active" id="ADDIFYB2B_ENABLE_off" value="0" {if $active == 0}checked{/if}>
					<label for="ADDIFYB2B_ENABLE_off">{l s='No' mod='addifyb2bregistrationformbuilder'}</label>
					<a class="slide-button btn"></a>
				</span>
			    <p class="help-block">{l s='Enable or Disable this User' mod='addifyb2bregistrationformbuilder'}
				</p>
																	
			</div>
		</div>
                {if $customer['Social_title_default'] != ''}
				{$Social_title_default = $customer['Social_title_default'] }
                <div class="form-group row">
					<div class="col-md-3">
						<label class="form-control-label">{l s='Social title' mod='addifyb2bregistrationformbuilder'}</label>
					</div>
    				<div class="col-md-6 form-control-valign">
						<label class="radio-inline">
				            <span class="custom-radio">
				                <input name="Social_title_default" type="radio" value="male" {if $Social_title_default == 'male'}checked{/if} readonly>
				                <span></span>
				            </span>
				            {l s='Mr.' mod='addifyb2bregistrationformbuilder'}
				        </label>
				        <label class="radio-inline">
				           	<span class="custom-radio">
				                <input name="Social_title_default" type="radio" value="female" {if $Social_title_default == 'female'}checked{/if} readonly>
				                <span></span>
				            </span>
				            {l s='Mrs.' mod='addifyb2bregistrationformbuilder'}
				        </label>
				    </div>
    				<div class="col-md-3 form-control-comment"></div>
  				</div>
  				{/if}
               
                {if $customer['First_Name_default'] != ''}
				{$First_Name_default = $customer['First_Name_default'] }
  				<div class="form-group row">
    				<label class="col-md-3 form-control-label required">{l s='First Name' mod='addifyb2bregistrationformbuilder'}</label>
    				<div class="col-md-6">
						<input class="form-control" name="First_Name_default" type="text" value="{$First_Name_default|escape:'htmlall':'UTF-8'}" required readonly>
					</div>
    				<div class="col-md-3 form-control-comment"></div>
  				</div>
  				{/if}
               
                {if $customer['Last_Name_default'] != ''}
				{$Last_Name_default = $customer['Last_Name_default'] }
  				<div class="form-group row">
    				<label class="col-md-3 form-control-label required" for="lastname">{l s='Last Name' mod='addifyb2bregistrationformbuilder'}</label>
    				<div class="col-md-6">
						<input class="form-control" name="Last_Name_default" type="text" value="{$Last_Name_default|escape:'htmlall':'UTF-8'}" required readonly>
					</div>
					
    				<div class="col-md-3 form-control-comment"></div>
  				</div>
                {/if}

               {if $customer['email_default'] != ''}
				{$email_default = $customer['email_default'] }
				    
  				<div class="form-group row">
    				<label class="col-md-3 form-control-label required" for="email">{l s='Email' mod='addifyb2bregistrationformbuilder'}</label>
    				<div class="col-md-6">
						<input class="form-control" name="email_default" type="email" value="{$email_default|escape:'htmlall':'UTF-8'}" required readonly>
					</div>
    				<div class="col-md-3 form-control-comment"></div>
  				</div>
                {/if}


                {if $customer['dob_default'] != ''}
				{$dob_default = $customer['dob_default'] }
  				<div class="form-group row">
    				<label class="col-md-3 form-control-label">{l s='Birthdate' mod='addifyb2bregistrationformbuilder'}</label>
				    <div class="col-md-6">
						<input class="form-control" name="dob_default" type="date" value="{$dob_default|escape:'htmlall':'UTF-8'}" placeholder="MM/DD/YYYY" readonly>
				            <span class="form-control-comment">{l s='(E.g.: 05/31/1970)' mod='addifyb2bregistrationformbuilder'}</span>
				    </div>
				</div>
                {/if}

				{if $customer['m_name_bb'] != ''}
				{$middle_name = $customer['m_name_bb'] }
                <div class="form-group row">
    				<label class="col-md-3 form-control-label required">{l s='Middle Name' mod='addifyb2bregistrationformbuilder'}</label>
    				<div class="col-md-6">
						<input class="form-control" name="m_name_bb" type="text" value="{$middle_name|escape:'htmlall':'UTF-8'}" required="" >
					</div>
    				<div class="col-md-3 form-control-comment"></div>
  				</div>
				{/if}
				{if $customer['company_bb'] != ''}
				{$company_bb = $customer['company_bb'] }
				<div class="form-group row">
    				<label class="col-md-3 form-control-label required">{l s='company Name' mod='addifyb2bregistrationformbuilder'}</label>
    				<div class="col-md-6">
						<input class="form-control" name="company_bb" type="text" value="{$company_bb|escape:'htmlall':'UTF-8'}" required="" >
					</div>
    				<div class="col-md-3 form-control-comment"></div>
  				</div>
				{/if}
                
				{if $customer['siret_bb'] != ''}
				{$siret_bb = $customer['siret_bb'] }
                <div class="form-group row">
    				<label class="col-md-3 form-control-label required">{l s='Siret' mod='addifyb2bregistrationformbuilder'}</label>
    				<div class="col-md-6">
						<input class="form-control" name="siret_bb" type="text" value="{$siret_bb|escape:'htmlall':'UTF-8'}" required="" >
					</div>
    				<div class="col-md-3 form-control-comment"></div>
  				</div> 
				{/if}

				{if $customer['website_url_bb'] != ''}
				{$website_url_bb = $customer['website_url_bb'] }
				<div class="form-group row">
    				<label class="col-md-3 form-control-label required">{l s='Website' mod='addifyb2bregistrationformbuilder'}</label>
    				<div class="col-md-6">
						<input class="form-control" name="website_url_bb" type="text" value="{$website_url_bb|escape:'htmlall':'UTF-8'}" required="" >
					</div>
    				<div class="col-md-3 form-control-comment"></div>
  				</div>
				{/if}
				{if $customer['address_alias_bb'] != ''}
				{$address_alias_bb = $customer['address_alias_bb'] }
				<div class="form-group row">
    				<label class="col-md-3 form-control-label required">{l s='Address Alias' mod='addifyb2bregistrationformbuilder'}</label>
    				<div class="col-md-6">
						<input class="form-control" name="address_alias_bb" type="text" value="{$address_alias_bb|escape:'htmlall':'UTF-8'}" required="" >
					</div>
    				<div class="col-md-3 form-control-comment"></div>
  				</div>
                {/if}
				{if $customer['address_bb'] != ''}
				{$address_bb = $customer['address_bb'] }
                <div class="form-group row">
    				<label class="col-md-3 form-control-label required">{l s='Address' mod='addifyb2bregistrationformbuilder'}</label>
    				<div class="col-md-6">
						<input class="form-control" name="address_bb" type="text" value="{$address_bb|escape:'htmlall':'UTF-8'}" required="" >
					</div>
    				<div class="col-md-3 form-control-comment"></div>
  				</div>
				{/if}
				{if $customer['city_bb'] != ''}
				{$city_bb = $customer['city_bb'] }
                <div class="form-group row">
    				<label class="col-md-3 form-control-label required">{l s='City' mod='addifyb2bregistrationformbuilder'}</label>
    				<div class="col-md-6">
						<input class="form-control" name="city_bb" type="text" value="{$city_bb|escape:'htmlall':'UTF-8'}" required="" >
					</div>
    				<div class="col-md-3 form-control-comment"></div>
  				</div>
				{/if}
				{if $customer['vat_number_bb'] != ''}
				{$vat_number_bb = $customer['vat_number_bb'] }
                <div class="form-group row">
    				<label class="col-md-3 form-control-label required">{l s='Vat Number' mod='addifyb2bregistrationformbuilder'}</label>
    				<div class="col-md-6">
						<input class="form-control" name="vat_number_bb" type="text" value="{$vat_number_bb|escape:'htmlall':'UTF-8'}" required="" >
					</div>
    				<div class="col-md-3 form-control-comment"></div>
  				</div>
				{/if}

	
	    {foreach $fields as $field}
   	    {if $field['id_form_group'] == $customer['name_suffix_bb']}
            {$id_field = $field['id_field']}
            {if $id_field = ''}
                <p>{l s='there are no Additional Information for this user Account.' mod='addifyb2bregistrationformbuilder'}</p>
            {/if}
                                <!---------------------------------general field types-------------------------------------->
            {if $field['field_type'] == 'text' || $field['field_type'] == 'number' || $field['field_type'] == 'email' || $field['field_type'] == 'date' || $field['field_type'] == 'time' || $field['field_type'] == 'color'  }
				<div class="form-group row">
					{$field_label=$field['field_label']}
    				<label class="col-md-3 form-control-label required">{$field_label|escape:'htmlall':'UTF-8'}</label>
    				<div class="col-md-6">
						{$field_type=$field['field_type']}
						{$required = ''}
                        {$id_field = $field['id_field']}
                        {$field_name=$field['field_name']}
                        {$field_value=$field['field_value']}
						<input class="form-control" name="{$field_name|escape:'htmlall':'UTF-8'}{$id_field|escape:'htmlall':'UTF-8'}" type="{$field_type|escape:'htmlall':'UTF-8'}" value="{$field_value|escape:'htmlall':'UTF-8'}" >
				    </div>
				</div><br><br>
            {/if}
                               <!---------------------------------password-------------------------------------->
            {if $field['field_type'] == 'password'}
				<div class="form-group row">
					{$field_label=$field['field_label']}
    				<label class="col-md-3 form-control-label required">{$field_label|escape:'htmlall':'UTF-8'}</label>
    				<div class="col-md-6">
    					{$field_type=$field['field_type']}
                        {$id_field = $field['id_field']}
                        {$field_name=$field['field_name']}
                        {$field_value=$field['field_value']}
						<div class="input-group js-parent-focus">
				            <input class="form-control js-child-focus js-visible-password" name="{$field_name|escape:'htmlall':'UTF-8'}{$id_field|escape:'htmlall':'UTF-8'}" type="{$field_type|escape:'htmlall':'UTF-8'}" value="{$field_value|escape:'htmlall':'UTF-8'}"    aria-autocomplete="list" placeholder = "">
				            <span class="input-group-btn">
				            	<button class="btn" type="button" data-action="show-password" data-text-show="Show" data-text-hide="Hide">{l s='Show' mod='addifyb2bregistrationformbuilder'}</button>
				            </span>
				        </div>		
				    </div>
  				</div><br><br>
            {/if}
            <!---------------------------------textarea-------------------------------------->
            {if $field['field_type'] == 'textarea'}
                <div class="form-group row ">
  					{$field_label=$field['field_label']}
			        <label class="col-md-3 form-control-label required">{$field_label|escape:'htmlall':'UTF-8'}</label>
			        <div class="col-md-6">
			        	{$field_type=$field['field_type']}
						{$field_value=$field['field_value']}
                        {$id_field = $field['id_field']}
                        {$field_name=$field['field_name']}
			            <textarea id="" class="form-control" name="{$field_name|escape:'htmlall':'UTF-8'}{$id_field|escape:'htmlall':'UTF-8'}" autocomplete="off">{$field_value|escape:'htmlall':'UTF-8'}</textarea>
			        </div>
			    </div><br><br>
			{/if}
               
            <!--------------------------------file upload/download--------------------------------------->
             {if $field['field_type'] == 'fileupload'}
            <div class="form-group row ">
					{$field_label=$field['field_label']}
			    <label class="col-md-3 ">{$field_label|escape:'htmlall':'UTF-8'}</label>
			    <div class="col-md-6">
			    	{$field_type=$field['field_type']}
					{$id_field = $field['id_field']}
                    {$field_name=$field['field_name']}
					{$field_value=$field['field_value']}
					<input type = "file" name = "{$field_name|escape:'htmlall':'UTF-8'}{$id_field|escape:'htmlall':'UTF-8'}"  value="{$field_value|escape:'htmlall':'UTF-8'}" > 
                    <br>{if $field_value != ""}
                    <p> <a href="{$downlink|escape:'htmlall':'UTF-8'}{$field_value|escape:'htmlall':'UTF-8'}" target="_blank" download ><strong>{l s='Click Here' mod='addifyb2bregistrationformbuilder'}</strong>
                    </a> <strong>{l s='to Download the file.' mod='addifyb2bregistrationformbuilder'}</strong></p>{/if}
			    </div>
			</div><br><br>
            {/if}
            
            <!---------------------------------multicheckbox-------------------------------------->
            {if $field['field_type'] == 'multicheckbox'}
            <div class="row">
				<div class="col-md-3">
					{$field_label=$field['field_label']}
					<label>{$field_label|escape:'htmlall':'UTF-8'}</label>
				</div>
				<div class="col-md-6">
				{$options = explode(',',$field['field_options'])}
				{$values = explode(',',$field['field_value'])}
                {foreach $options as $option}
                {$option_single = explode('->',$option)}
                {$option_value = $option_single[0]}
                {$option_lable = $option_single[1]}
                {$id_field = $field['id_field']}
				
					<div class="form-check">
						<label>
                    {$field_name=$field['field_name']}
                    {if $option_value != ''}{if $option_lable != ''}
							<input type="checkbox" name="{$field_name|escape:'htmlall':'UTF-8'}{$id_field|escape:'htmlall':'UTF-8'}[]" value="{$option_value|escape:'htmlall':'UTF-8'}" {foreach $values as $value}{if $option_value == $value}checked{/if}{/foreach}> <span class="label-text">{$option_lable|escape:'htmlall':'UTF-8'}</span>
							{/if}{/if}
						</label>
					</div>
				{/foreach}

				</div>
			</div><br><br>
			{/if}
            <!---------------------------------multiselectbox-------------------------------------->
            {if $field['field_type'] == 'multiselect'}
            <div class="row">
				<div class="col-md-3">
					{$field_label=$field['field_label']}
					<label>{$field_label|escape:'htmlall':'UTF-8'}</label>
				</div>
				<div class="col-md-6">
            {$id_field = $field['id_field']}
                    {$field_name=$field['field_name']}
					    {$values = explode(',',$field['field_value'])}
					<select name="{$field_name|escape:'htmlall':'UTF-8'}{$id_field|escape:'htmlall':'UTF-8'}[]" id="example-getting-started" multiple="multiple">
						{$options = explode(',',$field['field_options'])}
                        {foreach $options as $option}
                        {$option_single = explode('->',$option)}
                        {$option_value = $option_single[0]}
                        {$option_lable = $option_single[1]}
                        {if $option_value != ''}{if $option_lable != ''}
       	                <option value="{$option_value|escape:'htmlall':'UTF-8'}" {foreach $values as $value}{if $option_value == $value}selected{/if}{/foreach}>{$option_lable|escape:'htmlall':'UTF-8'}</option>{/if}{/if}
       	                {/foreach}
					</select>
				</div>
			</div><br><br>
			{/if}
            <!---------------------------------selectbox-------------------------------------->
            {if $field['field_type'] == 'select'}
		    <div class="form-group row">
					{$field_label=$field['field_label']}
		        <label class="col-md-3 form-control-label">{$field_label|escape:'htmlall':'UTF-8'}</label>
		        <div class="col-md-6">
            {$id_field = $field['id_field']}
                    {$field_name=$field['field_name']}
					    {$field_value=$field['field_value']}
		            <select id="" onchange="" class="form-control" name="{$field_name|escape:'htmlall':'UTF-8'}{$id_field|escape:'htmlall':'UTF-8'}" autocomplete="off" >
		            	{$options = explode(',',$field['field_options'])}
                        {foreach $options as $option}
                        {$option_single = explode('->',$option)}
                        {$option_value = $option_single[0]}
                        {$option_lable = $option_single[1]}
                        {if $option_value != ''}{if $option_lable != ''}
       	                <option value="{$option_value|escape:'htmlall':'UTF-8'}" {if $field_value == $option_value}selected{/if}>{$option_lable|escape:'htmlall':'UTF-8'}</option>
       	                {/if}{/if}
       	                {/foreach}
		            </select>
		        </div>
		    </div><br><br>
			{/if}
            <!---------------------------------switch-------------------------------------->

            {if $field['field_type'] == 'switch'}

		    <div class="form-group ">
					{$field_label=$field['field_label']}
			    <label class="col-md-3 form-control-label">
						{$field_label|escape:'htmlall':'UTF-8'}</label>
			    <div class="col-lg-9">
			    	{$id_field = $field['id_field']}
                    {$field_name=$field['field_name']}
					{$field_value=$field['field_value']}
				<span class="switch prestashop-switch fixed-width-lg">
				    <input type="radio" name="{$field_name|escape:'htmlall':'UTF-8'}{$id_field|escape:'htmlall':'UTF-8'}" id="{$field_name|escape:'htmlall':'UTF-8'}{$id_field|escape:'htmlall':'UTF-8'}_on" value="1" {if $field_value == 1}checked{/if}>
					<label for="ADDIFYB2B_ENABLE_on">{l s='Yes' mod='addifyb2bregistrationformbuilder'}</label>
					<input type="radio" name="ADDIFYB2B_ENABLE" id="{$field_name|escape:'htmlall':'UTF-8'}{$id_field|escape:'htmlall':'UTF-8'}_off" value="0" {if $field_value == 0}checked{/if}>
					<label for="ADDIFYB2B_ENABLE_off">{l s='No' mod='addifyb2bregistrationformbuilder'}</label>
					<a class="slide-button btn"></a>
				</span>

			    </div>
			</div><br><br>
			{/if}
            <!---------------------------------checkbox//radiobutton-------------------------------------->
            {if $field['field_type'] == 'checkbox'|| $field['field_type'] == 'radiobutton' }
            {$type = 'checkbox'}
            {if $field['field_type'] == 'radiobutton'}
            {$type = 'radio'}
			{/if}
			<div class="form-group row ">
					{$field_label=$field['field_label']}
			    <label class="col-md-3 form-control-label">{$field_label|escape:'htmlall':'UTF-8'}</label>
				{$values = explode(',',$field['field_value'])}
			    <div class="col-md-6 form-control-label">
			    		{$options = explode(',',$field['field_options'])}
                        {foreach $options as $option}
                        {$option_single = explode('->',$option)}
                        {$option_value = $option_single[0]}
                        {$option_lable = $option_single[1]}
                        {if $option_value != ''}{if $option_lable != ''}
			        <label>
                    {$id_field = $field['id_field']}
                    {$field_name=$field['field_name']}
			        	<input name="{$field_name|escape:'htmlall':'UTF-8'}{$id_field|escape:'htmlall':'UTF-8'}[]" type="{$type|escape:'htmlall':'UTF-8'}" value="{$option_value|escape:'htmlall':'UTF-8'}" {foreach $values as $value}{if $option_value == $value}checked{/if}{/foreach}>
			        {$option_lable|escape:'htmlall':'UTF-8'}   
			        </label>
			        {/if}{/if}
       	            {/foreach}
			    </div>
			</div><br><br>
			{/if}
        {/if}
        {/foreach} 
        <br><br>
	    <div class="row">
			<div class="col-sm-12 text-right">
				<div class="form-group">
					 <button name="submitCustomer" class="btn btn-primary form-control-submit float-xs-right" type="submit">{l s='Save' mod='addifyb2bregistrationformbuilder'}</button>
				</div>
			</div>
		</div>
	</div>
    </form>

{/foreach}

	</div>
		</div>
	</div>
</div>