{*
* 2007-2024 PrestaShop
*
* NOTICE OF LICENSE
*
* This source file is subject to the Academic Free License (AFL 3.0)
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://opensource.org/licenses/afl-3.0.php
* If you did not receive a copy of the license and are unable to
* obtain it through the world-wide-web, please send an email
* to license@prestashop.com so we can send you a copy immediately.
*
* DISCLAIMER
*
* Do not edit or add to this file if you wish to upgrade PrestaShop to newer
* versions in the future. If you wish to customize PrestaShop for your
* needs please refer to http://www.prestashop.com for more information.
*
*  @author    PrestaShop SA <contact@prestashop.com>
*  @copyright 2007-2024 PrestaShop SA
*  @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
*  International Registered Trademark & Property of PrestaShop SA
*}

<script type="text/javascript">

  	function sendBulkActionRules(id,name){
    
    	const myElement = document.getElementById("configUrl").value;
    	var addifyb2bregistrationformbuilderrulesBox = [];

    	$("."+name+":checked").each( function () {

    		var check_value = $(this).val();

    		addifyb2bregistrationformbuilderrulesBox.push(check_value);
	   });

    	var link = myElement+"&submitBulkdeleteaddifyb2bregistrationformbuilderrules&addifyb2bregistrationformbuilderrulesBox="+addifyb2bregistrationformbuilderrulesBox;

		location.replace(link);    	
   }

</script>

<div class="row">
	<div class="col-lg-12">
		
		<div id="container" class="row">
			<div class="sidebarTabs navigation col-md-2">
				<nav class="list-group">
					<a class="list-group-item nav-bar-tabs" id="tab-bar-1"  href="{$configUrl|escape:'htmlall':'UTF-8'}&amp;generaladdifyb2bregistrationformbuilder">{l s='General Settings' mod='addifyb2bregistrationformbuilder'}</a>
					<a class="list-group-item nav-bar-tabs" id="tab-bar-2"  href="{$configUrl|escape:'htmlall':'UTF-8'}&amp;default_formaddifyb2bregistrationformbuilder">{l s='Default Form' mod='addifyb2bregistrationformbuilder'}</a>
					<a class="list-group-item active nav-bar-tabs" id="tab-bar-3"  href="{$configUrl|escape:'htmlall':'UTF-8'}&amp;formbuilderrulesaddifyb2bregistrationformbuilder">{l s='Form Builder' mod='addifyb2bregistrationformbuilder'}</a>
					<a class="list-group-item nav-bar-tabs" id="tab-bar-6"  href="{$configUrl|escape:'htmlall':'UTF-8'}&amp;customlistingaddifyb2bregistrationformbuilder">{l s='Custom Fields' mod='addifyb2bregistrationformbuilder'}</a>
					<a class="list-group-item nav-bar-tabs" id="tab-bar-4"  href="{$configUrl|escape:'htmlall':'UTF-8'}&amp;layoutaddifyb2bregistrationformbuilder" >{l s='Layout' mod='addifyb2bregistrationformbuilder'}</a>
					<a class="list-group-item nav-bar-tabs" id="tab-bar-5"  href="{$configUrl|escape:'htmlall':'UTF-8'}&amp;b2bcustomersaddifyb2bregistrationformbuilder">{l s='B2B Customers' mod='addifyb2bregistrationformbuilder'}</a>
					
				</nav>
			</div>
			<div id="moduleContainer" class="col-md-10">


				<form method="post" action="{$configUrl|escape:'htmlall':'UTF-8'}&amp;formbuilderrulesaddifyb2bregistrationformbuilder" class="form-horizontal clearfix" id="form-addifyb2bregistrationformbuilderrules">


					<input type="hidden" id="submitFilteraddifyb2bregistrationformbuilderrules" name="submitFilteraddifyb2bregistrationformbuilderrules" value="0">
					<input type="hidden" name="page" value="1">
					<input type="hidden" name="configUrl" id="configUrl" value="{$configUrl|escape:'htmlall':'UTF-8'}">
					<input type="hidden" name="selected_pagination" value="50">


					<div class="panel col-lg-12">
						<div class="panel-heading">
							
							{l s='Form Builder' mod='addifyb2bregistrationformbuilder'}
							
							<span class="badge">{$rulesCount|escape:'htmlall':'UTF-8'}</span>
							<span class="panel-heading-action">
								<a id="desc-addifyb2bregistrationformbuilderrules-new" class="list-toolbar-btn" href="{$configUrl|escape:'htmlall':'UTF-8'}&amp;addaddifyb2bregistrationformbuilderrules">
									<span title="" data-toggle="tooltip" class="label-tooltip" data-original-title="Add new" data-html="true" data-placement="top">
										<i class="process-icon-new"></i>
									</span>
								</a>
								<a class="list-toolbar-btn" href="javascript:location.reload();">
									<span title="" data-toggle="tooltip" class="label-tooltip" data-original-title="Refresh list" data-html="true" data-placement="top">
										<i class="process-icon-refresh"></i>
									</span>
								</a>
							</span>
						</div>
						
						<div class="table-responsive-row clearfix">
							<table id="table-addifyb2bregistrationformbuilderrules" class="table addifyb2bregistrationformbuilderrules">
								<thead>
									<tr class="nodrag nodrop">
										<th class="center fixed-width-xs"></th>
										<th class="">
											<span class="title_box">
												{l s='ID' mod='addifyb2bregistrationformbuilder'}
											</span>
										</th>
										<th class="">
											<span class="title_box">
												{l s='Title' mod='addifyb2bregistrationformbuilder'}
											</span>
										</th>
										<th class="">
											<span class="title_box">
												{l s='Priority' mod='addifyb2bregistrationformbuilder'}
											</span>
										</th>
										<th class="">
											<span class="title_box">
												{l s='Status' mod='addifyb2bregistrationformbuilder'}
											</span>
										</th>
										<th class="">
											<span class="title_box">
												{l s='Added Date' mod='addifyb2bregistrationformbuilder'}
											</span>
										</th>
										<th class="">
											<span class="title_box">
												{l s='Update Date' mod='addifyb2bregistrationformbuilder'}
											</span>
										</th>
										<th></th>
									</tr>
								</thead>

								<tbody>

									{if isset($allRules) AND $allRules}
				                    {foreach from=$allRules item=Rule}
				                                       
									<tr class=" odd">
										<td class="row-selector text-center">
											<input type="checkbox" name="addifyb2bregistrationformbuilderrulesBox[]" value="{$Rule['id_addifyformbuilderrules']|escape:'htmlall':'UTF-8'}" class="noborder addifyb2bregistrationformbuilderrulesBox">
										</td>

										<td class="pointer column-id_addifyformbuilderrules" onclick="document.location = '{$configUrl|escape:'htmlall':'UTF-8'}&amp;updateaddifyb2bregistrationformbuilderrules&amp;id_addifyformbuilderrules={$Rule['id_addifyformbuilderrules']|escape:'htmlall':'UTF-8'}'">


											{$Rule['id_addifyformbuilderrules']|escape:'htmlall':'UTF-8'}


										</td>


										<td class="pointer column-title" onclick="document.location = '{$configUrl|escape:'htmlall':'UTF-8'}&amp;updateaddifyb2bregistrationformbuilderrules&amp;id_addifyformbuilderrules={$Rule['id_addifyformbuilderrules']|escape:'htmlall':'UTF-8'}'">


											{$Rule['title']|escape:'htmlall':'UTF-8'}


										</td>


										<td class="pointer column-priority" onclick="document.location = '{$configUrl|escape:'htmlall':'UTF-8'}&amp;updateaddifyb2bregistrationformbuilderrules&amp;id_addifyformbuilderrules={$Rule['id_addifyformbuilderrules']|escape:'htmlall':'UTF-8'}'">


											{$Rule['priority']|escape:'htmlall':'UTF-8'}


										</td>
										{if $Rule['active']==0}
										<td class="pointer column-active" onclick="document.location = '{$configUrl|escape:'htmlall':'UTF-8'}&amp;updateaddifyb2bregistrationformbuilderrules&amp;id_addifyformbuilderrules={$Rule['id_addifyformbuilderrules']|escape:'htmlall':'UTF-8'}'">
																																
											<a class="list-action-enable action-disabled" href="{$configUrl|escape:'htmlall':'UTF-8'}&amp;statusaddifyb2bregistrationformbuilderrules&amp;id_addifyformbuilderrules={$Rule['id_addifyformbuilderrules']|escape:'htmlall':'UTF-8'}" title="Disabled">
												<i class="icon-check hidden"></i>
												<i class="icon-remove"></i>
											</a>	

										</td>

										{/if}
										{if $Rule['active']==1}
										<td class="pointer column-active" onclick="document.location = '{$configUrl|escape:'htmlall':'UTF-8'}&amp;updateaddifyb2bregistrationformbuilderrules&amp;id_addifyformbuilderrules={$Rule['id_addifyformbuilderrules']|escape:'htmlall':'UTF-8'}'">

											<a class="list-action-enable action-enabled" href="{$configUrl|escape:'htmlall':'UTF-8'}&amp;statusaddifyb2bregistrationformbuilderrules&amp;id_addifyformbuilderrules={$Rule['id_addifyformbuilderrules']|escape:'htmlall':'UTF-8'}" title="Enabled">
												<i class="icon-check"></i>
												<i class="icon-remove hidden"></i>
											</a>

										</td>
										{/if}

										<td class="pointer column-date_add" onclick="document.location = '{$configUrl|escape:'htmlall':'UTF-8'}&amp;updateaddifyb2bregistrationformbuilderrules&amp;id_addifyformbuilderrules={$Rule['id_addifyformbuilderrules']|escape:'htmlall':'UTF-8'}'">


											{$Rule['date_add']|escape:'htmlall':'UTF-8'}


										</td>


										<td class="pointer column-date_upd" onclick="document.location = '{$configUrl|escape:'htmlall':'UTF-8'}&amp;updateaddifyb2bregistrationformbuilderrules&amp;id_addifyformbuilderrules={$Rule['id_addifyformbuilderrules']|escape:'htmlall':'UTF-8'}'">


											{$Rule['date_upd']|escape:'htmlall':'UTF-8'}


										</td>


										<td class="text-right">
											<div class="btn-group-action">				
												<div class="btn-group pull-right">
													<a href="{$configUrl|escape:'htmlall':'UTF-8'}&amp;updateaddifyb2bregistrationformbuilderrules&amp;id_addifyformbuilderrules={$Rule['id_addifyformbuilderrules']|escape:'htmlall':'UTF-8'}" title="Edit" class="edit btn btn-default">
														<i class="icon-pencil"></i> {l s='Edit' mod='addifyb2bregistrationformbuilder'}
													</a>

													<button class="btn btn-default dropdown-toggle" data-toggle="dropdown">
														<i class="icon-caret-down"></i>
													</button>
													<ul class="dropdown-menu">
														<li>
															<a href="#" title="Delete" class="delete" onclick="confirm_link('', 'Delete selected item?', 'Yes', 'No', '{$configUrl|escape:'htmlall':'UTF-8'}&amp;deleteaddifyb2bregistrationformbuilderrules&amp;id_addifyformbuilderrules={$Rule['id_addifyformbuilderrules']|escape:'htmlall':'UTF-8'}', '#')">
																<i class="icon-trash"></i> {l s='Delete' mod='addifyb2bregistrationformbuilder'}
															</a>
														</li>
													</ul>
												</div>
											</div>					
										</td>
									</tr>


				                    {/foreach}
				                    {else}
				                    <tr>
										<td class="list-empty" colspan="8">
											<div class="list-empty-msg">
												<i class="icon-warning-sign list-empty-icon"></i>
												{l s='No records found' mod='addifyb2bregistrationformbuilder'}
											</div>
										</td>
									</tr>
				                    {/if}
									
								</tbody>

							</table>
						</div>

						<div class="row">
							<div class="col-lg-6">
								{if isset($allRules) AND $allRules}
								<div class="btn-group bulk-actions dropup">
									<button type="button" class="btn btn-default dropdown-toggle" data-toggle="dropdown" id="bulk_action_menu_addifyb2bregistrationformbuilderrules">
										{l s='Bulk actions' mod='addifyb2bregistrationformbuilder'} <span class="caret"></span>
									</button>
									<ul class="dropdown-menu">
										<li>
											<a href="#" onclick="javascript:checkDelBoxes($(this).closest('form').get(0), 'addifyb2bregistrationformbuilderrulesBox[]', true);return false;">
												<i class="icon-check-sign"></i>&nbsp;{l s='Select all' mod='addifyb2bregistrationformbuilder'}
											</a>
										</li>
										<li>
											<a href="#" onclick="javascript:checkDelBoxes($(this).closest('form').get(0), 'addifyb2bregistrationformbuilderrulesBox[]', false);return false;">
												<i class="icon-check-empty"></i>&nbsp;{l s='Unselect all' mod='addifyb2bregistrationformbuilder'}
											</a>
										</li>
										<li class="divider"></li>
										<li>
											<a href="#" onclick="if (confirm('Delete selected items?'))sendBulkActionRules($(this).closest('form').get(0), 'addifyb2bregistrationformbuilderrulesBox');">
												<i class="icon-trash"></i>&nbsp;{l s='Delete selected' mod='addifyb2bregistrationformbuilder'}
											</a>
										</li>
									</ul>
								</div>
								{/if}
							</div>
						</div>
						
						<input type="hidden" name="token" value="{$adminToken|escape:'htmlall':'UTF-8'}">
					</div>
				</form>
			</div>
		</div>
	</div>
</div>