{*
* 2007-2024 PrestaShop
*
* NOTICE OF LICENSE
*
* This source file is subject to the Academic Free License (AFL 3.0)
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://opensource.org/licenses/afl-3.0.php
* If you did not receive a copy of the license and are unable to
* obtain it through the world-wide-web, please send an email
* to license@prestashop.com so we can send you a copy immediately.
*
* DISCLAIMER
*
* Do not edit or add to this file if you wish to upgrade PrestaShop to newer
* versions in the future. If you wish to customize PrestaShop for your
* needs please refer to http://www.prestashop.com for more information.
*
*  @author    PrestaShop SA <contact@prestashop.com>
*  @copyright 2007-2024 PrestaShop SA
*  @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
*  International Registered Trademark & Property of PrestaShop SA
*}

{extends file='page.tpl'}
{block name='page_content'}

{foreach $customers as $customer}
    <form  class="plugin-form" action="" enctype ="multipart/form-data" method="post" >
		<div class="row">
			<div class="col-sm-12">
				<h2>{$customer['bb_form']|escape:'htmlall':'UTF-8'}</h2>
                
				{$id_customer = $customer['id_customer'] } 
				<input name="id_customer" type="hidden" value="{$id_customer|escape:'htmlall':'UTF-8'}">
				{$id_addifycustomer = $customer['id_addifycustomer'] } 
				<input name="id_addifycustomer" type="hidden" value="{$id_addifycustomer|escape:'htmlall':'UTF-8'}">
			</div>
		</div>
				{if $customer['m_name_bb'] != ''}
				{$middle_name = $customer['m_name_bb'] }
                <div class="form-group row">
    				<label class="col-md-3 form-control-label required">{l s='Middle Name' mod='addifyb2bregistrationformbuilder'}</label>
    				<div class="col-md-6">
						<input class="form-control" name="m_name_bb" type="text" value="{$middle_name|escape:'htmlall':'UTF-8'}" required="" >
					</div>
    				<div class="col-md-3 form-control-comment"></div>
  				</div>
				{/if}
				{if $customer['company_bb'] != ''}
				{$company_bb = $customer['company_bb'] }
				<div class="form-group row">
    				<label class="col-md-3 form-control-label required">{l s='company Name' mod='addifyb2bregistrationformbuilder'}</label>
    				<div class="col-md-6">
						<input class="form-control" name="company_bb" type="text" value="{$company_bb|escape:'htmlall':'UTF-8'}" required="" >
					</div>
    				<div class="col-md-3 form-control-comment"></div>
  				</div>
				{/if}
                
                {if $customer['siret_bb'] != ''}
				{$siret_bb = $customer['siret_bb'] }
                <div class="form-group row">
    				<label class="col-md-3 form-control-label required">{l s='Siret Number' mod='addifyb2bregistrationformbuilder'}</label>
    				<div class="col-md-6">
						<input class="form-control" name="siret_bb" type="text" value="{$siret_bb|escape:'htmlall':'UTF-8'}" required="" >
					</div>
    				<div class="col-md-3 form-control-comment"></div>
  				</div>
				{/if}

				{if $customer['website_url_bb'] != ''}
				{$website_url_bb = $customer['website_url_bb'] }
				<div class="form-group row">
    				<label class="col-md-3 form-control-label required">{l s='Website' mod='addifyb2bregistrationformbuilder'}</label>
    				<div class="col-md-6">
						<input class="form-control" name="website_url_bb" type="text" value="{$website_url_bb|escape:'htmlall':'UTF-8'}" required="" >
					</div>
    				<div class="col-md-3 form-control-comment"></div>
  				</div>
				{/if}
				{if $customer['address_alias_bb'] != ''}
				{$address_alias_bb = $customer['address_alias_bb'] }
				<div class="form-group row">
    				<label class="col-md-3 form-control-label required">{l s='Address Alias' mod='addifyb2bregistrationformbuilder'}</label>
    				<div class="col-md-6">
						<input class="form-control" name="address_alias_bb" type="text" value="{$address_alias_bb|escape:'htmlall':'UTF-8'}" required="" >
					</div>
    				<div class="col-md-3 form-control-comment"></div>
  				</div>
                {/if}
				{if $customer['address_bb'] != ''}
				{$address_bb = $customer['address_bb'] }
                <div class="form-group row">
    				<label class="col-md-3 form-control-label required">{l s='Address' mod='addifyb2bregistrationformbuilder'}</label>
    				<div class="col-md-6">
						<input class="form-control" name="address_bb" type="text" value="{$address_bb|escape:'htmlall':'UTF-8'}" required="" >
					</div>
    				<div class="col-md-3 form-control-comment"></div>
  				</div>
				{/if}
				{if $customer['city_bb'] != ''}
				{$city_bb = $customer['city_bb'] }
                <div class="form-group row">
    				<label class="col-md-3 form-control-label required">{l s='City' mod='addifyb2bregistrationformbuilder'}</label>
    				<div class="col-md-6">
						<input class="form-control" name="city_bb" type="text" value="{$city_bb|escape:'htmlall':'UTF-8'}" required="" >
					</div>
    				<div class="col-md-3 form-control-comment"></div>
  				</div>
				{/if}
				{if $customer['vat_number_bb'] != ''}
				{$vat_number_bb = $customer['vat_number_bb'] }
                <div class="form-group row">
    				<label class="col-md-3 form-control-label required">{l s='Vat Number' mod='addifyb2bregistrationformbuilder'}</label>
    				<div class="col-md-6">
						<input class="form-control" name="vat_number_bb" type="text" value="{$vat_number_bb|escape:'htmlall':'UTF-8'}" required="" >
					</div>
    				<div class="col-md-3 form-control-comment"></div>
  				</div>
				{/if}
				
	
	    {foreach $fields as $field}
   	    {if $field['id_form_group'] == $customer['name_suffix_bb']}
            {$id_field = $field['id_field']}
            {if $id_field == ''}
                <p>{l s='there are no Additional Information for this user Account.' mod='addifyb2bregistrationformbuilder'}</p>
            {/if}
                                <!---------------------------------general field types-------------------------------------->
            {if $field['field_type'] == 'text' || $field['field_type'] == 'number' || $field['field_type'] == 'email' || $field['field_type'] == 'date' || $field['field_type'] == 'time' || $field['field_type'] == 'color'  }
				<div class="form-group row">
					{$field_label=$field['field_label']}
    				<label class="col-md-3 form-control-label required">{$field_label|escape:'htmlall':'UTF-8'}</label>
    				<div class="col-md-6">
						{$field_type=$field['field_type']}
						{$required = ''}
                        {$id_field = $field['id_field']}
                        {$field_name=$field['field_name']}
                        {$field_value=$field['field_value']}
						<input class="form-control" name="{$field_name|escape:'htmlall':'UTF-8'}{$id_field|escape:'htmlall':'UTF-8'}" type="{$field_type|escape:'htmlall':'UTF-8'}" value="{$field_value|escape:'htmlall':'UTF-8'}" >
				    </div>
				</div>
            {/if}
                               <!---------------------------------password-------------------------------------->
            {if $field['field_type'] == 'password'}
				<div class="form-group row">
					{$field_label=$field['field_label']}
    				<label class="col-md-3 form-control-label required">{$field_label|escape:'htmlall':'UTF-8'}</label>
    				<div class="col-md-6">
    					{$field_type=$field['field_type']}
                        {$id_field = $field['id_field']}
                        {$field_name=$field['field_name']}
                        {$field_value=$field['field_value']}
						<div class="input-group js-parent-focus">
				            <input class="form-control js-child-focus js-visible-password" name="{$field_name|escape:'htmlall':'UTF-8'}{$id_field|escape:'htmlall':'UTF-8'}" type="{$field_type|escape:'htmlall':'UTF-8'}" value="{$field_value|escape:'htmlall':'UTF-8'}"    aria-autocomplete="list" placeholder = "">
				            <span class="input-group-btn">
				            	<button class="btn" type="button" data-action="show-password" data-text-show="Show" data-text-hide="Hide">{l s='Show' mod='addifyb2bregistrationformbuilder'}</button>
				            </span>
				        </div>		
				    </div>
  				</div>
            {/if}
            <!---------------------------------textarea-------------------------------------->
            {if $field['field_type'] == 'textarea'}
                <div class="form-group row ">
  					{$field_label=$field['field_label']}
			        <label class="col-md-3 form-control-label required">{$field_label|escape:'htmlall':'UTF-8'}</label>
			        <div class="col-md-6">
			        	{$field_type=$field['field_type']}
						{$field_value=$field['field_value']}
                        {$id_field = $field['id_field']}
                        {$field_name=$field['field_name']}
			            <textarea id="" class="form-control" name="{$field_name|escape:'htmlall':'UTF-8'}{$id_field|escape:'htmlall':'UTF-8'}" autocomplete="off">{$field_value|escape:'htmlall':'UTF-8'}</textarea>
			        </div>
			    </div>
			{/if}
               
            <!--------------------------------file upload/download--------------------------------------->
             {if $field['field_type'] == 'fileupload'}
            <div class="form-group row ">
					{$field_label=$field['field_label']}
			    <label class="col-md-3 ">{$field_label|escape:'htmlall':'UTF-8'}</label>
			    <div class="col-md-6">
			    	{$field_type=$field['field_type']}
					{$id_field = $field['id_field']}
                    {$field_name=$field['field_name']}
					{$field_value=$field['field_value']}
					<input type = "file" name = "{$field_name|escape:'htmlall':'UTF-8'}{$id_field|escape:'htmlall':'UTF-8'}"  value="{$field_value|escape:'htmlall':'UTF-8'}" > 
                    <br>{if $field_value != ""}
                    <p> <a href="{$downlink|escape:'htmlall':'UTF-8'}{$field_value|escape:'htmlall':'UTF-8'}" target="_blank" download ><strong>{l s='Click Here' mod='addifyb2bregistrationformbuilder'}</strong>
                    </a> <strong>{l s='to Download the file.' mod='addifyb2bregistrationformbuilder'}</strong></p>{/if}
			    </div>
			</div>
            {/if}
            
            <!---------------------------------multicheckbox-------------------------------------->
            {if $field['field_type'] == 'multicheckbox'}
            <div class="row">
				<div class="col-md-3">
					{$field_label=$field['field_label']}
					<label>{$field_label|escape:'htmlall':'UTF-8'}</label>
				</div>
				<div class="col-md-6">
				{$options = explode(',',$field['field_options'])}
				{$values = explode(',',$field['field_value'])}
                {foreach $options as $option}
                {$option_single = explode('->',$option)}
                {$option_value = $option_single[0]}
                {$option_lable = $option_single[1]}
                {$id_field = $field['id_field']}
				
					<div class="form-check">
						<label>
                    {$field_name=$field['field_name']}
                    {if $option_value != ''}{if $option_lable != ''}
							<input type="checkbox" name="{$field_name|escape:'htmlall':'UTF-8'}{$id_field|escape:'htmlall':'UTF-8'}[]" value="{$option_value|escape:'htmlall':'UTF-8'}" {foreach $values as $value}{if $option_value == $value}checked{/if}{/foreach}> <span class="label-text">{$option_lable|escape:'htmlall':'UTF-8'}</span>
							{/if}{/if}
						</label>
					</div>
				{/foreach}

				</div>
			</div>
			{/if}
            <!---------------------------------multiselectbox-------------------------------------->
            {if $field['field_type'] == 'multiselect'}
            <div class="row">
				<div class="col-md-3">
					{$field_label=$field['field_label']}
					<label>{$field_label|escape:'htmlall':'UTF-8'}</label>
				</div>
				<div class="col-md-6">
            {$id_field = $field['id_field']}
                    {$field_name=$field['field_name']}
					    {$values = explode(',',$field['field_value'])}
					<select name="{$field_name|escape:'htmlall':'UTF-8'}{$id_field|escape:'htmlall':'UTF-8'}[]" id="example-getting-started" multiple="multiple">
						{$options = explode(',',$field['field_options'])}
                        {foreach $options as $option}
                        {$option_single = explode('->',$option)}
                        {$option_value = $option_single[0]}
                        {$option_lable = $option_single[1]}
                        {if $option_value != ''}{if $option_lable != ''}
       	                <option value="{$option_value|escape:'htmlall':'UTF-8'}" {foreach $values as $value}{if $option_value == $value}selected{/if}{/foreach}>{$option_lable|escape:'htmlall':'UTF-8'}</option>{/if}{/if}
       	                {/foreach}
					</select>
				</div>
			</div>
			{/if}
            <!---------------------------------selectbox-------------------------------------->
            {if $field['field_type'] == 'select'}
		    <div class="form-group row">
					{$field_label=$field['field_label']}
		        <label class="col-md-3 form-control-label">{$field_label|escape:'htmlall':'UTF-8'}</label>
		        <div class="col-md-6">
            {$id_field = $field['id_field']}
                    {$field_name=$field['field_name']}
					    {$field_value=$field['field_value']}
		            <select id="" onchange="" class="form-control" name="{$field_name|escape:'htmlall':'UTF-8'}{$id_field|escape:'htmlall':'UTF-8'}" autocomplete="off" >
		            	{$options = explode(',',$field['field_options'])}
                        {foreach $options as $option}
                        {$option_single = explode('->',$option)}
                        {$option_value = $option_single[0]}
                        {$option_lable = $option_single[1]}
                        {if $option_value != ''}{if $option_lable != ''}
       	                <option value="{$option_value|escape:'htmlall':'UTF-8'}" {if $field_value == $option_value}selected{/if}>{$option_lable|escape:'htmlall':'UTF-8'}</option>
       	                {/if}{/if}
       	                {/foreach}
		            </select>
		        </div>
		    </div>
			{/if}
            <!---------------------------------switch-------------------------------------->
            
            {if $field['field_type'] == 'switch'}
		    <div class="form-group row">
					{$field_label=$field['field_label']}
			    <label class="col-md-3 form-control-label">{$field_label|escape:'htmlall':'UTF-8'}</label>
			    <div class="col-md-6">
			        <label class="switch">
                    {$id_field = $field['id_field']}
                    {$field_name=$field['field_name']}
					    {$field_value=$field['field_value']}
						<input type="checkbox" name="{$field_name|escape:'htmlall':'UTF-8'}{$id_field|escape:'htmlall':'UTF-8'}" value="{$field_value|escape:'htmlall':'UTF-8'}" {if $field_value == 'on'}checked{/if}>
						<span class="slider round"></span>
					</label>
			    </div>
			</div>
			{/if}
            <!---------------------------------checkbox//radiobutton-------------------------------------->
            {if $field['field_type'] == 'checkbox'|| $field['field_type'] == 'radiobutton' }
            {$type = 'checkbox'}
            {if $field['field_type'] == 'radiobutton'}
            {$type = 'radio'}
			{/if}
			<div class="form-group row ">
					{$field_label=$field['field_label']}
			    <label class="col-md-3 form-control-label">{$field_label|escape:'htmlall':'UTF-8'}</label>
				{$values =explode(',',$field['field_value'])}
			    <div class="col-md-6 form-control-label">
			    		{$options = explode(',',$field['field_options'])}
                        {foreach $options as $option}
                        {$option_single = explode('->',$option)}
                        {$option_value = $option_single[0]}
                        {$option_lable = $option_single[1]}
                        {if $option_value != ''}{if $option_lable != ''}
			        <label>
                    {$id_field = $field['id_field']}
                    {$field_name=$field['field_name']}
			        	<input name="{$field_name|escape:'htmlall':'UTF-8'}{$id_field|escape:'htmlall':'UTF-8'}[]" type="{$type|escape:'htmlall':'UTF-8'}" value="{$option_value|escape:'htmlall':'UTF-8'}" {foreach $values as $value}{if $option_value == $value}checked{/if}{/foreach}>
			        {$option_lable|escape:'htmlall':'UTF-8'}   
			        </label>
			        {/if}{/if}
       	            {/foreach}
			    </div>
			</div>
			{/if}
        {/if}
        {/foreach} 
        <br><br>{if $canupdate == 1}
	    <div class="row">
			<div class="col-sm-12 text-right">
				<div class="form-group">
					 <button name="updatefromfront" class="btn btn-primary form-control-submit float-xs-right" type="submit">{l s='Save' mod='addifyb2bregistrationformbuilder'}</button>
				</div>
			</div>
		</div>{/if}
    </form>

{/foreach}

{/block}	