{*
* 2007-2024 PrestaShop
*
* NOTICE OF LICENSE
*
* This source file is subject to the Academic Free License (AFL 3.0)
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://opensource.org/licenses/afl-3.0.php
* If you did not receive a copy of the license and are unable to
* obtain it through the world-wide-web, please send an email
* to license@prestashop.com so we can send you a copy immediately.
*
* DISCLAIMER
*
* Do not edit or add to this file if you wish to upgrade PrestaShop to newer
* versions in the future. If you wish to customize PrestaShop for your
* needs please refer to http://www.prestashop.com for more information.
*
*  @author    PrestaShop SA <contact@prestashop.com>
*  @copyright 2007-2024 PrestaShop SA
*  @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
*  International Registered Trademark & Property of PrestaShop SA
*}

{extends file=$layout}



{block name='content'}

{if $ADDIFYB2B_RECAPTCHA == 1}

<script src="https://www.google.com/recaptcha/api.js?onload=onloadCallback&render=explicit" async defer></script>

{/if}

{foreach $rule as $rules}  

{$default_form  = $rules['ADDIFYB2B_DEFAULT_FORM']}
{$defaultbb_form  = $rules['ADDIFYB2B_BB_FORM']}
{$custom_form  = $rules['ADDIFYB2B_CUSTOM_FIELDS']}
{$id_rule  = $rules['ADDIFYB2B_ID_RULE']}	
{$auto_approve_newuser = $rules['ADDIFYB2B_AUTO_APPROVE_USER']}
{$group_assigned = $rules['ADDIFYB2B_GROUP_ASSIGN']}
{$frm_ttl = 'Default Registeration'} 
{$form_titl = $rules['ADDIFYB2B_DEFAULT_FORM_TITLE']}

<section id="main">

  
  
  <header class="page-header">
    <h1>
      {$form_titl|escape:'htmlall':'UTF-8'}
    </h1>
  </header>
  
  

  
  <div id="content" class="page-content card card-block" >
    
    
    
    
    <section class="register-form">
      <p>{l s='Already have an account?' mod='addifyb2bregistrationformbuilder'} <a href="{$loglink|escape:'htmlall':'UTF-8'}">{l s='Log in instead!' mod='addifyb2bregistrationformbuilder'}</a></p>


           <form  class="default-plugin-form" id="default-plugin-form" action="{$formregisteration|escape:'htmlall':'UTF-8'}" enctype ="multipart/form-data" method="post" class="was-validated">
			

				 <input name="ruleid" type="hidden" value="{$id_rule|escape:'htmlall':'UTF-8'}">
				 <input name="auto_approve_newuser" type="hidden" value="{$auto_approve_newuser|escape:'htmlall':'UTF-8'}">
				 <input name="group_assigned" type="hidden" value="{$group_assigned|escape:'htmlall':'UTF-8'}">
				 <input name="bb_form" type="hidden" value="{$frm_ttl|escape:'htmlall':'UTF-8'}">
				 <input name="default_form" type="hidden" value="{$default_form|escape:'htmlall':'UTF-8'}">
				 <input name="defaultbb_form" type="hidden" value="{$defaultbb_form|escape:'htmlall':'UTF-8'}">
				 <input name="custom_form" type="hidden" value="{$custom_form|escape:'htmlall':'UTF-8'}">
				 


				<!---------------------------------form-------------------------------------->
			{if $iscustmr == 0} 
			{$default_form_positions  = explode(',', $rules['ADDIFYB2B_DEFAULT_FORM_POSITIONS'])}
			{foreach from=$default_form_positions key=b2b_form_position_key item=default_form_position}
				{if trim($default_form_position) == 'ADDIFYB2B_SOCIAL_TITLE'}
			{if $rules['ADDIFYB2B_DEFAULT_FORM'] == 1}
			
				   	{if $rules['ADDIFYB2B_SOCIAL_TITLE'] == 1}

				   	<div class="form-group row ">
							<label class="col-md-3 form-control-label" for="field-Social_title_default">
								{l s='Social title' mod='addifyb2bregistrationformbuilder'}
							</label>
							<div class="col-md-6 form-control-valign">
								<label class="radio-inline" for="field-Social_title_default-1">
									<span class="custom-radio">
										<input name="Social_title_default" id="field-Social_title_default-1" type="radio" value="male">
										<span></span>
									</span>
									 {l s='Mr.' mod='addifyb2bregistrationformbuilder'}
								</label>
								<label class="radio-inline" for="field-Social_title_default-2">
									<span class="custom-radio">
										<input name="Social_title_default" id="field-Social_title_default-2" type="radio" value="female">
										<span></span>
									</span>
									 {l s='Mrs.' mod='addifyb2bregistrationformbuilder'}
								</label>
							</div>
							<div class="col-md-3 form-control-comment"></div>
						</div>
                {/if}{/if}
         {continue}
				{/if}
				{if trim($default_form_position) == 'ADDIFYB2B_FIRST_NAME'}
				{if $rules['ADDIFYB2B_FIRST_NAME_DEFAULT'] == 1}
  				<div class="form-group row">
    				<label class="col-md-3 form-control-label required">{l s='First Name' mod='addifyb2bregistrationformbuilder'}</label>
    				<div class="col-md-6">
						<input class="form-control" name="First_Name_default" type="text" value="{if $iscustmr == 1}{$fmane = $data['fname']}{$fmane|escape:'htmlall':'UTF-8'} {/if}" required>
						<span class="form-control-comment">
              {l s='Only letters and the dot (.) character, followed by a space, are allowed.' mod='addifyb2bregistrationformbuilder'}
                        </span>
					</div>
    				<div class="col-md-3 form-control-comment"></div>
  				</div>
                {/if}
         {continue}
				{/if}
				{if trim($default_form_position) == 'ADDIFYB2B_LAST_NAME'}
					{if $rules['ADDIFYB2B_LAST_NAME_DEFAULT'] == 1}
	  				<div class="form-group row">
	    				<label class="col-md-3 form-control-label required" for="lastname">{l s='Last Name' mod='addifyb2bregistrationformbuilder'}</label>
	    				<div class="col-md-6">
							<input class="form-control" name="Last_Name_default" type="text" value="{if $iscustmr == 1}{$lmane = $data['lname']}{$lmane|escape:'htmlall':'UTF-8'}{/if}" required>
							<span class="form-control-comment">
	              {l s='Only letters and the dot (.) character, followed by a space, are allowed.' mod='addifyb2bregistrationformbuilder'}
	                    </span>
						</div>
						
	    				<div class="col-md-3 form-control-comment"></div>
	  				</div>
	                {/if}
          {continue}
				{/if} 
				{if trim($default_form_position) == 'ADDIFYB2B_EMAIL'}
				    {if $rules['ADDIFYB2B_EMAIL_DEFAULT'] == 1}
  				<div class="form-group row">
    				<label class="col-md-3 form-control-label required" for="email">{l s='Email' mod='addifyb2bregistrationformbuilder'}</label>
    				<div class="col-md-6">
						<input class="form-control" name="email_default" type="email" value="{if $iscustmr == 1}{$emaill = $data['email']}{$emaill|escape:'htmlall':'UTF-8'}{/if}" required>
					</div>
    				<div class="col-md-3 form-control-comment"></div>
  				</div>
                {/if}
         {continue}
				{/if} 
				{if trim($default_form_position) == 'ADDIFYB2B_PASSWORD'}
				    {if $rules['ADDIFYB2B_PASSWORD_DEFAULT'] == 1}
  				<div class="form-group row">
    				<label class="col-md-3 form-control-label required">{l s='Password' mod='addifyb2bregistrationformbuilder'}</label>
    				<div class="col-md-6">
						<div class="input-group js-parent-focus">
				            <input class="form-control js-child-focus js-visible-password" name="Password_default" type="password" value="" required>
				            <span class="input-group-btn">
				            	<button class="btn" type="button" data-action="show-password" data-text-show="Show" data-text-hide="Hide">Show</button>
				            </span>
				        </div>		
				    </div>
    				<div class="col-md-3 form-control-comment"></div>
  				</div>
                {/if}
        {continue}
				{/if} 
				{if trim($default_form_position) == 'ADDIFYB2B_DOB'}
                {if $rules['ADDIFYB2B_DEFAULT_FORM'] == 1}
				    {if $rules['ADDIFYB2B_DOB'] == 1}
  				<div class="form-group row">
    				<label class="col-md-3 form-control-label" {if $rules['REQ_ADDIFYB2B_DOB'] eq 1} required {/if}>{l s='Birthdate' mod='addifyb2bregistrationformbuilder'}</label>
				    <div class="col-md-6">
						<input class="form-control" name="dob_default" type="date" value="" {if $rules['REQ_ADDIFYB2B_DOB'] eq 1} required {/if} placeholder="MM/DD/YYYY">
				            <span class="form-control-comment">{l s='(E.g.: 05/31/1970)' mod='addifyb2bregistrationformbuilder'}</span>
				    </div>
				    <div class="col-md-3 form-control-comment">{l s='Optional' mod='addifyb2bregistrationformbuilder'}</div>
				</div>
				{/if}
			{/if}
			 {continue}
				{/if} 
				{/foreach}
        {/if}
			{if $rules['ADDIFYB2B_BB_FORM'] == 1}

				{$form_title_bb = $rules['ADDIFYB2B_FORM_TITLE_BB']}
				<div class="row">
					<div class="col-sm-12">
				       <p>{$form_title_bb|escape:'htmlall':'UTF-8'}</p>
				       <input type="hidden" name="form_title_bb" value="{$form_title_bb|escape:'htmlall':'UTF-8'}">
				       </div>
				</div>

			{$b2b_form_positions  = explode(',', $rules['ADDIFYB2B_B2B_FORM_POSITIONS'])}
			{foreach from=$b2b_form_positions key=b2b_form_position_key item=b2b_form_position}
				{if trim($b2b_form_position) == 'ADDIFYB2B_MIDDLE_NAME'}
				  {if $rules['ADDIFYB2B_MIDDLE_NAME'] == 1}
	          <div class="form-group row">
	    				<label class="col-md-3 form-control-label {if $rules['REQ_ADDIFYB2B_MIDDLE_NAME'] eq 1} required {/if}">{l s='Middle Name' mod='addifyb2bregistrationformbuilder'}</label>
	    				<div class="col-md-6">
							<input class="form-control" name="m_name_bb" type="text" value="" {if $rules['REQ_ADDIFYB2B_MIDDLE_NAME'] eq 1} required {/if} pattern="{literal}(?=.*[a-z])(?=.*[A-Z]){1,15}{/literal}">
						</div>
	    				<div class="col-md-3 form-control-comment"></div>
	  				</div>
	  			{/if}
				{continue}
				{/if}
				{if trim($b2b_form_position) == 'ADDIFYB2B_COMPANY'}
					{if $rules['ADDIFYB2B_COMPANY'] == 1}
					<div class="form-group row">
	    				<label class="col-md-3 form-control-label {if $rules['REQ_ADDIFYB2B_COMPANY'] eq 1} required {/if} ">{l s='company Name' mod='addifyb2bregistrationformbuilder'}</label>
	    				<div class="col-md-6">
							<input class="form-control" name="company_bb" type="text" value="" {if $rules['REQ_ADDIFYB2B_COMPANY'] eq 1} required {/if} >
						</div>
	    				<div class="col-md-3 form-control-comment"></div>
	  				</div>
					{/if}
				{continue}
				{/if}
				{if trim($b2b_form_position) == 'ADDIFYB2B_SIRET'}
					{if $rules['ADDIFYB2B_SIRET'] == 1}
	                <div class="form-group row">
	    				<label class="col-md-3 form-control-label {if $rules['REQ_ADDIFYB2B_SIRET'] eq 1} required {/if}">{l s='Siret Number' mod='addifyb2bregistrationformbuilder'}</label>
	    				<div class="col-md-6">
							<input class="form-control" name="siret_bb" type="text" value="" {if $rules['REQ_ADDIFYB2B_SIRET'] eq 1} required {/if} id="siret_number">
							<span class = "siret_notify" id = "siret_notify"> {l s='Please enter correct Siret Number' mod='addifyb2bregistrationformbuilder'} </span>
						</div>
	    				<div class="col-md-3 form-control-comment"></div>
	  				</div>
					{/if}
				{continue}
				{/if}
				{if trim($b2b_form_position) == 'ADDIFYB2B_WEBSITE_URL'}
					{if $rules['ADDIFYB2B_WEBSITE_URL'] == 1}
					<div class="form-group row">
	    				<label class="col-md-3 form-control-label {if $rules['REQ_ADDIFYB2B_WEBSITE_URL'] eq 1} required {/if}">{l s='Website' mod='addifyb2bregistrationformbuilder'}</label>
	    				<div class="col-md-6">
							<input class="form-control" name="website_url_bb" placeholder="https://www.website.com" type="url" value="" {if $rules['REQ_ADDIFYB2B_WEBSITE_URL'] eq 1} required {/if}>
						</div>
	    				<div class="col-md-3 form-control-comment"></div>
	  				</div>
					{/if}
				{continue}
				{/if}
				{if trim($b2b_form_position) == 'ADDIFYB2B_ADDRESS_ALIAS'}
					{if $rules['ADDIFYB2B_ADDRESS_ALIAS'] == 1}
					<div class="form-group row">
	    				<label class="col-md-3 form-control-label {if $rules['REQ_ADDIFYB2B_ADDRESS_ALIAS'] eq 1} required {/if}">{l s='Address Alias' mod='addifyb2bregistrationformbuilder'}</label>
	    				<div class="col-md-6">
							<input class="form-control" name="address_alias_bb" type="text" value="" {if $rules['REQ_ADDIFYB2B_ADDRESS_ALIAS'] eq 1} required {/if}>
						</div>
	    				<div class="col-md-3 form-control-comment"></div>
	  				</div>
          {/if}
        {continue}
				{/if}
				{if trim($b2b_form_position) == 'ADDIFYB2B_ADDRESS'}			
					{if $rules['ADDIFYB2B_ADDRESS'] == 1}
	                <div class="form-group row">
	    				<label class="col-md-3 form-control-label {if $rules['REQ_ADDIFYB2B_ADDRESS'] eq 1} required {/if}">{l s='Address' mod='addifyb2bregistrationformbuilder'}</label>
	    				<div class="col-md-6">
							<input class="form-control" name="address_bb" type="text" value="" {if $rules['REQ_ADDIFYB2B_ADDRESS'] eq 1} required {/if}>
						</div>
	    				<div class="col-md-3 form-control-comment"></div>
	  				</div>
					{/if}
				{continue}
				{/if}
				{if trim($b2b_form_position) == 'ADDIFYB2B_CITY'}			
					{if $rules['ADDIFYB2B_CITY'] == 1}
	                <div class="form-group row">
	    				<label class="col-md-3 form-control-label {if $rules['REQ_ADDIFYB2B_CITY'] eq 1} required {/if}">{l s='City' mod='addifyb2bregistrationformbuilder'}</label>
	    				<div class="col-md-6">
							<input class="form-control" name="city_bb" type="text" value="" {if $rules['REQ_ADDIFYB2B_CITY'] eq 1} required {/if}>
						</div>
	    				<div class="col-md-3 form-control-comment"></div>
	  				</div>
					{/if}
				{continue}
				{/if}
				{if trim($b2b_form_position) == 'ADDIFYB2B_VAT_NUMBER'}
					{if $rules['ADDIFYB2B_VAT_NUMBER'] == 1}
	                <div class="form-group row">
	    				<label class="col-md-3 form-control-label {if $rules['REQ_ADDIFYB2B_VAT_NUMBER'] eq 1} required {/if}">{l s='Vat Number' mod='addifyb2bregistrationformbuilder'}</label>
	    				<div class="col-md-6">
							<input class="form-control" name="vat_number_bb" type="text" value="" {if $rules['REQ_ADDIFYB2B_VAT_NUMBER'] eq 1} required {/if} id="vat_number">
							<span class = "vat_notify" id = "vat_notify"> {l s='Please enter correct VAT Number' mod='addifyb2bregistrationformbuilder'} </span>
						</div>
	    				<div class="col-md-3 form-control-comment"></div>
	  				</div>
					{/if}
				{continue}
				{/if}
          {/foreach}       
				{/if}
				{if $rules['ADDIFYB2B_CUSTOM_FIELDS'] == 1}
				<div class="row">
					<div class="col-sm-12">
						{$custom_fields_title = $rules['ADDIFYB2B_CUSTOM_FIELDS_TITLE']}
				        <p>{$custom_fields_title|escape:'htmlall':'UTF-8'}</p>
				        <input type="hidden" name="custom_fields_title" value="{$custom_fields_title|escape:'htmlall':'UTF-8'}">
				       </div>
				</div>
				
                {foreach $fields as $field}
                {$id_field = $field['id_field']}
                {if $id_field = ''}
                <p>{l s='there are no custom fields for this user' mod='addifyb2bregistrationformbuilder'}</p>
                {/if}
                <!---------------------------------general field types-------------------------------------->

				{if $field['field_type'] == 'text' || $field['field_type'] == 'number' || $field['field_type'] == 'email' || $field['field_type'] == 'date' || $field['field_type'] == 'time' || $field['field_type'] == 'color'  }
				<div class="form-group row">
					{$field_label=$field['field_label']}
    				<label class="col-md-3 form-control-label required">{$field_label|escape:'htmlall':'UTF-8'}</label>
    				<div class="col-md-6">
						{$field_type=$field['field_type']}
						{$required = ''}
						{if $field['field_required'] == '1'}{$required = 'required'}{/if}{$place_holder = $field['place_holder']}

                        {$id_field = $field['id_field']}
                        {$field_name=$field['field_name']}
						<input class="form-control" name="{$field_name|escape:'htmlall':'UTF-8'}{$id_field|escape:'htmlall':'UTF-8'}" type="{$field_type|escape:'htmlall':'UTF-8'}" value="" placeholder ="{$place_holder|escape:'htmlall':'UTF-8'}" {$required|escape:'htmlall':'UTF-8'}>
				        
					</div>
					{if $field['field_required'] == '0'}
    				<div class="col-md-3 form-control-comment">{l s='Optional' mod='addifyb2bregistrationformbuilder'}</div>
    				{/if}
  				</div>

				{/if}
                
                <!---------------------------------password-------------------------------------->
				{if $field['field_type'] == 'password'}
				<div class="form-group row">
					{$field_label=$field['field_label']}
    				<label class="col-md-3 form-control-label required">{$field_label|escape:'htmlall':'UTF-8'}</label>
    				<div class="col-md-6">
    					{$field_type=$field['field_type']}
						{$required = ''}
						{if $field['field_required'] == '1'}{$required = 'required'}{/if}{$place_holder = $field['place_holder']}
                        {$id_field = $field['id_field']}
                        {$field_name=$field['field_name']}
						<div class="input-group js-parent-focus">
				            <input class="form-control js-child-focus js-visible-password" name="{$field_name|escape:'htmlall':'UTF-8'}{$id_field|escape:'htmlall':'UTF-8'}" type="{$field_type|escape:'htmlall':'UTF-8'}" value=""  {$required|escape:'htmlall':'UTF-8'}  aria-autocomplete="list" placeholder = "{$place_holder|escape:'htmlall':'UTF-8'}">
				            <span class="input-group-btn">
				            	<button class="btn" type="button" data-action="show-password" data-text-show="Show" data-text-hide="Hide">{l s='Show' mod='addifyb2bregistrationformbuilder'}</button>
				            </span>
				        </div>		
				    </div>
				    {if $field['field_required'] == '0'}
    				<div class="col-md-3 form-control-comment">{l s='Optional' mod='addifyb2bregistrationformbuilder'}</div>
    				{/if}
  				</div>

                {/if}
                <!---------------------------------textarea-------------------------------------->
                {if $field['field_type'] == 'textarea'}
                <div class="form-group row ">
  					{$field_label=$field['field_label']}
			        <label class="col-md-3 form-control-label required">{$field_label|escape:'htmlall':'UTF-8'}</label>
			        <div class="col-md-6">
			        	{$field_type=$field['field_type']}
						{$required = ''}
						{if $field['field_required'] == '1'}{$required = 'required'}{/if} {$place_holder = $field['place_holder']}
                        {$id_field = $field['id_field']}
                        {$field_name=$field['field_name']}
			            <textarea id="" class="form-control" name="{$field_name|escape:'htmlall':'UTF-8'}{$id_field|escape:'htmlall':'UTF-8'}" autocomplete="off" placeholder ="{$place_holder|escape:'htmlall':'UTF-8'}" {$required|escape:'htmlall':'UTF-8'}></textarea>
			        </div>
			        {if $field['field_required'] == '0'}
    				<div class="col-md-3 form-control-comment">{l s='Optional' mod='addifyb2bregistrationformbuilder'}</div>
    				{/if}
			    </div>
				{/if}
               
                <!--------------------------------file upload--------------------------------------->
                 {if $field['field_type'] == 'fileupload'}
                <div class="form-group row ">
  					{$field_label=$field['field_label']}
				    <label class="col-md-3 ">{$field_label|escape:'htmlall':'UTF-8'}</label>
				    <div class="col-md-6">
				    	{$field_type=$field['field_type']}
						{$required = ''}
						{if $field['field_required'] == '1'}{$required = 'required'}{/if} {$place_holder = $field['place_holder']}
						{$id_field = $field['id_field']}
                        {$field_name=$field['field_name']}
				        <input type="file" name="{$field_name|escape:'htmlall':'UTF-8'}{$id_field|escape:'htmlall':'UTF-8'}" id="file" class="" placeholder ="{$place_holder|escape:'htmlall':'UTF-8'}" {$required|escape:'htmlall':'UTF-8'}>
				    </div>
				    {if $field['field_required'] == '0'}
    				<div class="col-md-3 form-control-comment">{l s='Optional' mod='addifyb2bregistrationformbuilder'}</div>
    				{/if}
				    <div class="col-md-3 form-control-comment"></div>
				</div>
                {/if}
                
                <!---------------------------------multicheckbox-------------------------------------->
                {if $field['field_type'] == 'multicheckbox'}
                <div class="row">
					<div class="col-md-3">
  					{$field_label=$field['field_label']}
						<label>{$field_label|escape:'htmlall':'UTF-8'}</label>
					</div>
					<div class="col-md-6">
					{$options = explode(',',$field['field_options'])}
                    {foreach $options as $option}
                    {$option_single = explode('->',$option)}
                    {$option_value = $option_single[0]}
                    {$option_lable = $option_single[1]}
                {$id_field = $field['id_field']}
					
						<div class="form-check">
							<label>
                        {$field_name=$field['field_name']}
                        {if $option_value != ''}{if $option_lable != ''}
								<input type="checkbox" name="{$field_name|escape:'htmlall':'UTF-8'}{$id_field|escape:'htmlall':'UTF-8'}[]" value="{$option_value|escape:'htmlall':'UTF-8'}" > <span class="label-text">{$option_lable|escape:'htmlall':'UTF-8'}</span>
								{/if}{/if}
							</label>
						</div>
					{/foreach}

					</div>

				    {if $field['field_required'] == '0'}
    				<div class="col-md-3 form-control-comment">{l s='Optional' mod='addifyb2bregistrationformbuilder'}</div>
    				{/if}
				</div>
				{/if}
                <!---------------------------------multiselectbox-------------------------------------->
                {if $field['field_type'] == 'multiselect'}
                <div class="row">
					<div class="col-md-3">
  					{$field_label=$field['field_label']}
						<label>{$field_label|escape:'htmlall':'UTF-8'}</label>
					</div>
					<div class="col-md-6">
                {$id_field = $field['id_field']}
                        {$field_name=$field['field_name']}
						<select name="{$field_name|escape:'htmlall':'UTF-8'}{$id_field|escape:'htmlall':'UTF-8'}[]" id="example-getting-started" multiple="multiple">
							{$options = explode(',',$field['field_options'])}
                            {foreach $options as $option}
                            {$option_single = explode('->',$option)}
                            {$option_value = $option_single[0]}
                            {$option_lable = $option_single[1]}
                            {if $option_value != ''}{if $option_lable != ''}
           	                <option value="{$option_value|escape:'htmlall':'UTF-8'}">{$option_lable|escape:'htmlall':'UTF-8'}</option>{/if}{/if}
           	                
           	                {/foreach}
						</select>
					</div>

				    {if $field['field_required'] == '0'}
    				<div class="col-md-3 form-control-comment">{l s='Optional' mod='addifyb2bregistrationformbuilder'}</div>
    				{/if}
				</div>
				{/if}
                <!---------------------------------selectbox-------------------------------------->
                {if $field['field_type'] == 'select'}
			    <div class="form-group row">
  					{$field_label=$field['field_label']}
			        <label class="col-md-3 form-control-label">{$field_label|escape:'htmlall':'UTF-8'}</label>
			        <div class="col-md-6">
                {$id_field = $field['id_field']}
                        {$field_name=$field['field_name']}
			            <select id="" onchange="" class="form-control" name="{$field_name|escape:'htmlall':'UTF-8'}{$id_field|escape:'htmlall':'UTF-8'}" autocomplete="off" >
			            	{$options = explode(',',$field['field_options'])}
                            {foreach $options as $option}
                            {$option_single = explode('->',$option)}
                            {$option_value = $option_single[0]}
                            {$option_lable = $option_single[1]}
                            {if $option_value != ''}{if $option_lable != ''}
           	                <option value="{$option_value|escape:'htmlall':'UTF-8'}">{$option_lable|escape:'htmlall':'UTF-8'}</option>
           	                {/if}{/if}
           	                {/foreach}
			            </select>
			        </div>

				    {if $field['field_required'] == '0'}
    				<div class="col-md-3 form-control-comment">{l s='Optional' mod='addifyb2bregistrationformbuilder'}</div>
    				{/if}
			    </div>
				{/if}
                <!---------------------------------switch-------------------------------------->
                
                {if $field['field_type'] == 'switch'}
			    <div class="form-group row">
  					{$field_label=$field['field_label']}
				    <label class="col-md-3 form-control-label">{$field_label|escape:'htmlall':'UTF-8'}</label>
				    <div class="col-md-6">
				        <label class="switch">
                {$id_field = $field['id_field']}
                        {$field_name=$field['field_name']}
							<input type="checkbox" name="{$field_name|escape:'htmlall':'UTF-8'}{$id_field|escape:'htmlall':'UTF-8'}">
							<span class="slider round"></span>
						</label>
				    </div>
				    {if $field['field_required'] == '0'}
    				<div class="col-md-3 form-control-comment">{l s='Optional' mod='addifyb2bregistrationformbuilder'}</div>
    				{/if}
				</div>
				{/if}
                <!---------------------------------checkbox//radiobutton-------------------------------------->
                {if $field['field_type'] == 'checkbox'|| $field['field_type'] == 'radiobutton' }
                {$type = 'checkbox'}
                {if $field['field_type'] == 'radiobutton'}
                {$type = 'radio'}
				{/if}
				<div class="form-group row ">
  					{$field_label=$field['field_label']}
				    <label class="col-md-3 form-control-label">{$field_label|escape:'htmlall':'UTF-8'}</label>
					{$required = ''}
					{if $field['field_required'] == '1'}{$required = 'required'}{/if}
				    <div class="col-md-6 form-control-label">
				    		{$options = explode(',',$field['field_options'])}
                            {foreach $options as $option}
                            {$option_single = explode('->',$option)}
                            {$option_value = $option_single[0]}
                            {$option_lable = $option_single[1]}
                            {if $option_value != ''}{if $option_lable != ''}
				        <label>
				        {$place_holder = $field['place_holder']}
                        {$id_field = $field['id_field']}
                        {$field_name=$field['field_name']}
				        	<input name="{$field_name|escape:'htmlall':'UTF-8'}{$id_field|escape:'htmlall':'UTF-8'}[]" type="{$type|escape:'htmlall':'UTF-8'}" value="{$option_value|escape:'htmlall':'UTF-8'}" placeholder ="{$place_holder|escape:'htmlall':'UTF-8'}">
				        {$option_lable|escape:'htmlall':'UTF-8'}   
				        </label>
				        {/if}{/if}
           	            {/foreach}
				    </div>
				    {if $field['field_required'] == '0'}
    				<div class="col-md-3 form-control-comment">{l s='Optional' mod='addifyb2bregistrationformbuilder'}</div>
    				{/if}
				</div>
				{/if}
                {/foreach} 
				{/if}
				<!---------------------------------form-------------------------------------->
				{if $iscustmr == 0}
				<div class="form-group row ">
                    <label class="col-md-3 form-control-label required"></label>
                    <div class="col-md-8">
                        <span class="custom-checkbox">
                            <label>
                                <input name="privacy_policy_default" type="checkbox" value="1" required="required">
                                <span><i class="material-icons rtl-no-flip checkbox-checked"></i></span>{l s='Customer data privacy' mod='addifyb2bregistrationformbuilder'}
                                <em>
                                          {l s='The personal data you provide is used to answer queries, process orders or allow access to specific information. You have the right to modify and delete all the personal information found in the "My Account" page.' mod='addifyb2bregistrationformbuilder'}
                                <em>
                            </label>
                        </span>
                    </div>
                </div>
                {/if}
                {if $rules['ADDIFYB2B_DEFAULT_FORM'] == 1}
                 {$rp = $rules['ADDIFYB2B_ROF_PARTNERS']}
                 {if $rp == 1}      
 				<div class="form-group row ">
				    <label class="col-md-3 form-control-label {if $rules['REQ_ADDIFYB2B_ROF_PARTNERS'] eq 1} required {/if}"></label>
				    <div class="col-md-8">
						<span class="custom-checkbox">
				            <label>
				            	<input name="rof_partners_default" type="checkbox" {if $rules['REQ_ADDIFYB2B_ROF_PARTNERS'] eq 1} required {/if}>
                                <span><i class="material-icons rtl-no-flip checkbox-checked"></i></span>
                               {l s='Receive offers from our partners' mod='addifyb2bregistrationformbuilder'} 
				            </label>
				        </span>
				    </div>
				    <div class="col-md-3 form-control-comment"></div>
				</div>{/if}
                  {$sp = $rules['ADDIFYB2B_SIGNUP_NEWSLETTER']}
                  {if $sp == 1}
				<div class="form-group row ">
				    <label class="col-md-3 form-control-label" {if $rules['REQ_ADDIFYB2B_SIGNUP_NEWSLETTER'] eq 1} required {/if}></label>
				    <div class="col-md-8">
						<span class="custom-checkbox">
				            <label>
				            	<input name="signup_newsletter_default" type="checkbox" {if $rules['REQ_ADDIFYB2B_SIGNUP_NEWSLETTER'] eq 1} required {/if}>
                                <span><i class="material-icons rtl-no-flip checkbox-checked"></i></span>
				              	{l s='Sign up for our newsletter' mod='addifyb2bregistrationformbuilder'}
				              	<i>{l s='You may unsubscribe at any moment. For that purpose, please find our contact info in the legal notice.' mod='addifyb2bregistrationformbuilder'}</i>
				            </label>
				        </span>
				    </div>
				    <div class="col-md-3 form-control-comment"></div>
				</div>
	            {/if}{/if}
	      <div class="form-group row ">
				    <label class="col-md-3 form-control-label"></label>
				    <div class="col-md-8">
						<span class="custom-checkbox">
				            <label>
				            		{hook h='displayGDPRConsent' mod='psgdpr' id_module=$id_module}
				            </label>
				        </span>
				    </div>
				    <div class="col-md-3 form-control-comment"></div>
				</div>

				 {if $rules['ADDIFYB2B_SEPERATE_CMS_PAGES'] == 1}
				<div class="form-group row">
    				<label class="col-md-3 form-control-label"></label>
    				<div class="col-md-6">
    					<a href="{$CMSContent[0]['link']|escape:'htmlall':'UTF-8'}">{$CMSContent[0]['meta_title']|escape:'htmlall':'UTF-8'}</a>
						 
					</div>
    				
  			</div>
				{/if}

				 {if $ADDIFYB2B_RECAPTCHA == 1}
				  {if $rules['ADDIFYB2B_SHOW_RECAPTCHA_RF'] == 1}
						<div class="form-group row">
		    				<label class="col-md-3 form-control-label required"></label>
		    				<div class="col-md-6">
		    					<input name="ADDIFYB2B_SITE_KEY" id="ADDIFYB2B_SITE_KEY" type="hidden" value="{$ADDIFYB2B_SITE_KEY|escape:'htmlall':'UTF-8'}">
								  <div class="g-recaptcha" id="afb_captcha" ></div>
							</div>
		    				
		  			</div>
		  			{/if}
				{/if}
				<div class="row">
					<div class="col-sm-12 text-right">
						<div class="form-group">
							
							{if $ADDIFYB2B_RECAPTCHA == 1}
				  			{if $rules['ADDIFYB2B_SHOW_RECAPTCHA_RF'] == 1}
							
									<button name="submitnewdefaultsignupform"  class="btn btn-primary form-control-submit float-xs-right" type="submit" disabled id="form_save"> {l s='Save' mod='addifyb2bregistrationformbuilder'}</button>
									{else}
									<button name="submitnewdefaultsignupform"  class="btn btn-primary form-control-submit float-xs-right" type="submit" id="form_save"> {l s='Save' mod='addifyb2bregistrationformbuilder'}</button>
								{/if}
								{else}
									<button name="submitnewdefaultsignupform"  class="btn btn-primary form-control-submit float-xs-right" type="submit" id="form_save"> {l s='Save' mod='addifyb2bregistrationformbuilder'}</button>
							{/if}
						</div>
					</div>
				</div>

			</form>

		</section>
	</div>
</section>
	
{/foreach}



{if $ADDIFYB2B_RECAPTCHA == 1}


<script type="text/javascript">

if (document.getElementById("ADDIFYB2B_SITE_KEY")) {

	if (document.getElementById("ADDIFYB2B_SITE_KEY").value) {

		var onloadCallback = function() {
			 var captcha_key = document.getElementById("ADDIFYB2B_SITE_KEY").value;
		        grecaptcha.render('afb_captcha', {
		          'sitekey' : captcha_key,
		          'callback' : verifyCallback,
		          'expired-callback' : expiredCallback,
		          'error-callback' : errorCallback,
		        });
		      };


		function verifyCallback(response) { 
			document.getElementById("form_save").disabled = false;
		}

		function expiredCallback(response) { 
			document.getElementById("form_save").disabled = true;
		}
		function errorCallback(response) { 
			document.getElementById("form_save").disabled = true;
		}
	}
}

</script>
	{/if}

{/block}
